/*******************************************************************************
 * Copyright (c) 2012 BestSolution.at and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Tom Schindl<tom.schindl@bestsolution.at> - initial API and implementation
 *******************************************************************************/
package org.eclipse.fx.formats.svg.svg;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.eclipse.fx.formats.svg.svg.SvgFactory
 * @model kind="package"
 * @generated
 */
public interface SvgPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "svg";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.w3.org/2000/svg";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "svg";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SvgPackage eINSTANCE = org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ContentElement <em>Content Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ContentElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getContentElement()
	 * @generated
	 */
	int CONTENT_ELEMENT = 0;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT_ELEMENT__CHILDREN = 0;

	/**
	 * The number of structural features of the '<em>Content Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ContainerElement <em>Container Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ContainerElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getContainerElement()
	 * @generated
	 */
	int CONTAINER_ELEMENT = 1;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTAINER_ELEMENT__CHILDREN = CONTENT_ELEMENT__CHILDREN;

	/**
	 * The number of structural features of the '<em>Container Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTAINER_ELEMENT_FEATURE_COUNT = CONTENT_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.StructuralElement <em>Structural Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.StructuralElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStructuralElement()
	 * @generated
	 */
	int STRUCTURAL_ELEMENT = 2;

	/**
	 * The number of structural features of the '<em>Structural Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRUCTURAL_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.SvgElement <em>Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.SvgElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgElement()
	 * @generated
	 */
	int SVG_ELEMENT = 3;

	/**
	 * The number of structural features of the '<em>Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.DescriptiveElement <em>Descriptive Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.DescriptiveElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDescriptiveElement()
	 * @generated
	 */
	int DESCRIPTIVE_ELEMENT = 4;

	/**
	 * The number of structural features of the '<em>Descriptive Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DESCRIPTIVE_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.GraphicsElement <em>Graphics Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.GraphicsElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGraphicsElement()
	 * @generated
	 */
	int GRAPHICS_ELEMENT = 5;

	/**
	 * The number of structural features of the '<em>Graphics Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICS_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.GraphicsReferencingElement <em>Graphics Referencing Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.GraphicsReferencingElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGraphicsReferencingElement()
	 * @generated
	 */
	int GRAPHICS_REFERENCING_ELEMENT = 6;

	/**
	 * The number of structural features of the '<em>Graphics Referencing Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICS_REFERENCING_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ShapeElement <em>Shape Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ShapeElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getShapeElement()
	 * @generated
	 */
	int SHAPE_ELEMENT = 7;

	/**
	 * The number of structural features of the '<em>Shape Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SHAPE_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.BasicShapeElement <em>Basic Shape Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.BasicShapeElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getBasicShapeElement()
	 * @generated
	 */
	int BASIC_SHAPE_ELEMENT = 8;

	/**
	 * The number of structural features of the '<em>Basic Shape Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_SHAPE_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.TextContentElement <em>Text Content Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.TextContentElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTextContentElement()
	 * @generated
	 */
	int TEXT_CONTENT_ELEMENT = 9;

	/**
	 * The number of structural features of the '<em>Text Content Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_CONTENT_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.TextContentChildElement <em>Text Content Child Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.TextContentChildElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTextContentChildElement()
	 * @generated
	 */
	int TEXT_CONTENT_CHILD_ELEMENT = 10;

	/**
	 * The number of structural features of the '<em>Text Content Child Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_CONTENT_CHILD_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.GradientElement <em>Gradient Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.GradientElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGradientElement()
	 * @generated
	 */
	int GRADIENT_ELEMENT = 11;

	/**
	 * The number of structural features of the '<em>Gradient Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRADIENT_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.LightSourceElement <em>Light Source Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.LightSourceElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLightSourceElement()
	 * @generated
	 */
	int LIGHT_SOURCE_ELEMENT = 12;

	/**
	 * The number of structural features of the '<em>Light Source Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LIGHT_SOURCE_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveElement <em>Filter Primitive Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveElement
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilterPrimitiveElement()
	 * @generated
	 */
	int FILTER_PRIMITIVE_ELEMENT = 13;

	/**
	 * The number of structural features of the '<em>Filter Primitive Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.AnimationElementImpl <em>Animation Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.AnimationElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getAnimationElement()
	 * @generated
	 */
	int ANIMATION_ELEMENT = 14;

	/**
	 * The number of structural features of the '<em>Animation Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ANIMATION_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.____ENUMS____Impl <em>ENUMS </em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.____ENUMS____Impl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____ENUMS____()
	 * @generated
	 */
	int _ENUMS_ = 15;

	/**
	 * The number of structural features of the '<em>ENUMS </em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int _ENUMS__FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.____DATATYPES____Impl <em>DATATYPES </em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.____DATATYPES____Impl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____DATATYPES____()
	 * @generated
	 */
	int _DATATYPES_ = 16;

	/**
	 * The number of structural features of the '<em>DATATYPES </em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int _DATATYPES__FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.____ATTRIBUTES____Impl <em>ATTRIBUTES </em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.____ATTRIBUTES____Impl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____ATTRIBUTES____()
	 * @generated
	 */
	int _ATTRIBUTES_ = 17;

	/**
	 * The number of structural features of the '<em>ATTRIBUTES </em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int _ATTRIBUTES__FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes <em>Conditional Processing Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getConditionalProcessingAttributes()
	 * @generated
	 */
	int CONDITIONAL_PROCESSING_ATTRIBUTES = 18;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONAL_PROCESSING_ATTRIBUTES__REQUIRED_FEATURES = 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONAL_PROCESSING_ATTRIBUTES__REQUIRED_EXTENSIONS = 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONAL_PROCESSING_ATTRIBUTES__SYSTEM_LANGUAGE = 2;

	/**
	 * The number of structural features of the '<em>Conditional Processing Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONAL_PROCESSING_ATTRIBUTES_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes <em>Core Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCoreAttributes()
	 * @generated
	 */
	int CORE_ATTRIBUTES = 19;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ATTRIBUTES__ID = 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ATTRIBUTES__XML_BASE = 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ATTRIBUTES__XML_LANG = 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ATTRIBUTES__XML_SPACE = 3;

	/**
	 * The number of structural features of the '<em>Core Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CORE_ATTRIBUTES_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes <em>Document Event Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDocumentEventAttributes()
	 * @generated
	 */
	int DOCUMENT_EVENT_ATTRIBUTES = 20;

	/**
	 * The feature id for the '<em><b>Onunload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES__ONUNLOAD = 0;

	/**
	 * The feature id for the '<em><b>Onabort</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES__ONABORT = 1;

	/**
	 * The feature id for the '<em><b>Onerror</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES__ONERROR = 2;

	/**
	 * The feature id for the '<em><b>Onresize</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES__ONRESIZE = 3;

	/**
	 * The feature id for the '<em><b>Onscroll</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES__ONSCROLL = 4;

	/**
	 * The feature id for the '<em><b>Onzoom</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES__ONZOOM = 5;

	/**
	 * The number of structural features of the '<em>Document Event Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOCUMENT_EVENT_ATTRIBUTES_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes <em>Graphical Event Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGraphicalEventAttributes()
	 * @generated
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES = 21;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONFOCUSIN = 0;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONFOCUSOUT = 1;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONACTIVATE = 2;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONCLICK = 3;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEDOWN = 4;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEUP = 5;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEOVER = 6;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEMOVE = 7;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEOUT = 8;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES__ONLOAD = 9;

	/**
	 * The number of structural features of the '<em>Graphical Event Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAPHICAL_EVENT_ATTRIBUTES_FEATURE_COUNT = 10;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes <em>Presentation Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPresentationAttributes()
	 * @generated
	 */
	int PRESENTATION_ATTRIBUTES = 22;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__ALIGNMENT_BASELINE = 0;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__BASELINE_SHIFT = 1;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__CLIP = 2;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__CLIP_PATH = 3;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__CLIP_RULE = 4;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__COLOR = 5;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__COLOR_INTERPOLATION = 6;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__COLOR_INTERPOLATION_FILTERS = 7;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__COLOR_PROFILE = 8;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__COLOR_RENDERING = 9;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__CURSOR = 10;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__DIRECTION = 11;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__DISPLAY = 12;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__DOMINANT_BASELINE = 13;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__ENABLE_BACKGROUND = 14;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FILL = 15;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FILL_OPACITY = 16;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FILL_RULE = 17;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FILTER = 18;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FLOOD_COLOR = 19;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FLOOD_OPACITY = 20;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_FAMILY = 21;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_SIZE = 22;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_SIZE_ADJUST = 23;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_STRETCH = 24;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_STYLE = 25;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_VARIANT = 26;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__FONT_WEIGHT = 27;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__GLYPH_ORIENTATION_HORIZONTAL = 28;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__GLYPH_ORIENTATION_VERTICAL = 29;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__IMAGE_RENDERING = 30;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__KERNING = 31;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__LETTER_SPACING = 32;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__LIGHTING_COLOR = 33;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__MARKER_END = 34;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__MARKER_MID = 35;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__MARKER_START = 36;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__MASKS = 37;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__OPACITY = 38;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__OVERFLOW = 39;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__POINTER_EVENTS = 40;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__SHAPE_RENDERING = 41;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STOP_COLOR = 42;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STOP_OPACITY = 43;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE = 44;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_DASHARRAY = 45;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_DASHOFFSET = 46;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_LINECAP = 47;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_LINEJOIN = 48;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_MITERLIMIT = 49;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_OPACITY = 50;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__STROKE_WIDTH = 51;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__TEXT_ANCHOR = 52;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__TEXT_DECORATION = 53;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__TEXT_RENDERING = 54;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__UNICODE_BIDI = 55;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__VISIBILITY = 56;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__WORD_SPACING = 57;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES__WRITING_MODE = 58;

	/**
	 * The number of structural features of the '<em>Presentation Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PRESENTATION_ATTRIBUTES_FEATURE_COUNT = 59;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes <em>XLink Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getXLinkAttributes()
	 * @generated
	 */
	int XLINK_ATTRIBUTES = 23;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_HREF = 0;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_SHOW = 1;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_ACTUATE = 2;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_TYPE = 3;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_ROLE = 4;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_ARCROLE = 5;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__XLINK_TITLE = 6;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES__RESOLVED_INSTANCE = 7;

	/**
	 * The number of structural features of the '<em>XLink Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XLINK_ATTRIBUTES_FEATURE_COUNT = 8;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes <em>Filter Primitive Attributes</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilterPrimitiveAttributes()
	 * @generated
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES = 24;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES__X = 0;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES__Y = 1;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES__WIDTH = 2;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES__HEIGHT = 3;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES__RESULT = 4;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES__IN = 5;

	/**
	 * The number of structural features of the '<em>Filter Primitive Attributes</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FILTER_PRIMITIVE_ATTRIBUTES_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.____ELEMENTES____Impl <em>ELEMENTES </em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.____ELEMENTES____Impl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____ELEMENTES____()
	 * @generated
	 */
	int _ELEMENTES_ = 25;

	/**
	 * The number of structural features of the '<em>ELEMENTES </em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int _ELEMENTES__FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgSvgElementImpl <em>Svg Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgSvgElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgSvgElement()
	 * @generated
	 */
	int SVG_SVG_ELEMENT = 26;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onunload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONUNLOAD = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onabort</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONABORT = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onerror</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONERROR = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onresize</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONRESIZE = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onscroll</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONSCROLL = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onzoom</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONZOOM = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 89;

	/**
	 * The feature id for the '<em><b>View Box</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__VIEW_BOX = SVG_ELEMENT_FEATURE_COUNT + 90;

	/**
	 * The feature id for the '<em><b>Preserve Aspect Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__PRESERVE_ASPECT_RATIO = SVG_ELEMENT_FEATURE_COUNT + 91;

	/**
	 * The feature id for the '<em><b>Zoom And Pan</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__ZOOM_AND_PAN = SVG_ELEMENT_FEATURE_COUNT + 92;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__VERSION = SVG_ELEMENT_FEATURE_COUNT + 93;

	/**
	 * The feature id for the '<em><b>Base Profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__BASE_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 94;

	/**
	 * The feature id for the '<em><b>Content Script Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CONTENT_SCRIPT_TYPE = SVG_ELEMENT_FEATURE_COUNT + 95;

	/**
	 * The feature id for the '<em><b>Content Style Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__CONTENT_STYLE_TYPE = SVG_ELEMENT_FEATURE_COUNT + 96;

	/**
	 * The feature id for the '<em><b>Style Sheet</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT__STYLE_SHEET = SVG_ELEMENT_FEATURE_COUNT + 97;

	/**
	 * The number of structural features of the '<em>Svg Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SVG_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 98;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgGElementImpl <em>GElement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgGElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgGElement()
	 * @generated
	 */
	int SVG_GELEMENT = 27;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The number of structural features of the '<em>GElement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_GELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgDefsElementImpl <em>Defs Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgDefsElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgDefsElement()
	 * @generated
	 */
	int SVG_DEFS_ELEMENT = 28;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The number of structural features of the '<em>Defs Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DEFS_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgDescElementImpl <em>Desc Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgDescElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgDescElement()
	 * @generated
	 */
	int SVG_DESC_ELEMENT = 29;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Desc Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_DESC_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTitleElementImpl <em>Title Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTitleElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTitleElement()
	 * @generated
	 */
	int SVG_TITLE_ELEMENT = 30;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Title Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TITLE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgSymbolElementImpl <em>Symbol Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgSymbolElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgSymbolElement()
	 * @generated
	 */
	int SVG_SYMBOL_ELEMENT = 31;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>View Box</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__VIEW_BOX = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Preserve Aspect Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT__PRESERVE_ASPECT_RATIO = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The number of structural features of the '<em>Symbol Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SYMBOL_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgUseElementImpl <em>Use Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgUseElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgUseElement()
	 * @generated
	 */
	int SVG_USE_ELEMENT = 32;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 89;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 90;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 91;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 92;

	/**
	 * The number of structural features of the '<em>Use Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_USE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 93;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgImageElementImpl <em>Image Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgImageElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgImageElement()
	 * @generated
	 */
	int SVG_IMAGE_ELEMENT = 33;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The feature id for the '<em><b>Preserve Aspect Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__PRESERVE_ASPECT_RATIO = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 89;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 90;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 91;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 92;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 93;

	/**
	 * The number of structural features of the '<em>Image Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_IMAGE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 94;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgSwitchElementImpl <em>Switch Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgSwitchElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgSwitchElement()
	 * @generated
	 */
	int SVG_SWITCH_ELEMENT = 34;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The number of structural features of the '<em>Switch Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_SWITCH_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPathElementImpl <em>Path Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPathElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPathElement()
	 * @generated
	 */
	int SVG_PATH_ELEMENT = 35;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>D</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__D = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Path Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT__PATH_LENGTH = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The number of structural features of the '<em>Path Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATH_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgRectElementImpl <em>Rect Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgRectElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgRectElement()
	 * @generated
	 */
	int SVG_RECT_ELEMENT = 36;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Rx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__RX = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Ry</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT__RY = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The number of structural features of the '<em>Rect Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RECT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgCircleElementImpl <em>Circle Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgCircleElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgCircleElement()
	 * @generated
	 */
	int SVG_CIRCLE_ELEMENT = 37;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Cx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CX = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Cy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__CY = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>R</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT__R = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The number of structural features of the '<em>Circle Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CIRCLE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgEllipseElementImpl <em>Ellipse Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgEllipseElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgEllipseElement()
	 * @generated
	 */
	int SVG_ELLIPSE_ELEMENT = 38;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Cx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CX = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Cy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__CY = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Rx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__RX = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Ry</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT__RY = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The number of structural features of the '<em>Ellipse Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ELLIPSE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgLineElementImpl <em>Line Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgLineElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgLineElement()
	 * @generated
	 */
	int SVG_LINE_ELEMENT = 39;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>X1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__X1 = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Y1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__Y1 = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>X2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__X2 = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Y2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT__Y2 = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The number of structural features of the '<em>Line Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPolylineElementImpl <em>Polyline Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPolylineElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPolylineElement()
	 * @generated
	 */
	int SVG_POLYLINE_ELEMENT = 40;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Points</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT__POINTS = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The number of structural features of the '<em>Polyline Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYLINE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPolygonElementImpl <em>Polygon Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPolygonElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPolygonElement()
	 * @generated
	 */
	int SVG_POLYGON_ELEMENT = 41;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Points</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT__POINTS = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The number of structural features of the '<em>Polygon Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_POLYGON_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTextElementImpl <em>Text Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTextElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTextElement()
	 * @generated
	 */
	int SVG_TEXT_ELEMENT = 42;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Length Adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__LENGTH_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Dx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__DX = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Dy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__DY = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Rotate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__ROTATE = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>Text Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT__TEXT_LENGTH = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The number of structural features of the '<em>Text Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTspanElementImpl <em>Tspan Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTspanElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTspanElement()
	 * @generated
	 */
	int SVG_TSPAN_ELEMENT = 43;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Dx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__DX = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Dy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__DY = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Rotate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__ROTATE = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Text Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__TEXT_LENGTH = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Length Adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT__LENGTH_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The number of structural features of the '<em>Tspan Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TSPAN_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTrefElementImpl <em>Tref Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTrefElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTrefElement()
	 * @generated
	 */
	int SVG_TREF_ELEMENT = 44;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The number of structural features of the '<em>Tref Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TREF_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTextPathElementImpl <em>Text Path Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTextPathElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTextPathElement()
	 * @generated
	 */
	int SVG_TEXT_PATH_ELEMENT = 45;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The feature id for the '<em><b>Start Offset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__START_OFFSET = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The feature id for the '<em><b>Method</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__METHOD = SVG_ELEMENT_FEATURE_COUNT + 89;

	/**
	 * The feature id for the '<em><b>Spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT__SPACING = SVG_ELEMENT_FEATURE_COUNT + 90;

	/**
	 * The number of structural features of the '<em>Text Path Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_TEXT_PATH_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 91;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphElementImpl <em>Alt Glyph Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphElement()
	 * @generated
	 */
	int SVG_ALT_GLYPH_ELEMENT = 46;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Onfocusin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONFOCUSIN = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Onfocusout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONFOCUSOUT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Onactivate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONACTIVATE = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Onclick</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONCLICK = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Onmousedown</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONMOUSEDOWN = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Onmouseup</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONMOUSEUP = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Onmouseover</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONMOUSEOVER = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Onmousemove</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONMOUSEMOVE = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Onmouseout</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONMOUSEOUT = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Onload</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ONLOAD = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 88;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 89;

	/**
	 * The feature id for the '<em><b>Dx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__DX = SVG_ELEMENT_FEATURE_COUNT + 90;

	/**
	 * The feature id for the '<em><b>Dy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__DY = SVG_ELEMENT_FEATURE_COUNT + 91;

	/**
	 * The feature id for the '<em><b>Glyph Ref</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__GLYPH_REF = SVG_ELEMENT_FEATURE_COUNT + 92;

	/**
	 * The feature id for the '<em><b>Format</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__FORMAT = SVG_ELEMENT_FEATURE_COUNT + 93;

	/**
	 * The feature id for the '<em><b>Rotate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT__ROTATE = SVG_ELEMENT_FEATURE_COUNT + 94;

	/**
	 * The number of structural features of the '<em>Alt Glyph Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 95;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphDefElementImpl <em>Alt Glyph Def Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphDefElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphDefElement()
	 * @generated
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT = 47;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Alt Glyph Def Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_DEF_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphItemElementImpl <em>Alt Glyph Item Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphItemElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphItemElement()
	 * @generated
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT = 48;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Alt Glyph Item Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_ITEM_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphRefElementImpl <em>Alt Glyph Ref Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphRefElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphRefElement()
	 * @generated
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT = 49;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Dx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__DX = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Dy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__DY = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Glyph Ref</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__GLYPH_REF = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Format</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT__FORMAT = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The number of structural features of the '<em>Alt Glyph Ref Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ALT_GLYPH_REF_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgMarkerElementImpl <em>Marker Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgMarkerElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgMarkerElement()
	 * @generated
	 */
	int SVG_MARKER_ELEMENT = 50;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>View Box</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__VIEW_BOX = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Preserve Aspect Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__PRESERVE_ASPECT_RATIO = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Ref X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__REF_X = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Ref Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__REF_Y = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Marker Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MARKER_UNITS = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Marker Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MARKER_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Marker Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__MARKER_HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Orient</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT__ORIENT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The number of structural features of the '<em>Marker Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MARKER_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgColorProfileElementImpl <em>Color Profile Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgColorProfileElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgColorProfileElement()
	 * @generated
	 */
	int SVG_COLOR_PROFILE_ELEMENT = 51;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Local</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__LOCAL = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__NAME = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Rendering intent</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT__RENDERING_INTENT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The number of structural features of the '<em>Color Profile Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_COLOR_PROFILE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgLinearGradientElementImpl <em>Linear Gradient Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgLinearGradientElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgLinearGradientElement()
	 * @generated
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT = 52;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>X1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__X1 = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Y1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__Y1 = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>X2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__X2 = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Y2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__Y2 = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Gradient Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__GRADIENT_UNITS = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Spread Method</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__SPREAD_METHOD = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Gradient Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT__GRADIENT_TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The number of structural features of the '<em>Linear Gradient Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_LINEAR_GRADIENT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgRadialGradientElementImpl <em>Radial Gradient Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgRadialGradientElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgRadialGradientElement()
	 * @generated
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT = 53;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Cx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CX = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Cy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__CY = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>R</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__R = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Fx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FX = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Fy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__FY = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Spread Method</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__SPREAD_METHOD = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Gradient Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__GRADIENT_UNITS = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Gradient Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT__GRADIENT_TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The number of structural features of the '<em>Radial Gradient Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_RADIAL_GRADIENT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgStopElementImpl <em>Stop Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgStopElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgStopElement()
	 * @generated
	 */
	int SVG_STOP_ELEMENT = 54;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT__OFFSET = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The number of structural features of the '<em>Stop Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_STOP_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPatternElementImpl <em>Pattern Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPatternElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPatternElement()
	 * @generated
	 */
	int SVG_PATTERN_ELEMENT = 55;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>View Box</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__VIEW_BOX = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Preserve Aspect Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__PRESERVE_ASPECT_RATIO = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 83;

	/**
	 * The feature id for the '<em><b>Pattern Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__PATTERN_UNITS = SVG_ELEMENT_FEATURE_COUNT + 84;

	/**
	 * The feature id for the '<em><b>Pattern Content Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__PATTERN_CONTENT_UNITS = SVG_ELEMENT_FEATURE_COUNT + 85;

	/**
	 * The feature id for the '<em><b>Pattern Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT__PATTERN_TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 86;

	/**
	 * The number of structural features of the '<em>Pattern Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_PATTERN_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 87;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgClipPathElementImpl <em>Clip Path Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgClipPathElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgClipPathElement()
	 * @generated
	 */
	int SVG_CLIP_PATH_ELEMENT = 56;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Transform</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__TRANSFORM = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Clip Path Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT__CLIP_PATH_UNITS = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The number of structural features of the '<em>Clip Path Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_CLIP_PATH_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgMaskElementImpl <em>Mask Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgMaskElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgMaskElement()
	 * @generated
	 */
	int SVG_MASK_ELEMENT = 57;

	/**
	 * The feature id for the '<em><b>Required Features</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__REQUIRED_FEATURES = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Required Extensions</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__REQUIRED_EXTENSIONS = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>System Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__SYSTEM_LANGUAGE = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Mask Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__MASK_UNITS = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Mask Content Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT__MASK_CONTENT_UNITS = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The number of structural features of the '<em>Mask Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_MASK_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFilterElementImpl <em>Filter Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFilterElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFilterElement()
	 * @generated
	 */
	int SVG_FILTER_ELEMENT = 58;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Filter Res</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FILTER_RES = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Filter Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__FILTER_UNITS = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Primitive Units</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT__PRIMITIVE_UNITS = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The number of structural features of the '<em>Filter Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FILTER_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeDistantLightElementImpl <em>Fe Distant Light Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeDistantLightElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeDistantLightElement()
	 * @generated
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT = 59;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Azimuth</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__AZIMUTH = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Elevation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT__ELEVATION = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Fe Distant Light Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISTANT_LIGHT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFePointLightElementImpl <em>Fe Point Light Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFePointLightElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFePointLightElement()
	 * @generated
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT = 60;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Z</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT__Z = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Fe Point Light Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_POINT_LIGHT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeSpotLightElementImpl <em>Fe Spot Light Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeSpotLightElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeSpotLightElement()
	 * @generated
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT = 61;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Z</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__Z = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Points At X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__POINTS_AT_X = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Points At Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__POINTS_AT_Y = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Points At Z</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__POINTS_AT_Z = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Specular Exponent</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__SPECULAR_EXPONENT = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Limiting Cone Angle</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT__LIMITING_CONE_ANGLE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The number of structural features of the '<em>Fe Spot Light Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPOT_LIGHT_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeBlendElementImpl <em>Fe Blend Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeBlendElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeBlendElement()
	 * @generated
	 */
	int SVG_FE_BLEND_ELEMENT = 62;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>In2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__IN2 = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT__MODE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The number of structural features of the '<em>Fe Blend Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_BLEND_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeColorMatrixElementImpl <em>Fe Color Matrix Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeColorMatrixElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeColorMatrixElement()
	 * @generated
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT = 63;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__TYPE = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Values</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT__VALUES = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The number of structural features of the '<em>Fe Color Matrix Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COLOR_MATRIX_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeComponentTransferElementImpl <em>Fe Component Transfer Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeComponentTransferElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeComponentTransferElement()
	 * @generated
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT = 64;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The number of structural features of the '<em>Fe Component Transfer Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPONENT_TRANSFER_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncRElementImpl <em>Fe Func RElement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncRElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncRElement()
	 * @generated
	 */
	int SVG_FE_FUNC_RELEMENT = 65;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The number of structural features of the '<em>Fe Func RElement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_RELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncGElementImpl <em>Fe Func GElement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncGElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncGElement()
	 * @generated
	 */
	int SVG_FE_FUNC_GELEMENT = 66;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The number of structural features of the '<em>Fe Func GElement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_GELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncBElementImpl <em>Fe Func BElement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncBElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncBElement()
	 * @generated
	 */
	int SVG_FE_FUNC_BELEMENT = 67;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The number of structural features of the '<em>Fe Func BElement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_BELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncAElementImpl <em>Fe Func AElement</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncAElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncAElement()
	 * @generated
	 */
	int SVG_FE_FUNC_AELEMENT = 68;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The number of structural features of the '<em>Fe Func AElement</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FUNC_AELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeCompositeElementImpl <em>Fe Composite Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeCompositeElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeCompositeElement()
	 * @generated
	 */
	int SVG_FE_COMPOSITE_ELEMENT = 69;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>In2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__IN2 = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Operator</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__OPERATOR = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>K1</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__K1 = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>K2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__K2 = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>K3</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__K3 = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>K4</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT__K4 = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The number of structural features of the '<em>Fe Composite Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_COMPOSITE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeConvolveMatrixElementImpl <em>Fe Convolve Matrix Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeConvolveMatrixElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT = 70;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__ORDER = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Kernel Matrix</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__KERNEL_MATRIX = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Divisor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__DIVISOR = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Bias</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__BIAS = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Target X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__TARGET_X = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Target Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__TARGET_Y = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Edge Mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__EDGE_MODE = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Kernel Unit Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__KERNEL_UNIT_LENGTH = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>Preserve Alpha</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT__PRESERVE_ALPHA = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The number of structural features of the '<em>Fe Convolve Matrix Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_CONVOLVE_MATRIX_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeDiffuseLightingElementImpl <em>Fe Diffuse Lighting Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeDiffuseLightingElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeDiffuseLightingElement()
	 * @generated
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT = 71;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Surface Scale</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__SURFACE_SCALE = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Diffuse Constant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__DIFFUSE_CONSTANT = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Kernel Unit Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT__KERNEL_UNIT_LENGTH = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The number of structural features of the '<em>Fe Diffuse Lighting Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DIFFUSE_LIGHTING_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeDisplacementMapElementImpl <em>Fe Displacement Map Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeDisplacementMapElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeDisplacementMapElement()
	 * @generated
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT = 72;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>In2</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__IN2 = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Scale</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__SCALE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>XChannel Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__XCHANNEL_SELECTOR = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>YChannel Selector</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT__YCHANNEL_SELECTOR = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The number of structural features of the '<em>Fe Displacement Map Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_DISPLACEMENT_MAP_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFloodElementImpl <em>Fe Flood Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFloodElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFloodElement()
	 * @generated
	 */
	int SVG_FE_FLOOD_ELEMENT = 73;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The number of structural features of the '<em>Fe Flood Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_FLOOD_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeGaussianBlurElementImpl <em>Fe Gaussian Blur Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeGaussianBlurElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeGaussianBlurElement()
	 * @generated
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT = 74;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Std Deviation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT__STD_DEVIATION = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The number of structural features of the '<em>Fe Gaussian Blur Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_GAUSSIAN_BLUR_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeImageElementImpl <em>Fe Image Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeImageElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeImageElement()
	 * @generated
	 */
	int SVG_FE_IMAGE_ELEMENT = 75;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Xlink href</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_HREF = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Xlink show</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_SHOW = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Xlink actuate</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_ACTUATE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Xlink type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_TYPE = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Xlink role</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_ROLE = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Xlink arcrole</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_ARCROLE = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Xlink title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__XLINK_TITLE = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Resolved Instance</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__RESOLVED_INSTANCE = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 78;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 79;

	/**
	 * The feature id for the '<em><b>External Resources Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = SVG_ELEMENT_FEATURE_COUNT + 80;

	/**
	 * The feature id for the '<em><b>Preserve Aspect Ratio</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT__PRESERVE_ASPECT_RATIO = SVG_ELEMENT_FEATURE_COUNT + 81;

	/**
	 * The number of structural features of the '<em>Fe Image Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_IMAGE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 82;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeElementImpl <em>Fe Merge Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeMergeElement()
	 * @generated
	 */
	int SVG_FE_MERGE_ELEMENT = 76;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The number of structural features of the '<em>Fe Merge Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeNodeElementImpl <em>Fe Merge Node Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeNodeElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeMergeNodeElement()
	 * @generated
	 */
	int SVG_FE_MERGE_NODE_ELEMENT = 77;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_NODE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_NODE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_NODE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_NODE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_NODE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Fe Merge Node Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MERGE_NODE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeMorphologyElementImpl <em>Fe Morphology Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeMorphologyElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeMorphologyElement()
	 * @generated
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT = 78;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Operator</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__OPERATOR = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Radius</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT__RADIUS = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The number of structural features of the '<em>Fe Morphology Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_MORPHOLOGY_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeOffsetElementImpl <em>Fe Offset Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeOffsetElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeOffsetElement()
	 * @generated
	 */
	int SVG_FE_OFFSET_ELEMENT = 79;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Dx</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__DX = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Dy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT__DY = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The number of structural features of the '<em>Fe Offset Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_OFFSET_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeSpecularLightingElementImpl <em>Fe Specular Lighting Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeSpecularLightingElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeSpecularLightingElement()
	 * @generated
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT = 80;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Surface Scale</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__SURFACE_SCALE = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Specular Constant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__SPECULAR_CONSTANT = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Specular Exponent</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__SPECULAR_EXPONENT = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Kernel Unit Length</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT__KERNEL_UNIT_LENGTH = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The number of structural features of the '<em>Fe Specular Lighting Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_SPECULAR_LIGHTING_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeTileElementImpl <em>Fe Tile Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeTileElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeTileElement()
	 * @generated
	 */
	int SVG_FE_TILE_ELEMENT = 81;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The number of structural features of the '<em>Fe Tile Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TILE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeTurbulenceElementImpl <em>Fe Turbulence Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeTurbulenceElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeTurbulenceElement()
	 * @generated
	 */
	int SVG_FE_TURBULENCE_ELEMENT = 82;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Alignment baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__ALIGNMENT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Baseline shift</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__BASELINE_SHIFT = SVG_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Clip</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__CLIP = SVG_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Clip path</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__CLIP_PATH = SVG_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Clip rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__CLIP_RULE = SVG_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__COLOR = SVG_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The feature id for the '<em><b>Color interpolation</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__COLOR_INTERPOLATION = SVG_ELEMENT_FEATURE_COUNT + 10;

	/**
	 * The feature id for the '<em><b>Color interpolation filters</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__COLOR_INTERPOLATION_FILTERS = SVG_ELEMENT_FEATURE_COUNT + 11;

	/**
	 * The feature id for the '<em><b>Color profile</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__COLOR_PROFILE = SVG_ELEMENT_FEATURE_COUNT + 12;

	/**
	 * The feature id for the '<em><b>Color rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__COLOR_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 13;

	/**
	 * The feature id for the '<em><b>Cursor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__CURSOR = SVG_ELEMENT_FEATURE_COUNT + 14;

	/**
	 * The feature id for the '<em><b>Direction</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__DIRECTION = SVG_ELEMENT_FEATURE_COUNT + 15;

	/**
	 * The feature id for the '<em><b>Display</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__DISPLAY = SVG_ELEMENT_FEATURE_COUNT + 16;

	/**
	 * The feature id for the '<em><b>Dominant baseline</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__DOMINANT_BASELINE = SVG_ELEMENT_FEATURE_COUNT + 17;

	/**
	 * The feature id for the '<em><b>Enable background</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__ENABLE_BACKGROUND = SVG_ELEMENT_FEATURE_COUNT + 18;

	/**
	 * The feature id for the '<em><b>Fill</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FILL = SVG_ELEMENT_FEATURE_COUNT + 19;

	/**
	 * The feature id for the '<em><b>Fill opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FILL_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 20;

	/**
	 * The feature id for the '<em><b>Fill rule</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FILL_RULE = SVG_ELEMENT_FEATURE_COUNT + 21;

	/**
	 * The feature id for the '<em><b>Filter</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FILTER = SVG_ELEMENT_FEATURE_COUNT + 22;

	/**
	 * The feature id for the '<em><b>Flood color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FLOOD_COLOR = SVG_ELEMENT_FEATURE_COUNT + 23;

	/**
	 * The feature id for the '<em><b>Flood opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FLOOD_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 24;

	/**
	 * The feature id for the '<em><b>Font family</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_FAMILY = SVG_ELEMENT_FEATURE_COUNT + 25;

	/**
	 * The feature id for the '<em><b>Font size</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_SIZE = SVG_ELEMENT_FEATURE_COUNT + 26;

	/**
	 * The feature id for the '<em><b>Font size adjust</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_SIZE_ADJUST = SVG_ELEMENT_FEATURE_COUNT + 27;

	/**
	 * The feature id for the '<em><b>Font stretch</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_STRETCH = SVG_ELEMENT_FEATURE_COUNT + 28;

	/**
	 * The feature id for the '<em><b>Font style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_STYLE = SVG_ELEMENT_FEATURE_COUNT + 29;

	/**
	 * The feature id for the '<em><b>Font variant</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_VARIANT = SVG_ELEMENT_FEATURE_COUNT + 30;

	/**
	 * The feature id for the '<em><b>Font weight</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__FONT_WEIGHT = SVG_ELEMENT_FEATURE_COUNT + 31;

	/**
	 * The feature id for the '<em><b>Glyph orientation horizontal</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__GLYPH_ORIENTATION_HORIZONTAL = SVG_ELEMENT_FEATURE_COUNT + 32;

	/**
	 * The feature id for the '<em><b>Glyph orientation vertical</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__GLYPH_ORIENTATION_VERTICAL = SVG_ELEMENT_FEATURE_COUNT + 33;

	/**
	 * The feature id for the '<em><b>Image rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__IMAGE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 34;

	/**
	 * The feature id for the '<em><b>Kerning</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__KERNING = SVG_ELEMENT_FEATURE_COUNT + 35;

	/**
	 * The feature id for the '<em><b>Letter spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__LETTER_SPACING = SVG_ELEMENT_FEATURE_COUNT + 36;

	/**
	 * The feature id for the '<em><b>Lighting color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__LIGHTING_COLOR = SVG_ELEMENT_FEATURE_COUNT + 37;

	/**
	 * The feature id for the '<em><b>Marker end</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__MARKER_END = SVG_ELEMENT_FEATURE_COUNT + 38;

	/**
	 * The feature id for the '<em><b>Marker mid</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__MARKER_MID = SVG_ELEMENT_FEATURE_COUNT + 39;

	/**
	 * The feature id for the '<em><b>Marker start</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__MARKER_START = SVG_ELEMENT_FEATURE_COUNT + 40;

	/**
	 * The feature id for the '<em><b>Masks</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__MASKS = SVG_ELEMENT_FEATURE_COUNT + 41;

	/**
	 * The feature id for the '<em><b>Opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__OPACITY = SVG_ELEMENT_FEATURE_COUNT + 42;

	/**
	 * The feature id for the '<em><b>Overflow</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__OVERFLOW = SVG_ELEMENT_FEATURE_COUNT + 43;

	/**
	 * The feature id for the '<em><b>Pointer events</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__POINTER_EVENTS = SVG_ELEMENT_FEATURE_COUNT + 44;

	/**
	 * The feature id for the '<em><b>Shape rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__SHAPE_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 45;

	/**
	 * The feature id for the '<em><b>Stop color</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STOP_COLOR = SVG_ELEMENT_FEATURE_COUNT + 46;

	/**
	 * The feature id for the '<em><b>Stop opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STOP_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 47;

	/**
	 * The feature id for the '<em><b>Stroke</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE = SVG_ELEMENT_FEATURE_COUNT + 48;

	/**
	 * The feature id for the '<em><b>Stroke dasharray</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_DASHARRAY = SVG_ELEMENT_FEATURE_COUNT + 49;

	/**
	 * The feature id for the '<em><b>Stroke dashoffset</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_DASHOFFSET = SVG_ELEMENT_FEATURE_COUNT + 50;

	/**
	 * The feature id for the '<em><b>Stroke linecap</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_LINECAP = SVG_ELEMENT_FEATURE_COUNT + 51;

	/**
	 * The feature id for the '<em><b>Stroke linejoin</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_LINEJOIN = SVG_ELEMENT_FEATURE_COUNT + 52;

	/**
	 * The feature id for the '<em><b>Stroke miterlimit</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_MITERLIMIT = SVG_ELEMENT_FEATURE_COUNT + 53;

	/**
	 * The feature id for the '<em><b>Stroke opacity</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_OPACITY = SVG_ELEMENT_FEATURE_COUNT + 54;

	/**
	 * The feature id for the '<em><b>Stroke width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STROKE_WIDTH = SVG_ELEMENT_FEATURE_COUNT + 55;

	/**
	 * The feature id for the '<em><b>Text anchor</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__TEXT_ANCHOR = SVG_ELEMENT_FEATURE_COUNT + 56;

	/**
	 * The feature id for the '<em><b>Text decoration</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__TEXT_DECORATION = SVG_ELEMENT_FEATURE_COUNT + 57;

	/**
	 * The feature id for the '<em><b>Text rendering</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__TEXT_RENDERING = SVG_ELEMENT_FEATURE_COUNT + 58;

	/**
	 * The feature id for the '<em><b>Unicode bidi</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__UNICODE_BIDI = SVG_ELEMENT_FEATURE_COUNT + 59;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__VISIBILITY = SVG_ELEMENT_FEATURE_COUNT + 60;

	/**
	 * The feature id for the '<em><b>Word spacing</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__WORD_SPACING = SVG_ELEMENT_FEATURE_COUNT + 61;

	/**
	 * The feature id for the '<em><b>Writing mode</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__WRITING_MODE = SVG_ELEMENT_FEATURE_COUNT + 62;

	/**
	 * The feature id for the '<em><b>X</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__X = SVG_ELEMENT_FEATURE_COUNT + 63;

	/**
	 * The feature id for the '<em><b>Y</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__Y = SVG_ELEMENT_FEATURE_COUNT + 64;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__WIDTH = SVG_ELEMENT_FEATURE_COUNT + 65;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__HEIGHT = SVG_ELEMENT_FEATURE_COUNT + 66;

	/**
	 * The feature id for the '<em><b>Result</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__RESULT = SVG_ELEMENT_FEATURE_COUNT + 67;

	/**
	 * The feature id for the '<em><b>In</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__IN = SVG_ELEMENT_FEATURE_COUNT + 68;

	/**
	 * The feature id for the '<em><b>Children</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__CHILDREN = SVG_ELEMENT_FEATURE_COUNT + 69;

	/**
	 * The feature id for the '<em><b>Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__CLASS = SVG_ELEMENT_FEATURE_COUNT + 70;

	/**
	 * The feature id for the '<em><b>Style</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STYLE = SVG_ELEMENT_FEATURE_COUNT + 71;

	/**
	 * The feature id for the '<em><b>Base Frequency</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__BASE_FREQUENCY = SVG_ELEMENT_FEATURE_COUNT + 72;

	/**
	 * The feature id for the '<em><b>Num Octaves</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__NUM_OCTAVES = SVG_ELEMENT_FEATURE_COUNT + 73;

	/**
	 * The feature id for the '<em><b>Seed</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__SEED = SVG_ELEMENT_FEATURE_COUNT + 74;

	/**
	 * The feature id for the '<em><b>Stitch Tiles</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__STITCH_TILES = SVG_ELEMENT_FEATURE_COUNT + 75;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT__TYPE = SVG_ELEMENT_FEATURE_COUNT + 76;

	/**
	 * The number of structural features of the '<em>Fe Turbulence Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_FE_TURBULENCE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 77;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAnimateElementImpl <em>Animate Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAnimateElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAnimateElement()
	 * @generated
	 */
	int SVG_ANIMATE_ELEMENT = 83;

	/**
	 * The number of structural features of the '<em>Animate Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_ANIMATE_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgMetadataElementImpl <em>Metadata Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgMetadataElementImpl
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgMetadataElement()
	 * @generated
	 */
	int SVG_METADATA_ELEMENT = 84;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_METADATA_ELEMENT__ID = SVG_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Xml base</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_METADATA_ELEMENT__XML_BASE = SVG_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Xml lang</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_METADATA_ELEMENT__XML_LANG = SVG_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Xml space</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_METADATA_ELEMENT__XML_SPACE = SVG_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Metadata Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SVG_METADATA_ELEMENT_FEATURE_COUNT = SVG_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Alignment_baseline <em>Alignment baseline</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Alignment_baseline
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getAlignment_baseline()
	 * @generated
	 */
	int ALIGNMENT_BASELINE = 85;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Clip_rule <em>Clip rule</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Clip_rule
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClip_rule()
	 * @generated
	 */
	int CLIP_RULE = 86;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Color_interpolation <em>Color interpolation</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Color_interpolation
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_interpolation()
	 * @generated
	 */
	int COLOR_INTERPOLATION = 87;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Color_interpolation_filters <em>Color interpolation filters</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Color_interpolation_filters
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_interpolation_filters()
	 * @generated
	 */
	int COLOR_INTERPOLATION_FILTERS = 88;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Color_rendering <em>Color rendering</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Color_rendering
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_rendering()
	 * @generated
	 */
	int COLOR_RENDERING = 89;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Direction <em>Direction</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Direction
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDirection()
	 * @generated
	 */
	int DIRECTION = 90;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Display <em>Display</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Display
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDisplay()
	 * @generated
	 */
	int DISPLAY = 91;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Dominant_baseline <em>Dominant baseline</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Dominant_baseline
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDominant_baseline()
	 * @generated
	 */
	int DOMINANT_BASELINE = 92;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Fill_rule <em>Fill rule</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Fill_rule
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFill_rule()
	 * @generated
	 */
	int FILL_RULE = 93;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Font_stretch <em>Font stretch</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Font_stretch
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_stretch()
	 * @generated
	 */
	int FONT_STRETCH = 94;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Font_style <em>Font style</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Font_style
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_style()
	 * @generated
	 */
	int FONT_STYLE = 95;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Font_variant <em>Font variant</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Font_variant
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_variant()
	 * @generated
	 */
	int FONT_VARIANT = 96;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Font_weight <em>Font weight</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Font_weight
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_weight()
	 * @generated
	 */
	int FONT_WEIGHT = 97;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Image_rendering <em>Image rendering</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Image_rendering
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getImage_rendering()
	 * @generated
	 */
	int IMAGE_RENDERING = 98;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Overflow <em>Overflow</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Overflow
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getOverflow()
	 * @generated
	 */
	int OVERFLOW = 99;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Pointer_events <em>Pointer events</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Pointer_events
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPointer_events()
	 * @generated
	 */
	int POINTER_EVENTS = 100;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Shape_rendering <em>Shape rendering</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Shape_rendering
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getShape_rendering()
	 * @generated
	 */
	int SHAPE_RENDERING = 101;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Stroke_linecap <em>Stroke linecap</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Stroke_linecap
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_linecap()
	 * @generated
	 */
	int STROKE_LINECAP = 102;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Stroke_linejoin <em>Stroke linejoin</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Stroke_linejoin
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_linejoin()
	 * @generated
	 */
	int STROKE_LINEJOIN = 103;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Text_anchor <em>Text anchor</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Text_anchor
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getText_anchor()
	 * @generated
	 */
	int TEXT_ANCHOR = 104;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Text_rendering <em>Text rendering</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Text_rendering
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getText_rendering()
	 * @generated
	 */
	int TEXT_RENDERING = 105;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Unicode_bidi <em>Unicode bidi</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Unicode_bidi
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getUnicode_bidi()
	 * @generated
	 */
	int UNICODE_BIDI = 106;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Visibility <em>Visibility</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Visibility
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getVisibility()
	 * @generated
	 */
	int VISIBILITY = 107;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Writing_mode <em>Writing mode</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Writing_mode
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getWriting_mode()
	 * @generated
	 */
	int WRITING_MODE = 108;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ZoomAndPan <em>Zoom And Pan</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ZoomAndPan
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getZoomAndPan()
	 * @generated
	 */
	int ZOOM_AND_PAN = 109;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.LengthAdjust <em>Length Adjust</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.LengthAdjust
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLengthAdjust()
	 * @generated
	 */
	int LENGTH_ADJUST = 110;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Method <em>Method</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Method
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMethod()
	 * @generated
	 */
	int METHOD = 111;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Spacing <em>Spacing</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Spacing
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSpacing()
	 * @generated
	 */
	int SPACING = 112;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.MarkerUnits <em>Marker Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.MarkerUnits
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarkerUnits()
	 * @generated
	 */
	int MARKER_UNITS = 113;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.Rendering_intent <em>Rendering intent</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.Rendering_intent
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getRendering_intent()
	 * @generated
	 */
	int RENDERING_INTENT = 114;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.GradientUnits <em>Gradient Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.GradientUnits
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGradientUnits()
	 * @generated
	 */
	int GRADIENT_UNITS = 115;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.SpreadMethod <em>Spread Method</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.SpreadMethod
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSpreadMethod()
	 * @generated
	 */
	int SPREAD_METHOD = 116;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.PatternUnits <em>Pattern Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.PatternUnits
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPatternUnits()
	 * @generated
	 */
	int PATTERN_UNITS = 117;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ClipPathUnits <em>Clip Path Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ClipPathUnits
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClipPathUnits()
	 * @generated
	 */
	int CLIP_PATH_UNITS = 118;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.MaskUnits <em>Mask Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.MaskUnits
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMaskUnits()
	 * @generated
	 */
	int MASK_UNITS = 119;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.FilterUnits <em>Filter Units</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.FilterUnits
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilterUnits()
	 * @generated
	 */
	int FILTER_UNITS = 120;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.BlendMode <em>Blend Mode</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.BlendMode
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getBlendMode()
	 * @generated
	 */
	int BLEND_MODE = 121;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ColorMatrixType <em>Color Matrix Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ColorMatrixType
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColorMatrixType()
	 * @generated
	 */
	int COLOR_MATRIX_TYPE = 122;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.CompositeOperator <em>Composite Operator</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.CompositeOperator
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCompositeOperator()
	 * @generated
	 */
	int COMPOSITE_OPERATOR = 123;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ConvolveMatrixEdgeMode <em>Convolve Matrix Edge Mode</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ConvolveMatrixEdgeMode
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getConvolveMatrixEdgeMode()
	 * @generated
	 */
	int CONVOLVE_MATRIX_EDGE_MODE = 124;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.ChannelSelector <em>Channel Selector</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.ChannelSelector
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getChannelSelector()
	 * @generated
	 */
	int CHANNEL_SELECTOR = 125;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.MorphologyOperator <em>Morphology Operator</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.MorphologyOperator
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMorphologyOperator()
	 * @generated
	 */
	int MORPHOLOGY_OPERATOR = 126;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.StitchTiles <em>Stitch Tiles</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.StitchTiles
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStitchTiles()
	 * @generated
	 */
	int STITCH_TILES = 127;

	/**
	 * The meta object id for the '{@link org.eclipse.fx.formats.svg.svg.TurbulenceType <em>Turbulence Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.fx.formats.svg.svg.TurbulenceType
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTurbulenceType()
	 * @generated
	 */
	int TURBULENCE_TYPE = 128;

	/**
	 * The meta object id for the '<em>Length</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLength()
	 * @generated
	 */
	int LENGTH = 129;

	/**
	 * The meta object id for the '<em>Angle</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getAngle()
	 * @generated
	 */
	int ANGLE = 130;

	/**
	 * The meta object id for the '<em>Percentage</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPercentage()
	 * @generated
	 */
	int PERCENTAGE = 131;

	/**
	 * The meta object id for the '<em>Shape</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getShape()
	 * @generated
	 */
	int SHAPE = 132;

	/**
	 * The meta object id for the '<em>Funciri</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFunciri()
	 * @generated
	 */
	int FUNCIRI = 133;

	/**
	 * The meta object id for the '<em>Color</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor()
	 * @generated
	 */
	int COLOR = 134;

	/**
	 * The meta object id for the '<em>Paint</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPaint()
	 * @generated
	 */
	int PAINT = 135;

	/**
	 * The meta object id for the '<em>Opacity value</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getOpacity_value()
	 * @generated
	 */
	int OPACITY_VALUE = 136;

	/**
	 * The meta object id for the '<em>Baseline shift</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getBaseline_shift()
	 * @generated
	 */
	int BASELINE_SHIFT = 137;

	/**
	 * The meta object id for the '<em>Clip</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClip()
	 * @generated
	 */
	int CLIP = 138;

	/**
	 * The meta object id for the '<em>Clip path</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClip_path()
	 * @generated
	 */
	int CLIP_PATH = 139;

	/**
	 * The meta object id for the '<em>Color profile</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_profile()
	 * @generated
	 */
	int COLOR_PROFILE = 140;

	/**
	 * The meta object id for the '<em>Cursor</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCursor()
	 * @generated
	 */
	int CURSOR = 141;

	/**
	 * The meta object id for the '<em>Enable background</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getEnable_background()
	 * @generated
	 */
	int ENABLE_BACKGROUND = 142;

	/**
	 * The meta object id for the '<em>Fill</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFill()
	 * @generated
	 */
	int FILL = 143;

	/**
	 * The meta object id for the '<em>Fill opacity</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFill_opacity()
	 * @generated
	 */
	int FILL_OPACITY = 144;

	/**
	 * The meta object id for the '<em>Filter</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilter()
	 * @generated
	 */
	int FILTER = 145;

	/**
	 * The meta object id for the '<em>Flood color</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFlood_color()
	 * @generated
	 */
	int FLOOD_COLOR = 146;

	/**
	 * The meta object id for the '<em>Flood opacity</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFlood_opacity()
	 * @generated
	 */
	int FLOOD_OPACITY = 147;

	/**
	 * The meta object id for the '<em>Font family</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_family()
	 * @generated
	 */
	int FONT_FAMILY = 148;

	/**
	 * The meta object id for the '<em>Font size</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_size()
	 * @generated
	 */
	int FONT_SIZE = 149;

	/**
	 * The meta object id for the '<em>Font size adjust</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_size_adjust()
	 * @generated
	 */
	int FONT_SIZE_ADJUST = 150;

	/**
	 * The meta object id for the '<em>Glyph orientation horizontal</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGlyph_orientation_horizontal()
	 * @generated
	 */
	int GLYPH_ORIENTATION_HORIZONTAL = 151;

	/**
	 * The meta object id for the '<em>Glyph orientation vertical</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGlyph_orientation_vertical()
	 * @generated
	 */
	int GLYPH_ORIENTATION_VERTICAL = 152;

	/**
	 * The meta object id for the '<em>Kerning</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getKerning()
	 * @generated
	 */
	int KERNING = 153;

	/**
	 * The meta object id for the '<em>Letter spacing</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLetter_spacing()
	 * @generated
	 */
	int LETTER_SPACING = 154;

	/**
	 * The meta object id for the '<em>Lighting color</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLighting_color()
	 * @generated
	 */
	int LIGHTING_COLOR = 155;

	/**
	 * The meta object id for the '<em>Marker end</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarker_end()
	 * @generated
	 */
	int MARKER_END = 156;

	/**
	 * The meta object id for the '<em>Marker mid</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarker_mid()
	 * @generated
	 */
	int MARKER_MID = 157;

	/**
	 * The meta object id for the '<em>Marker start</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarker_start()
	 * @generated
	 */
	int MARKER_START = 158;

	/**
	 * The meta object id for the '<em>Masks</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMasks()
	 * @generated
	 */
	int MASKS = 159;

	/**
	 * The meta object id for the '<em>Opacity</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getOpacity()
	 * @generated
	 */
	int OPACITY = 160;

	/**
	 * The meta object id for the '<em>Stop color</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStop_color()
	 * @generated
	 */
	int STOP_COLOR = 161;

	/**
	 * The meta object id for the '<em>Stop opacity</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStop_opacity()
	 * @generated
	 */
	int STOP_OPACITY = 162;

	/**
	 * The meta object id for the '<em>Stroke</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke()
	 * @generated
	 */
	int STROKE = 163;

	/**
	 * The meta object id for the '<em>Stroke dasharray</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_dasharray()
	 * @generated
	 */
	int STROKE_DASHARRAY = 164;

	/**
	 * The meta object id for the '<em>Stroke dashoffset</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_dashoffset()
	 * @generated
	 */
	int STROKE_DASHOFFSET = 165;

	/**
	 * The meta object id for the '<em>Stroke miterlimit</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_miterlimit()
	 * @generated
	 */
	int STROKE_MITERLIMIT = 166;

	/**
	 * The meta object id for the '<em>Stroke opacity</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_opacity()
	 * @generated
	 */
	int STROKE_OPACITY = 167;

	/**
	 * The meta object id for the '<em>Stroke width</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_width()
	 * @generated
	 */
	int STROKE_WIDTH = 168;

	/**
	 * The meta object id for the '<em>Text decoration</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getText_decoration()
	 * @generated
	 */
	int TEXT_DECORATION = 169;

	/**
	 * The meta object id for the '<em>Word spacing</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getWord_spacing()
	 * @generated
	 */
	int WORD_SPACING = 170;

	/**
	 * The meta object id for the '<em>Coordinate</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCoordinate()
	 * @generated
	 */
	int COORDINATE = 171;

	/**
	 * The meta object id for the '<em>View Box</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getViewBox()
	 * @generated
	 */
	int VIEW_BOX = 172;

	/**
	 * The meta object id for the '<em>Preserve Aspect Ratio</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPreserveAspectRatio()
	 * @generated
	 */
	int PRESERVE_ASPECT_RATIO = 173;

	/**
	 * The meta object id for the '<em>Number</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.Double
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getNumber()
	 * @generated
	 */
	int NUMBER = 174;

	/**
	 * The meta object id for the '<em>Transform</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTransform()
	 * @generated
	 */
	int TRANSFORM = 175;

	/**
	 * The meta object id for the '<em>Path Data</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPathData()
	 * @generated
	 */
	int PATH_DATA = 176;

	/**
	 * The meta object id for the '<em>List Of Points</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfPoints()
	 * @generated
	 */
	int LIST_OF_POINTS = 177;

	/**
	 * The meta object id for the '<em>List Of Lengths</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfLengths()
	 * @generated
	 */
	int LIST_OF_LENGTHS = 178;

	/**
	 * The meta object id for the '<em>List Of Numbers</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfNumbers()
	 * @generated
	 */
	int LIST_OF_NUMBERS = 179;

	/**
	 * The meta object id for the '<em>List Of Coordinates</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfCoordinates()
	 * @generated
	 */
	int LIST_OF_COORDINATES = 180;

	/**
	 * The meta object id for the '<em>Name</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getName_()
	 * @generated
	 */
	int NAME = 181;

	/**
	 * The meta object id for the '<em>Number Optional Number</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getNumberOptionalNumber()
	 * @generated
	 */
	int NUMBER_OPTIONAL_NUMBER = 182;


	/**
	 * The meta object id for the '<em>Transform List</em>' data type.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see java.lang.String
	 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTransformList()
	 * @generated
	 */
	int TRANSFORM_LIST = 183;


	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.ContentElement <em>Content Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Content Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ContentElement
	 * @generated
	 */
	EClass getContentElement();

	/**
	 * Returns the meta object for the containment reference list '{@link org.eclipse.fx.formats.svg.svg.ContentElement#getChildren <em>Children</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Children</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ContentElement#getChildren()
	 * @see #getContentElement()
	 * @generated
	 */
	EReference getContentElement_Children();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.ContainerElement <em>Container Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Container Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ContainerElement
	 * @generated
	 */
	EClass getContainerElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.StructuralElement <em>Structural Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Structural Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.StructuralElement
	 * @generated
	 */
	EClass getStructuralElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgElement <em>Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgElement
	 * @generated
	 */
	EClass getSvgElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.DescriptiveElement <em>Descriptive Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Descriptive Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DescriptiveElement
	 * @generated
	 */
	EClass getDescriptiveElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.GraphicsElement <em>Graphics Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Graphics Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicsElement
	 * @generated
	 */
	EClass getGraphicsElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.GraphicsReferencingElement <em>Graphics Referencing Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Graphics Referencing Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicsReferencingElement
	 * @generated
	 */
	EClass getGraphicsReferencingElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.ShapeElement <em>Shape Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Shape Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ShapeElement
	 * @generated
	 */
	EClass getShapeElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.BasicShapeElement <em>Basic Shape Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Basic Shape Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.BasicShapeElement
	 * @generated
	 */
	EClass getBasicShapeElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.TextContentElement <em>Text Content Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Content Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.TextContentElement
	 * @generated
	 */
	EClass getTextContentElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.TextContentChildElement <em>Text Content Child Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Content Child Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.TextContentChildElement
	 * @generated
	 */
	EClass getTextContentChildElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.GradientElement <em>Gradient Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gradient Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GradientElement
	 * @generated
	 */
	EClass getGradientElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.LightSourceElement <em>Light Source Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Light Source Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.LightSourceElement
	 * @generated
	 */
	EClass getLightSourceElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveElement <em>Filter Primitive Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Filter Primitive Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveElement
	 * @generated
	 */
	EClass getFilterPrimitiveElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.AnimationElement <em>Animation Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Animation Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.AnimationElement
	 * @generated
	 */
	EClass getAnimationElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.____ENUMS____ <em>ENUMS </em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ENUMS </em>'.
	 * @see org.eclipse.fx.formats.svg.svg.____ENUMS____
	 * @generated
	 */
	EClass get____ENUMS____();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.____DATATYPES____ <em>DATATYPES </em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>DATATYPES </em>'.
	 * @see org.eclipse.fx.formats.svg.svg.____DATATYPES____
	 * @generated
	 */
	EClass get____DATATYPES____();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.____ATTRIBUTES____ <em>ATTRIBUTES </em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ATTRIBUTES </em>'.
	 * @see org.eclipse.fx.formats.svg.svg.____ATTRIBUTES____
	 * @generated
	 */
	EClass get____ATTRIBUTES____();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes <em>Conditional Processing Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Conditional Processing Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes
	 * @generated
	 */
	EClass getConditionalProcessingAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes#getRequiredFeatures <em>Required Features</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Required Features</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes#getRequiredFeatures()
	 * @see #getConditionalProcessingAttributes()
	 * @generated
	 */
	EAttribute getConditionalProcessingAttributes_RequiredFeatures();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes#getRequiredExtensions <em>Required Extensions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Required Extensions</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes#getRequiredExtensions()
	 * @see #getConditionalProcessingAttributes()
	 * @generated
	 */
	EAttribute getConditionalProcessingAttributes_RequiredExtensions();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes#getSystemLanguage <em>System Language</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>System Language</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes#getSystemLanguage()
	 * @see #getConditionalProcessingAttributes()
	 * @generated
	 */
	EAttribute getConditionalProcessingAttributes_SystemLanguage();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes <em>Core Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Core Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes
	 * @generated
	 */
	EClass getCoreAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes#getId()
	 * @see #getCoreAttributes()
	 * @generated
	 */
	EAttribute getCoreAttributes_Id();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__base <em>Xml base</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xml base</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__base()
	 * @see #getCoreAttributes()
	 * @generated
	 */
	EAttribute getCoreAttributes_Xml__base();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__lang <em>Xml lang</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xml lang</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__lang()
	 * @see #getCoreAttributes()
	 * @generated
	 */
	EAttribute getCoreAttributes_Xml__lang();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__space <em>Xml space</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xml space</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes#getXml__space()
	 * @see #getCoreAttributes()
	 * @generated
	 */
	EAttribute getCoreAttributes_Xml__space();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes <em>Document Event Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Document Event Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes
	 * @generated
	 */
	EClass getDocumentEventAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnunload <em>Onunload</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onunload</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnunload()
	 * @see #getDocumentEventAttributes()
	 * @generated
	 */
	EAttribute getDocumentEventAttributes_Onunload();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnabort <em>Onabort</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onabort</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnabort()
	 * @see #getDocumentEventAttributes()
	 * @generated
	 */
	EAttribute getDocumentEventAttributes_Onabort();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnerror <em>Onerror</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onerror</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnerror()
	 * @see #getDocumentEventAttributes()
	 * @generated
	 */
	EAttribute getDocumentEventAttributes_Onerror();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnresize <em>Onresize</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onresize</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnresize()
	 * @see #getDocumentEventAttributes()
	 * @generated
	 */
	EAttribute getDocumentEventAttributes_Onresize();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnscroll <em>Onscroll</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onscroll</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnscroll()
	 * @see #getDocumentEventAttributes()
	 * @generated
	 */
	EAttribute getDocumentEventAttributes_Onscroll();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnzoom <em>Onzoom</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onzoom</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes#getOnzoom()
	 * @see #getDocumentEventAttributes()
	 * @generated
	 */
	EAttribute getDocumentEventAttributes_Onzoom();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes <em>Graphical Event Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Graphical Event Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes
	 * @generated
	 */
	EClass getGraphicalEventAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusin <em>Onfocusin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onfocusin</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusin()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onfocusin();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusout <em>Onfocusout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onfocusout</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnfocusout()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onfocusout();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnactivate <em>Onactivate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onactivate</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnactivate()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onactivate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnclick <em>Onclick</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onclick</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnclick()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onclick();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousedown <em>Onmousedown</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onmousedown</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousedown()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onmousedown();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseup <em>Onmouseup</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onmouseup</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseup()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onmouseup();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseover <em>Onmouseover</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onmouseover</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseover()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onmouseover();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousemove <em>Onmousemove</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onmousemove</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmousemove()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onmousemove();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseout <em>Onmouseout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onmouseout</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnmouseout()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onmouseout();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnload <em>Onload</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Onload</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes#getOnload()
	 * @see #getGraphicalEventAttributes()
	 * @generated
	 */
	EAttribute getGraphicalEventAttributes_Onload();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes <em>Presentation Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Presentation Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes
	 * @generated
	 */
	EClass getPresentationAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getAlignment_baseline <em>Alignment baseline</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alignment baseline</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getAlignment_baseline()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Alignment_baseline();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getBaseline_shift <em>Baseline shift</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Baseline shift</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getBaseline_shift()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Baseline_shift();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getClip <em>Clip</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Clip</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getClip()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Clip();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getClip_path <em>Clip path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Clip path</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getClip_path()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Clip_path();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getClip_rule <em>Clip rule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Clip rule</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getClip_rule()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Clip_rule();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor <em>Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Color();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_interpolation <em>Color interpolation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color interpolation</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_interpolation()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Color_interpolation();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_interpolation_filters <em>Color interpolation filters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color interpolation filters</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_interpolation_filters()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Color_interpolation_filters();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_profile <em>Color profile</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color profile</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_profile()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Color_profile();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_rendering <em>Color rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Color rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getColor_rendering()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Color_rendering();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getCursor <em>Cursor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cursor</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getCursor()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Cursor();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getDirection <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Direction</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getDirection()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Direction();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getDisplay <em>Display</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Display</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getDisplay()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Display();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getDominant_baseline <em>Dominant baseline</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dominant baseline</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getDominant_baseline()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Dominant_baseline();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getEnable_background <em>Enable background</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Enable background</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getEnable_background()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Enable_background();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFill <em>Fill</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fill</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFill()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Fill();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFill_opacity <em>Fill opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fill opacity</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFill_opacity()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Fill_opacity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFill_rule <em>Fill rule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fill rule</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFill_rule()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Fill_rule();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFilter <em>Filter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Filter</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFilter()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Filter();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFlood_color <em>Flood color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Flood color</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFlood_color()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Flood_color();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFlood_opacity <em>Flood opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Flood opacity</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFlood_opacity()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Flood_opacity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_family <em>Font family</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font family</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_family()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_family();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_size <em>Font size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font size</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_size()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_size();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_size_adjust <em>Font size adjust</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font size adjust</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_size_adjust()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_size_adjust();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_stretch <em>Font stretch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font stretch</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_stretch()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_stretch();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_style <em>Font style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_style()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_variant <em>Font variant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font variant</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_variant()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_variant();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_weight <em>Font weight</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Font weight</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getFont_weight()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Font_weight();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getGlyph_orientation_horizontal <em>Glyph orientation horizontal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Glyph orientation horizontal</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getGlyph_orientation_horizontal()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Glyph_orientation_horizontal();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getGlyph_orientation_vertical <em>Glyph orientation vertical</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Glyph orientation vertical</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getGlyph_orientation_vertical()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Glyph_orientation_vertical();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getImage_rendering <em>Image rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Image rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getImage_rendering()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Image_rendering();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getKerning <em>Kerning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kerning</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getKerning()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Kerning();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getLetter_spacing <em>Letter spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Letter spacing</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getLetter_spacing()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Letter_spacing();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getLighting_color <em>Lighting color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lighting color</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getLighting_color()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Lighting_color();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMarker_end <em>Marker end</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Marker end</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMarker_end()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Marker_end();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMarker_mid <em>Marker mid</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Marker mid</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMarker_mid()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Marker_mid();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMarker_start <em>Marker start</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Marker start</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMarker_start()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Marker_start();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMasks <em>Masks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Masks</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getMasks()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Masks();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getOpacity <em>Opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Opacity</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getOpacity()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Opacity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getOverflow <em>Overflow</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Overflow</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getOverflow()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Overflow();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getPointer_events <em>Pointer events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pointer events</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getPointer_events()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Pointer_events();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getShape_rendering <em>Shape rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Shape rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getShape_rendering()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Shape_rendering();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStop_color <em>Stop color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stop color</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStop_color()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stop_color();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStop_opacity <em>Stop opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stop opacity</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStop_opacity()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stop_opacity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke <em>Stroke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_dasharray <em>Stroke dasharray</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke dasharray</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_dasharray()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_dasharray();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_dashoffset <em>Stroke dashoffset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke dashoffset</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_dashoffset()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_dashoffset();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_linecap <em>Stroke linecap</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke linecap</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_linecap()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_linecap();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_linejoin <em>Stroke linejoin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke linejoin</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_linejoin()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_linejoin();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_miterlimit <em>Stroke miterlimit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke miterlimit</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_miterlimit()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_miterlimit();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_opacity <em>Stroke opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke opacity</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_opacity()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_opacity();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_width <em>Stroke width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stroke width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getStroke_width()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Stroke_width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getText_anchor <em>Text anchor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text anchor</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getText_anchor()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Text_anchor();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getText_decoration <em>Text decoration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text decoration</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getText_decoration()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Text_decoration();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getText_rendering <em>Text rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getText_rendering()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Text_rendering();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getUnicode_bidi <em>Unicode bidi</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unicode bidi</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getUnicode_bidi()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Unicode_bidi();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getVisibility <em>Visibility</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Visibility</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getVisibility()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Visibility();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getWord_spacing <em>Word spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Word spacing</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getWord_spacing()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Word_spacing();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes#getWriting_mode <em>Writing mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Writing mode</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes#getWriting_mode()
	 * @see #getPresentationAttributes()
	 * @generated
	 */
	EAttribute getPresentationAttributes_Writing_mode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes <em>XLink Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XLink Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes
	 * @generated
	 */
	EClass getXLinkAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__href <em>Xlink href</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink href</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__href()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__href();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__show <em>Xlink show</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink show</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__show()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__show();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__actuate <em>Xlink actuate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink actuate</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__actuate()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__actuate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__type <em>Xlink type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__type()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__type();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__role <em>Xlink role</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink role</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__role()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__role();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__arcrole <em>Xlink arcrole</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink arcrole</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__arcrole()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__arcrole();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__title <em>Xlink title</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Xlink title</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getXlink__title()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EAttribute getXLinkAttributes_Xlink__title();

	/**
	 * Returns the meta object for the containment reference '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes#getResolvedInstance <em>Resolved Instance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Resolved Instance</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes#getResolvedInstance()
	 * @see #getXLinkAttributes()
	 * @generated
	 */
	EReference getXLinkAttributes_ResolvedInstance();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes <em>Filter Primitive Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Filter Primitive Attributes</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes
	 * @generated
	 */
	EClass getFilterPrimitiveAttributes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getX()
	 * @see #getFilterPrimitiveAttributes()
	 * @generated
	 */
	EAttribute getFilterPrimitiveAttributes_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getY()
	 * @see #getFilterPrimitiveAttributes()
	 * @generated
	 */
	EAttribute getFilterPrimitiveAttributes_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getWidth()
	 * @see #getFilterPrimitiveAttributes()
	 * @generated
	 */
	EAttribute getFilterPrimitiveAttributes_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getHeight()
	 * @see #getFilterPrimitiveAttributes()
	 * @generated
	 */
	EAttribute getFilterPrimitiveAttributes_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getResult <em>Result</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Result</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getResult()
	 * @see #getFilterPrimitiveAttributes()
	 * @generated
	 */
	EAttribute getFilterPrimitiveAttributes_Result();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getIn <em>In</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>In</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes#getIn()
	 * @see #getFilterPrimitiveAttributes()
	 * @generated
	 */
	EAttribute getFilterPrimitiveAttributes_In();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.____ELEMENTES____ <em>ELEMENTES </em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ELEMENTES </em>'.
	 * @see org.eclipse.fx.formats.svg.svg.____ELEMENTES____
	 * @generated
	 */
	EClass get____ELEMENTES____();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement <em>Svg Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Svg Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement
	 * @generated
	 */
	EClass getSvgSvgElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getClass_()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getStyle()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getExternalResourcesRequired()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getX()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getY()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getWidth()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getHeight()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getViewBox <em>View Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>View Box</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getViewBox()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_ViewBox();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getPreserveAspectRatio <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Aspect Ratio</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getPreserveAspectRatio()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_PreserveAspectRatio();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getZoomAndPan <em>Zoom And Pan</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Zoom And Pan</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getZoomAndPan()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_ZoomAndPan();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getVersion()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_Version();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getBaseProfile <em>Base Profile</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Base Profile</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getBaseProfile()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_BaseProfile();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getContentScriptType <em>Content Script Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Content Script Type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getContentScriptType()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_ContentScriptType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getContentStyleType <em>Content Style Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Content Style Type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getContentStyleType()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_ContentStyleType();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSvgElement#getStyleSheet <em>Style Sheet</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style Sheet</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSvgElement#getStyleSheet()
	 * @see #getSvgSvgElement()
	 * @generated
	 */
	EAttribute getSvgSvgElement_StyleSheet();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgGElement <em>GElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>GElement</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement
	 * @generated
	 */
	EClass getSvgGElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgGElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement#getClass_()
	 * @see #getSvgGElement()
	 * @generated
	 */
	EAttribute getSvgGElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgGElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement#getStyle()
	 * @see #getSvgGElement()
	 * @generated
	 */
	EAttribute getSvgGElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgGElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement#getExternalResourcesRequired()
	 * @see #getSvgGElement()
	 * @generated
	 */
	EAttribute getSvgGElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgGElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement#getTransform()
	 * @see #getSvgGElement()
	 * @generated
	 */
	EAttribute getSvgGElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgGElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement#getX()
	 * @see #getSvgGElement()
	 * @generated
	 */
	EAttribute getSvgGElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgGElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgGElement#getY()
	 * @see #getSvgGElement()
	 * @generated
	 */
	EAttribute getSvgGElement_Y();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgDefsElement <em>Defs Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Defs Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDefsElement
	 * @generated
	 */
	EClass getSvgDefsElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgDefsElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDefsElement#getClass_()
	 * @see #getSvgDefsElement()
	 * @generated
	 */
	EAttribute getSvgDefsElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgDefsElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDefsElement#getStyle()
	 * @see #getSvgDefsElement()
	 * @generated
	 */
	EAttribute getSvgDefsElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgDefsElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDefsElement#getExternalResourcesRequired()
	 * @see #getSvgDefsElement()
	 * @generated
	 */
	EAttribute getSvgDefsElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgDefsElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDefsElement#getTransform()
	 * @see #getSvgDefsElement()
	 * @generated
	 */
	EAttribute getSvgDefsElement_Transform();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgDescElement <em>Desc Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Desc Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDescElement
	 * @generated
	 */
	EClass getSvgDescElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgDescElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDescElement#getClass_()
	 * @see #getSvgDescElement()
	 * @generated
	 */
	EAttribute getSvgDescElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgDescElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgDescElement#getStyle()
	 * @see #getSvgDescElement()
	 * @generated
	 */
	EAttribute getSvgDescElement_Style();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgTitleElement <em>Title Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Title Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTitleElement
	 * @generated
	 */
	EClass getSvgTitleElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTitleElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTitleElement#getClass_()
	 * @see #getSvgTitleElement()
	 * @generated
	 */
	EAttribute getSvgTitleElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTitleElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTitleElement#getStyle()
	 * @see #getSvgTitleElement()
	 * @generated
	 */
	EAttribute getSvgTitleElement_Style();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgSymbolElement <em>Symbol Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Symbol Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSymbolElement
	 * @generated
	 */
	EClass getSvgSymbolElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getClass_()
	 * @see #getSvgSymbolElement()
	 * @generated
	 */
	EAttribute getSvgSymbolElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getStyle()
	 * @see #getSvgSymbolElement()
	 * @generated
	 */
	EAttribute getSvgSymbolElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getExternalResourcesRequired()
	 * @see #getSvgSymbolElement()
	 * @generated
	 */
	EAttribute getSvgSymbolElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getViewBox <em>View Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>View Box</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getViewBox()
	 * @see #getSvgSymbolElement()
	 * @generated
	 */
	EAttribute getSvgSymbolElement_ViewBox();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getPreserveAspectRatio <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Aspect Ratio</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSymbolElement#getPreserveAspectRatio()
	 * @see #getSvgSymbolElement()
	 * @generated
	 */
	EAttribute getSvgSymbolElement_PreserveAspectRatio();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement <em>Use Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Use Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement
	 * @generated
	 */
	EClass getSvgUseElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getClass_()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getStyle()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getExternalResourcesRequired()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getTransform()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getWidth()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getHeight()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getX()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgUseElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgUseElement#getY()
	 * @see #getSvgUseElement()
	 * @generated
	 */
	EAttribute getSvgUseElement_Y();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement <em>Image Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Image Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement
	 * @generated
	 */
	EClass getSvgImageElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getClass_()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getStyle()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getExternalResourcesRequired()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getPreserveAspectRatio <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Aspect Ratio</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getPreserveAspectRatio()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_PreserveAspectRatio();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getTransform()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getX()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getY()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getWidth()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgImageElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgImageElement#getHeight()
	 * @see #getSvgImageElement()
	 * @generated
	 */
	EAttribute getSvgImageElement_Height();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgSwitchElement <em>Switch Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Switch Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSwitchElement
	 * @generated
	 */
	EClass getSvgSwitchElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getClass_()
	 * @see #getSvgSwitchElement()
	 * @generated
	 */
	EAttribute getSvgSwitchElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getStyle()
	 * @see #getSvgSwitchElement()
	 * @generated
	 */
	EAttribute getSvgSwitchElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getExternalResourcesRequired()
	 * @see #getSvgSwitchElement()
	 * @generated
	 */
	EAttribute getSvgSwitchElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgSwitchElement#getTransform()
	 * @see #getSvgSwitchElement()
	 * @generated
	 */
	EAttribute getSvgSwitchElement_Transform();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement <em>Path Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Path Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement
	 * @generated
	 */
	EClass getSvgPathElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement#getClass_()
	 * @see #getSvgPathElement()
	 * @generated
	 */
	EAttribute getSvgPathElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement#getStyle()
	 * @see #getSvgPathElement()
	 * @generated
	 */
	EAttribute getSvgPathElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement#getExternalResourcesRequired()
	 * @see #getSvgPathElement()
	 * @generated
	 */
	EAttribute getSvgPathElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement#getTransform()
	 * @see #getSvgPathElement()
	 * @generated
	 */
	EAttribute getSvgPathElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement#getD <em>D</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>D</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement#getD()
	 * @see #getSvgPathElement()
	 * @generated
	 */
	EAttribute getSvgPathElement_D();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPathElement#getPathLength <em>Path Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Path Length</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPathElement#getPathLength()
	 * @see #getSvgPathElement()
	 * @generated
	 */
	EAttribute getSvgPathElement_PathLength();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement <em>Rect Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Rect Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement
	 * @generated
	 */
	EClass getSvgRectElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getClass_()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getStyle()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getExternalResourcesRequired()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getTransform()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getX()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getY()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getWidth()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getHeight()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getRx <em>Rx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Rx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getRx()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Rx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRectElement#getRy <em>Ry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ry</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRectElement#getRy()
	 * @see #getSvgRectElement()
	 * @generated
	 */
	EAttribute getSvgRectElement_Ry();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement <em>Circle Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Circle Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement
	 * @generated
	 */
	EClass getSvgCircleElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getClass_()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getStyle()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getExternalResourcesRequired()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getTransform()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getCx <em>Cx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getCx()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_Cx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getCy <em>Cy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getCy()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_Cy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgCircleElement#getR <em>R</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>R</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgCircleElement#getR()
	 * @see #getSvgCircleElement()
	 * @generated
	 */
	EAttribute getSvgCircleElement_R();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement <em>Ellipse Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Ellipse Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement
	 * @generated
	 */
	EClass getSvgEllipseElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getClass_()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getStyle()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getExternalResourcesRequired()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getTransform()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getCx <em>Cx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getCx()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Cx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getCy <em>Cy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getCy()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Cy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getRx <em>Rx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Rx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getRx()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Rx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getRy <em>Ry</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ry</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgEllipseElement#getRy()
	 * @see #getSvgEllipseElement()
	 * @generated
	 */
	EAttribute getSvgEllipseElement_Ry();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement <em>Line Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Line Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement
	 * @generated
	 */
	EClass getSvgLineElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getClass_()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getStyle()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getExternalResourcesRequired()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getTransform()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getX1 <em>X1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X1</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getX1()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_X1();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getY1 <em>Y1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y1</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getY1()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_Y1();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getX2 <em>X2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getX2()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_X2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLineElement#getY2 <em>Y2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLineElement#getY2()
	 * @see #getSvgLineElement()
	 * @generated
	 */
	EAttribute getSvgLineElement_Y2();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgPolylineElement <em>Polyline Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Polyline Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolylineElement
	 * @generated
	 */
	EClass getSvgPolylineElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getClass_()
	 * @see #getSvgPolylineElement()
	 * @generated
	 */
	EAttribute getSvgPolylineElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getStyle()
	 * @see #getSvgPolylineElement()
	 * @generated
	 */
	EAttribute getSvgPolylineElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getExternalResourcesRequired()
	 * @see #getSvgPolylineElement()
	 * @generated
	 */
	EAttribute getSvgPolylineElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getTransform()
	 * @see #getSvgPolylineElement()
	 * @generated
	 */
	EAttribute getSvgPolylineElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getPoints <em>Points</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Points</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolylineElement#getPoints()
	 * @see #getSvgPolylineElement()
	 * @generated
	 */
	EAttribute getSvgPolylineElement_Points();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgPolygonElement <em>Polygon Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Polygon Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolygonElement
	 * @generated
	 */
	EClass getSvgPolygonElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getClass_()
	 * @see #getSvgPolygonElement()
	 * @generated
	 */
	EAttribute getSvgPolygonElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getStyle()
	 * @see #getSvgPolygonElement()
	 * @generated
	 */
	EAttribute getSvgPolygonElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getExternalResourcesRequired()
	 * @see #getSvgPolygonElement()
	 * @generated
	 */
	EAttribute getSvgPolygonElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getTransform()
	 * @see #getSvgPolygonElement()
	 * @generated
	 */
	EAttribute getSvgPolygonElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getPoints <em>Points</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Points</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPolygonElement#getPoints()
	 * @see #getSvgPolygonElement()
	 * @generated
	 */
	EAttribute getSvgPolygonElement_Points();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement <em>Text Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement
	 * @generated
	 */
	EClass getSvgTextElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getClass_()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getStyle()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getExternalResourcesRequired()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getTransform()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getLengthAdjust <em>Length Adjust</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Length Adjust</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getLengthAdjust()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_LengthAdjust();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getX()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getY()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getDx <em>Dx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getDx()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Dx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getDy <em>Dy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getDy()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Dy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getRotate <em>Rotate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Rotate</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getRotate()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_Rotate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextElement#getTextLength <em>Text Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text Length</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextElement#getTextLength()
	 * @see #getSvgTextElement()
	 * @generated
	 */
	EAttribute getSvgTextElement_TextLength();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement <em>Tspan Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tspan Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement
	 * @generated
	 */
	EClass getSvgTspanElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getClass_()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getStyle()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getExternalResourcesRequired()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getX()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getY()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getDx <em>Dx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getDx()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_Dx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getDy <em>Dy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getDy()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_Dy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getRotate <em>Rotate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Rotate</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getRotate()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_Rotate();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getTextLength <em>Text Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text Length</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getTextLength()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_TextLength();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTspanElement#getLengthAdjust <em>Length Adjust</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Length Adjust</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTspanElement#getLengthAdjust()
	 * @see #getSvgTspanElement()
	 * @generated
	 */
	EAttribute getSvgTspanElement_LengthAdjust();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgTrefElement <em>Tref Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tref Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTrefElement
	 * @generated
	 */
	EClass getSvgTrefElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTrefElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTrefElement#getClass_()
	 * @see #getSvgTrefElement()
	 * @generated
	 */
	EAttribute getSvgTrefElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTrefElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTrefElement#getStyle()
	 * @see #getSvgTrefElement()
	 * @generated
	 */
	EAttribute getSvgTrefElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTrefElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTrefElement#getExternalResourcesRequired()
	 * @see #getSvgTrefElement()
	 * @generated
	 */
	EAttribute getSvgTrefElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement <em>Text Path Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Path Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement
	 * @generated
	 */
	EClass getSvgTextPathElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getClass_()
	 * @see #getSvgTextPathElement()
	 * @generated
	 */
	EAttribute getSvgTextPathElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getStyle()
	 * @see #getSvgTextPathElement()
	 * @generated
	 */
	EAttribute getSvgTextPathElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getExternalResourcesRequired()
	 * @see #getSvgTextPathElement()
	 * @generated
	 */
	EAttribute getSvgTextPathElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getStartOffset <em>Start Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Start Offset</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getStartOffset()
	 * @see #getSvgTextPathElement()
	 * @generated
	 */
	EAttribute getSvgTextPathElement_StartOffset();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getMethod <em>Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Method</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getMethod()
	 * @see #getSvgTextPathElement()
	 * @generated
	 */
	EAttribute getSvgTextPathElement_Method();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getSpacing <em>Spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Spacing</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgTextPathElement#getSpacing()
	 * @see #getSvgTextPathElement()
	 * @generated
	 */
	EAttribute getSvgTextPathElement_Spacing();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement <em>Alt Glyph Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alt Glyph Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement
	 * @generated
	 */
	EClass getSvgAltGlyphElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getClass_()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getStyle()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getExternalResourcesRequired()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getX()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getY()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getDx <em>Dx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getDx()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Dx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getDy <em>Dy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getDy()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Dy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getGlyphRef <em>Glyph Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Glyph Ref</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getGlyphRef()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_GlyphRef();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Format</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getFormat()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Format();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getRotate <em>Rotate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Rotate</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphElement#getRotate()
	 * @see #getSvgAltGlyphElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphElement_Rotate();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphDefElement <em>Alt Glyph Def Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alt Glyph Def Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphDefElement
	 * @generated
	 */
	EClass getSvgAltGlyphDefElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphItemElement <em>Alt Glyph Item Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alt Glyph Item Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphItemElement
	 * @generated
	 */
	EClass getSvgAltGlyphItemElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement <em>Alt Glyph Ref Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Alt Glyph Ref Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement
	 * @generated
	 */
	EClass getSvgAltGlyphRefElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getClass_()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getStyle()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getX()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getY()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getDx <em>Dx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getDx()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_Dx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getDy <em>Dy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getDy()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_Dy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getGlyphRef <em>Glyph Ref</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Glyph Ref</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getGlyphRef()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_GlyphRef();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Format</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAltGlyphRefElement#getFormat()
	 * @see #getSvgAltGlyphRefElement()
	 * @generated
	 */
	EAttribute getSvgAltGlyphRefElement_Format();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement <em>Marker Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Marker Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement
	 * @generated
	 */
	EClass getSvgMarkerElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getClass_()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getStyle()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getExternalResourcesRequired()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getViewBox <em>View Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>View Box</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getViewBox()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_ViewBox();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getPreserveAspectRatio <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Aspect Ratio</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getPreserveAspectRatio()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_PreserveAspectRatio();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getRefX <em>Ref X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ref X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getRefX()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_RefX();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getRefY <em>Ref Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ref Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getRefY()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_RefY();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getMarkerUnits <em>Marker Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Marker Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getMarkerUnits()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_MarkerUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getMarkerWidth <em>Marker Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Marker Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getMarkerWidth()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_MarkerWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getMarkerHeight <em>Marker Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Marker Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getMarkerHeight()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_MarkerHeight();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getOrient <em>Orient</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Orient</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMarkerElement#getOrient()
	 * @see #getSvgMarkerElement()
	 * @generated
	 */
	EAttribute getSvgMarkerElement_Orient();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgColorProfileElement <em>Color Profile Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Color Profile Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgColorProfileElement
	 * @generated
	 */
	EClass getSvgColorProfileElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgColorProfileElement#getLocal <em>Local</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Local</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgColorProfileElement#getLocal()
	 * @see #getSvgColorProfileElement()
	 * @generated
	 */
	EAttribute getSvgColorProfileElement_Local();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgColorProfileElement#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgColorProfileElement#getName()
	 * @see #getSvgColorProfileElement()
	 * @generated
	 */
	EAttribute getSvgColorProfileElement_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgColorProfileElement#getRendering_intent <em>Rendering intent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Rendering intent</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgColorProfileElement#getRendering_intent()
	 * @see #getSvgColorProfileElement()
	 * @generated
	 */
	EAttribute getSvgColorProfileElement_Rendering_intent();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement <em>Linear Gradient Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Linear Gradient Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement
	 * @generated
	 */
	EClass getSvgLinearGradientElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getClass_()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getStyle()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getExternalResourcesRequired()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getX1 <em>X1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X1</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getX1()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_X1();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getY1 <em>Y1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y1</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getY1()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_Y1();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getX2 <em>X2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getX2()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_X2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getY2 <em>Y2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getY2()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_Y2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getGradientUnits <em>Gradient Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Gradient Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getGradientUnits()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_GradientUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getSpreadMethod <em>Spread Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Spread Method</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getSpreadMethod()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_SpreadMethod();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getGradientTransform <em>Gradient Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Gradient Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgLinearGradientElement#getGradientTransform()
	 * @see #getSvgLinearGradientElement()
	 * @generated
	 */
	EAttribute getSvgLinearGradientElement_GradientTransform();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement <em>Radial Gradient Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Radial Gradient Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement
	 * @generated
	 */
	EClass getSvgRadialGradientElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getClass_()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getStyle()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getExternalResourcesRequired()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getCx <em>Cx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getCx()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_Cx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getCy <em>Cy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getCy()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_Cy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getR <em>R</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>R</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getR()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_R();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getFx <em>Fx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getFx()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_Fx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getFy <em>Fy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Fy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getFy()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_Fy();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getSpreadMethod <em>Spread Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Spread Method</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getSpreadMethod()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_SpreadMethod();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getGradientUnits <em>Gradient Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Gradient Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getGradientUnits()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_GradientUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getGradientTransform <em>Gradient Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Gradient Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgRadialGradientElement#getGradientTransform()
	 * @see #getSvgRadialGradientElement()
	 * @generated
	 */
	EAttribute getSvgRadialGradientElement_GradientTransform();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgStopElement <em>Stop Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Stop Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgStopElement
	 * @generated
	 */
	EClass getSvgStopElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgStopElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgStopElement#getClass_()
	 * @see #getSvgStopElement()
	 * @generated
	 */
	EAttribute getSvgStopElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgStopElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgStopElement#getStyle()
	 * @see #getSvgStopElement()
	 * @generated
	 */
	EAttribute getSvgStopElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgStopElement#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Offset</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgStopElement#getOffset()
	 * @see #getSvgStopElement()
	 * @generated
	 */
	EAttribute getSvgStopElement_Offset();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement <em>Pattern Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Pattern Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement
	 * @generated
	 */
	EClass getSvgPatternElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getClass_()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getStyle()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getExternalResourcesRequired()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getViewBox <em>View Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>View Box</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getViewBox()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_ViewBox();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPreserveAspectRatio <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Aspect Ratio</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPreserveAspectRatio()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_PreserveAspectRatio();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getX()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getY()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getWidth()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getHeight()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPatternUnits <em>Pattern Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pattern Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPatternUnits()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_PatternUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPatternContentUnits <em>Pattern Content Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pattern Content Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPatternContentUnits()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_PatternContentUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPatternTransform <em>Pattern Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pattern Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgPatternElement#getPatternTransform()
	 * @see #getSvgPatternElement()
	 * @generated
	 */
	EAttribute getSvgPatternElement_PatternTransform();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgClipPathElement <em>Clip Path Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Clip Path Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgClipPathElement
	 * @generated
	 */
	EClass getSvgClipPathElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getClass_()
	 * @see #getSvgClipPathElement()
	 * @generated
	 */
	EAttribute getSvgClipPathElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getStyle()
	 * @see #getSvgClipPathElement()
	 * @generated
	 */
	EAttribute getSvgClipPathElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getExternalResourcesRequired()
	 * @see #getSvgClipPathElement()
	 * @generated
	 */
	EAttribute getSvgClipPathElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getTransform <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Transform</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getTransform()
	 * @see #getSvgClipPathElement()
	 * @generated
	 */
	EAttribute getSvgClipPathElement_Transform();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getClipPathUnits <em>Clip Path Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Clip Path Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgClipPathElement#getClipPathUnits()
	 * @see #getSvgClipPathElement()
	 * @generated
	 */
	EAttribute getSvgClipPathElement_ClipPathUnits();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement <em>Mask Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mask Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement
	 * @generated
	 */
	EClass getSvgMaskElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getClass_()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getStyle()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getExternalResourcesRequired()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getX()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getY()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getWidth()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getHeight()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getMaskUnits <em>Mask Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mask Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getMaskUnits()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_MaskUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgMaskElement#getMaskContentUnits <em>Mask Content Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mask Content Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMaskElement#getMaskContentUnits()
	 * @see #getSvgMaskElement()
	 * @generated
	 */
	EAttribute getSvgMaskElement_MaskContentUnits();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement <em>Filter Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Filter Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement
	 * @generated
	 */
	EClass getSvgFilterElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getClass_()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getStyle()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getExternalResourcesRequired()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getX()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getY()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getWidth()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getHeight()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_Height();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getFilterRes <em>Filter Res</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Filter Res</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getFilterRes()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_FilterRes();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getFilterUnits <em>Filter Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Filter Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getFilterUnits()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_FilterUnits();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFilterElement#getPrimitiveUnits <em>Primitive Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Primitive Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFilterElement#getPrimitiveUnits()
	 * @see #getSvgFilterElement()
	 * @generated
	 */
	EAttribute getSvgFilterElement_PrimitiveUnits();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeDistantLightElement <em>Fe Distant Light Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Distant Light Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDistantLightElement
	 * @generated
	 */
	EClass getSvgFeDistantLightElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDistantLightElement#getAzimuth <em>Azimuth</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Azimuth</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDistantLightElement#getAzimuth()
	 * @see #getSvgFeDistantLightElement()
	 * @generated
	 */
	EAttribute getSvgFeDistantLightElement_Azimuth();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDistantLightElement#getElevation <em>Elevation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Elevation</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDistantLightElement#getElevation()
	 * @see #getSvgFeDistantLightElement()
	 * @generated
	 */
	EAttribute getSvgFeDistantLightElement_Elevation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFePointLightElement <em>Fe Point Light Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Point Light Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFePointLightElement
	 * @generated
	 */
	EClass getSvgFePointLightElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFePointLightElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFePointLightElement#getX()
	 * @see #getSvgFePointLightElement()
	 * @generated
	 */
	EAttribute getSvgFePointLightElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFePointLightElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFePointLightElement#getY()
	 * @see #getSvgFePointLightElement()
	 * @generated
	 */
	EAttribute getSvgFePointLightElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFePointLightElement#getZ <em>Z</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Z</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFePointLightElement#getZ()
	 * @see #getSvgFePointLightElement()
	 * @generated
	 */
	EAttribute getSvgFePointLightElement_Z();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement <em>Fe Spot Light Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Spot Light Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement
	 * @generated
	 */
	EClass getSvgFeSpotLightElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getX <em>X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getX()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_X();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getY <em>Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getY()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_Y();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getZ <em>Z</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Z</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getZ()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_Z();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getPointsAtX <em>Points At X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Points At X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getPointsAtX()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_PointsAtX();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getPointsAtY <em>Points At Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Points At Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getPointsAtY()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_PointsAtY();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getPointsAtZ <em>Points At Z</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Points At Z</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getPointsAtZ()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_PointsAtZ();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getSpecularExponent <em>Specular Exponent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Specular Exponent</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getSpecularExponent()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_SpecularExponent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getLimitingConeAngle <em>Limiting Cone Angle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Limiting Cone Angle</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpotLightElement#getLimitingConeAngle()
	 * @see #getSvgFeSpotLightElement()
	 * @generated
	 */
	EAttribute getSvgFeSpotLightElement_LimitingConeAngle();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeBlendElement <em>Fe Blend Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Blend Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeBlendElement
	 * @generated
	 */
	EClass getSvgFeBlendElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getClass_()
	 * @see #getSvgFeBlendElement()
	 * @generated
	 */
	EAttribute getSvgFeBlendElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getStyle()
	 * @see #getSvgFeBlendElement()
	 * @generated
	 */
	EAttribute getSvgFeBlendElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getIn2 <em>In2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>In2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getIn2()
	 * @see #getSvgFeBlendElement()
	 * @generated
	 */
	EAttribute getSvgFeBlendElement_In2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getMode <em>Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Mode</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeBlendElement#getMode()
	 * @see #getSvgFeBlendElement()
	 * @generated
	 */
	EAttribute getSvgFeBlendElement_Mode();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement <em>Fe Color Matrix Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Color Matrix Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement
	 * @generated
	 */
	EClass getSvgFeColorMatrixElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getClass_()
	 * @see #getSvgFeColorMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeColorMatrixElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getStyle()
	 * @see #getSvgFeColorMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeColorMatrixElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getType()
	 * @see #getSvgFeColorMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeColorMatrixElement_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getValues <em>Values</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Values</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeColorMatrixElement#getValues()
	 * @see #getSvgFeColorMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeColorMatrixElement_Values();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeComponentTransferElement <em>Fe Component Transfer Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Component Transfer Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeComponentTransferElement
	 * @generated
	 */
	EClass getSvgFeComponentTransferElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeComponentTransferElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeComponentTransferElement#getClass_()
	 * @see #getSvgFeComponentTransferElement()
	 * @generated
	 */
	EAttribute getSvgFeComponentTransferElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeComponentTransferElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeComponentTransferElement#getStyle()
	 * @see #getSvgFeComponentTransferElement()
	 * @generated
	 */
	EAttribute getSvgFeComponentTransferElement_Style();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeFuncRElement <em>Fe Func RElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Func RElement</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFuncRElement
	 * @generated
	 */
	EClass getSvgFeFuncRElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeFuncGElement <em>Fe Func GElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Func GElement</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFuncGElement
	 * @generated
	 */
	EClass getSvgFeFuncGElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeFuncBElement <em>Fe Func BElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Func BElement</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFuncBElement
	 * @generated
	 */
	EClass getSvgFeFuncBElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeFuncAElement <em>Fe Func AElement</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Func AElement</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFuncAElement
	 * @generated
	 */
	EClass getSvgFeFuncAElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement <em>Fe Composite Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Composite Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement
	 * @generated
	 */
	EClass getSvgFeCompositeElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getClass_()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getStyle()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getIn2 <em>In2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>In2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getIn2()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_In2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getOperator <em>Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Operator</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getOperator()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_Operator();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK1 <em>K1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>K1</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK1()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_K1();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK2 <em>K2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>K2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK2()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_K2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK3 <em>K3</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>K3</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK3()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_K3();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK4 <em>K4</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>K4</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeCompositeElement#getK4()
	 * @see #getSvgFeCompositeElement()
	 * @generated
	 */
	EAttribute getSvgFeCompositeElement_K4();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement <em>Fe Convolve Matrix Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Convolve Matrix Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement
	 * @generated
	 */
	EClass getSvgFeConvolveMatrixElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getClass_()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getStyle()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getOrder <em>Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Order</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getOrder()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_Order();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getKernelMatrix <em>Kernel Matrix</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kernel Matrix</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getKernelMatrix()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_KernelMatrix();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getDivisor <em>Divisor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Divisor</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getDivisor()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_Divisor();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getBias <em>Bias</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Bias</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getBias()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_Bias();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getTargetX <em>Target X</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Target X</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getTargetX()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_TargetX();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getTargetY <em>Target Y</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Target Y</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getTargetY()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_TargetY();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getEdgeMode <em>Edge Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Edge Mode</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getEdgeMode()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_EdgeMode();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getKernelUnitLength <em>Kernel Unit Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kernel Unit Length</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#getKernelUnitLength()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_KernelUnitLength();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#isPreserveAlpha <em>Preserve Alpha</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Alpha</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeConvolveMatrixElement#isPreserveAlpha()
	 * @see #getSvgFeConvolveMatrixElement()
	 * @generated
	 */
	EAttribute getSvgFeConvolveMatrixElement_PreserveAlpha();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement <em>Fe Diffuse Lighting Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Diffuse Lighting Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement
	 * @generated
	 */
	EClass getSvgFeDiffuseLightingElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getClass_()
	 * @see #getSvgFeDiffuseLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeDiffuseLightingElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getStyle()
	 * @see #getSvgFeDiffuseLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeDiffuseLightingElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getSurfaceScale <em>Surface Scale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Surface Scale</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getSurfaceScale()
	 * @see #getSvgFeDiffuseLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeDiffuseLightingElement_SurfaceScale();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getDiffuseConstant <em>Diffuse Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Diffuse Constant</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getDiffuseConstant()
	 * @see #getSvgFeDiffuseLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeDiffuseLightingElement_DiffuseConstant();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getKernelUnitLength <em>Kernel Unit Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kernel Unit Length</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDiffuseLightingElement#getKernelUnitLength()
	 * @see #getSvgFeDiffuseLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeDiffuseLightingElement_KernelUnitLength();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement <em>Fe Displacement Map Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Displacement Map Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement
	 * @generated
	 */
	EClass getSvgFeDisplacementMapElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getClass_()
	 * @see #getSvgFeDisplacementMapElement()
	 * @generated
	 */
	EAttribute getSvgFeDisplacementMapElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getStyle()
	 * @see #getSvgFeDisplacementMapElement()
	 * @generated
	 */
	EAttribute getSvgFeDisplacementMapElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getIn2 <em>In2</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>In2</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getIn2()
	 * @see #getSvgFeDisplacementMapElement()
	 * @generated
	 */
	EAttribute getSvgFeDisplacementMapElement_In2();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getScale <em>Scale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Scale</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getScale()
	 * @see #getSvgFeDisplacementMapElement()
	 * @generated
	 */
	EAttribute getSvgFeDisplacementMapElement_Scale();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getXChannelSelector <em>XChannel Selector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>XChannel Selector</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getXChannelSelector()
	 * @see #getSvgFeDisplacementMapElement()
	 * @generated
	 */
	EAttribute getSvgFeDisplacementMapElement_XChannelSelector();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getYChannelSelector <em>YChannel Selector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>YChannel Selector</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeDisplacementMapElement#getYChannelSelector()
	 * @see #getSvgFeDisplacementMapElement()
	 * @generated
	 */
	EAttribute getSvgFeDisplacementMapElement_YChannelSelector();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeFloodElement <em>Fe Flood Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Flood Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFloodElement
	 * @generated
	 */
	EClass getSvgFeFloodElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeFloodElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFloodElement#getClass_()
	 * @see #getSvgFeFloodElement()
	 * @generated
	 */
	EAttribute getSvgFeFloodElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeFloodElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeFloodElement#getStyle()
	 * @see #getSvgFeFloodElement()
	 * @generated
	 */
	EAttribute getSvgFeFloodElement_Style();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement <em>Fe Gaussian Blur Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Gaussian Blur Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement
	 * @generated
	 */
	EClass getSvgFeGaussianBlurElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement#getClass_()
	 * @see #getSvgFeGaussianBlurElement()
	 * @generated
	 */
	EAttribute getSvgFeGaussianBlurElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement#getStyle()
	 * @see #getSvgFeGaussianBlurElement()
	 * @generated
	 */
	EAttribute getSvgFeGaussianBlurElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement#getStdDeviation <em>Std Deviation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Std Deviation</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeGaussianBlurElement#getStdDeviation()
	 * @see #getSvgFeGaussianBlurElement()
	 * @generated
	 */
	EAttribute getSvgFeGaussianBlurElement_StdDeviation();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeImageElement <em>Fe Image Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Image Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeImageElement
	 * @generated
	 */
	EClass getSvgFeImageElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getClass_()
	 * @see #getSvgFeImageElement()
	 * @generated
	 */
	EAttribute getSvgFeImageElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getStyle()
	 * @see #getSvgFeImageElement()
	 * @generated
	 */
	EAttribute getSvgFeImageElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getExternalResourcesRequired <em>External Resources Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>External Resources Required</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getExternalResourcesRequired()
	 * @see #getSvgFeImageElement()
	 * @generated
	 */
	EAttribute getSvgFeImageElement_ExternalResourcesRequired();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getPreserveAspectRatio <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Preserve Aspect Ratio</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeImageElement#getPreserveAspectRatio()
	 * @see #getSvgFeImageElement()
	 * @generated
	 */
	EAttribute getSvgFeImageElement_PreserveAspectRatio();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeMergeElement <em>Fe Merge Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Merge Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMergeElement
	 * @generated
	 */
	EClass getSvgFeMergeElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeMergeElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMergeElement#getClass_()
	 * @see #getSvgFeMergeElement()
	 * @generated
	 */
	EAttribute getSvgFeMergeElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeMergeElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMergeElement#getStyle()
	 * @see #getSvgFeMergeElement()
	 * @generated
	 */
	EAttribute getSvgFeMergeElement_Style();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeMergeNodeElement <em>Fe Merge Node Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Merge Node Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMergeNodeElement
	 * @generated
	 */
	EClass getSvgFeMergeNodeElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement <em>Fe Morphology Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Morphology Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement
	 * @generated
	 */
	EClass getSvgFeMorphologyElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getClass_()
	 * @see #getSvgFeMorphologyElement()
	 * @generated
	 */
	EAttribute getSvgFeMorphologyElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getStyle()
	 * @see #getSvgFeMorphologyElement()
	 * @generated
	 */
	EAttribute getSvgFeMorphologyElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getOperator <em>Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Operator</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getOperator()
	 * @see #getSvgFeMorphologyElement()
	 * @generated
	 */
	EAttribute getSvgFeMorphologyElement_Operator();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getRadius <em>Radius</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Radius</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeMorphologyElement#getRadius()
	 * @see #getSvgFeMorphologyElement()
	 * @generated
	 */
	EAttribute getSvgFeMorphologyElement_Radius();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement <em>Fe Offset Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Offset Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement
	 * @generated
	 */
	EClass getSvgFeOffsetElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getClass_()
	 * @see #getSvgFeOffsetElement()
	 * @generated
	 */
	EAttribute getSvgFeOffsetElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getStyle()
	 * @see #getSvgFeOffsetElement()
	 * @generated
	 */
	EAttribute getSvgFeOffsetElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getDx <em>Dx</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dx</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getDx()
	 * @see #getSvgFeOffsetElement()
	 * @generated
	 */
	EAttribute getSvgFeOffsetElement_Dx();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getDy <em>Dy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dy</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeOffsetElement#getDy()
	 * @see #getSvgFeOffsetElement()
	 * @generated
	 */
	EAttribute getSvgFeOffsetElement_Dy();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement <em>Fe Specular Lighting Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Specular Lighting Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement
	 * @generated
	 */
	EClass getSvgFeSpecularLightingElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getClass_()
	 * @see #getSvgFeSpecularLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeSpecularLightingElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getStyle()
	 * @see #getSvgFeSpecularLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeSpecularLightingElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getSurfaceScale <em>Surface Scale</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Surface Scale</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getSurfaceScale()
	 * @see #getSvgFeSpecularLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeSpecularLightingElement_SurfaceScale();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getSpecularConstant <em>Specular Constant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Specular Constant</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getSpecularConstant()
	 * @see #getSvgFeSpecularLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeSpecularLightingElement_SpecularConstant();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getSpecularExponent <em>Specular Exponent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Specular Exponent</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getSpecularExponent()
	 * @see #getSvgFeSpecularLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeSpecularLightingElement_SpecularExponent();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getKernelUnitLength <em>Kernel Unit Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Kernel Unit Length</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeSpecularLightingElement#getKernelUnitLength()
	 * @see #getSvgFeSpecularLightingElement()
	 * @generated
	 */
	EAttribute getSvgFeSpecularLightingElement_KernelUnitLength();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeTileElement <em>Fe Tile Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Tile Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTileElement
	 * @generated
	 */
	EClass getSvgFeTileElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTileElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTileElement#getClass_()
	 * @see #getSvgFeTileElement()
	 * @generated
	 */
	EAttribute getSvgFeTileElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTileElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTileElement#getStyle()
	 * @see #getSvgFeTileElement()
	 * @generated
	 */
	EAttribute getSvgFeTileElement_Style();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement <em>Fe Turbulence Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Fe Turbulence Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement
	 * @generated
	 */
	EClass getSvgFeTurbulenceElement();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getClass_ <em>Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Class</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getClass_()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_Class();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getStyle()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getBaseFrequency <em>Base Frequency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Base Frequency</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getBaseFrequency()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_BaseFrequency();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getNumOctaves <em>Num Octaves</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Num Octaves</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getNumOctaves()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_NumOctaves();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getSeed <em>Seed</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Seed</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getSeed()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_Seed();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getStitchTiles <em>Stitch Tiles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Stitch Tiles</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getStitchTiles()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_StitchTiles();

	/**
	 * Returns the meta object for the attribute '{@link org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgFeTurbulenceElement#getType()
	 * @see #getSvgFeTurbulenceElement()
	 * @generated
	 */
	EAttribute getSvgFeTurbulenceElement_Type();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgAnimateElement <em>Animate Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Animate Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgAnimateElement
	 * @generated
	 */
	EClass getSvgAnimateElement();

	/**
	 * Returns the meta object for class '{@link org.eclipse.fx.formats.svg.svg.SvgMetadataElement <em>Metadata Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Metadata Element</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SvgMetadataElement
	 * @generated
	 */
	EClass getSvgMetadataElement();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Alignment_baseline <em>Alignment baseline</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Alignment baseline</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Alignment_baseline
	 * @generated
	 */
	EEnum getAlignment_baseline();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Clip_rule <em>Clip rule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Clip rule</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Clip_rule
	 * @generated
	 */
	EEnum getClip_rule();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Color_interpolation <em>Color interpolation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Color interpolation</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Color_interpolation
	 * @generated
	 */
	EEnum getColor_interpolation();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Color_interpolation_filters <em>Color interpolation filters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Color interpolation filters</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Color_interpolation_filters
	 * @generated
	 */
	EEnum getColor_interpolation_filters();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Color_rendering <em>Color rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Color rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Color_rendering
	 * @generated
	 */
	EEnum getColor_rendering();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Direction <em>Direction</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Direction</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Direction
	 * @generated
	 */
	EEnum getDirection();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Display <em>Display</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Display</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Display
	 * @generated
	 */
	EEnum getDisplay();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Dominant_baseline <em>Dominant baseline</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Dominant baseline</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Dominant_baseline
	 * @generated
	 */
	EEnum getDominant_baseline();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Fill_rule <em>Fill rule</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Fill rule</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Fill_rule
	 * @generated
	 */
	EEnum getFill_rule();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Font_stretch <em>Font stretch</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Font stretch</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Font_stretch
	 * @generated
	 */
	EEnum getFont_stretch();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Font_style <em>Font style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Font style</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Font_style
	 * @generated
	 */
	EEnum getFont_style();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Font_variant <em>Font variant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Font variant</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Font_variant
	 * @generated
	 */
	EEnum getFont_variant();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Font_weight <em>Font weight</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Font weight</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Font_weight
	 * @generated
	 */
	EEnum getFont_weight();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Image_rendering <em>Image rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Image rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Image_rendering
	 * @generated
	 */
	EEnum getImage_rendering();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Overflow <em>Overflow</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Overflow</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Overflow
	 * @generated
	 */
	EEnum getOverflow();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Pointer_events <em>Pointer events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Pointer events</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Pointer_events
	 * @generated
	 */
	EEnum getPointer_events();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Shape_rendering <em>Shape rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Shape rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Shape_rendering
	 * @generated
	 */
	EEnum getShape_rendering();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Stroke_linecap <em>Stroke linecap</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Stroke linecap</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Stroke_linecap
	 * @generated
	 */
	EEnum getStroke_linecap();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Stroke_linejoin <em>Stroke linejoin</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Stroke linejoin</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Stroke_linejoin
	 * @generated
	 */
	EEnum getStroke_linejoin();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Text_anchor <em>Text anchor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Text anchor</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Text_anchor
	 * @generated
	 */
	EEnum getText_anchor();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Text_rendering <em>Text rendering</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Text rendering</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Text_rendering
	 * @generated
	 */
	EEnum getText_rendering();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Unicode_bidi <em>Unicode bidi</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Unicode bidi</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Unicode_bidi
	 * @generated
	 */
	EEnum getUnicode_bidi();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Visibility <em>Visibility</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Visibility</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Visibility
	 * @generated
	 */
	EEnum getVisibility();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Writing_mode <em>Writing mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Writing mode</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Writing_mode
	 * @generated
	 */
	EEnum getWriting_mode();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.ZoomAndPan <em>Zoom And Pan</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Zoom And Pan</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ZoomAndPan
	 * @generated
	 */
	EEnum getZoomAndPan();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.LengthAdjust <em>Length Adjust</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Length Adjust</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.LengthAdjust
	 * @generated
	 */
	EEnum getLengthAdjust();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Method <em>Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Method</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Method
	 * @generated
	 */
	EEnum getMethod();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Spacing <em>Spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Spacing</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Spacing
	 * @generated
	 */
	EEnum getSpacing();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.MarkerUnits <em>Marker Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Marker Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.MarkerUnits
	 * @generated
	 */
	EEnum getMarkerUnits();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.Rendering_intent <em>Rendering intent</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Rendering intent</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.Rendering_intent
	 * @generated
	 */
	EEnum getRendering_intent();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.GradientUnits <em>Gradient Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Gradient Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.GradientUnits
	 * @generated
	 */
	EEnum getGradientUnits();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.SpreadMethod <em>Spread Method</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Spread Method</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.SpreadMethod
	 * @generated
	 */
	EEnum getSpreadMethod();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.PatternUnits <em>Pattern Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Pattern Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.PatternUnits
	 * @generated
	 */
	EEnum getPatternUnits();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.ClipPathUnits <em>Clip Path Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Clip Path Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ClipPathUnits
	 * @generated
	 */
	EEnum getClipPathUnits();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.MaskUnits <em>Mask Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Mask Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.MaskUnits
	 * @generated
	 */
	EEnum getMaskUnits();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.FilterUnits <em>Filter Units</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Filter Units</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.FilterUnits
	 * @generated
	 */
	EEnum getFilterUnits();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.BlendMode <em>Blend Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Blend Mode</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.BlendMode
	 * @generated
	 */
	EEnum getBlendMode();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.ColorMatrixType <em>Color Matrix Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Color Matrix Type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ColorMatrixType
	 * @generated
	 */
	EEnum getColorMatrixType();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.CompositeOperator <em>Composite Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Composite Operator</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.CompositeOperator
	 * @generated
	 */
	EEnum getCompositeOperator();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.ConvolveMatrixEdgeMode <em>Convolve Matrix Edge Mode</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Convolve Matrix Edge Mode</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ConvolveMatrixEdgeMode
	 * @generated
	 */
	EEnum getConvolveMatrixEdgeMode();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.ChannelSelector <em>Channel Selector</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Channel Selector</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.ChannelSelector
	 * @generated
	 */
	EEnum getChannelSelector();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.MorphologyOperator <em>Morphology Operator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Morphology Operator</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.MorphologyOperator
	 * @generated
	 */
	EEnum getMorphologyOperator();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.StitchTiles <em>Stitch Tiles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Stitch Tiles</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.StitchTiles
	 * @generated
	 */
	EEnum getStitchTiles();

	/**
	 * Returns the meta object for enum '{@link org.eclipse.fx.formats.svg.svg.TurbulenceType <em>Turbulence Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Turbulence Type</em>'.
	 * @see org.eclipse.fx.formats.svg.svg.TurbulenceType
	 * @generated
	 */
	EEnum getTurbulenceType();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Length</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Length</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getLength();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Angle</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Angle</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getAngle();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Percentage</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Percentage</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getPercentage();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Shape</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Shape</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getShape();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Funciri</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Funciri</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFunciri();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Color</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getColor();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Paint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Paint</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getPaint();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Opacity value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Opacity value</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getOpacity_value();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Baseline shift</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Baseline shift</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getBaseline_shift();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Clip</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Clip</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getClip();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Clip path</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Clip path</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getClip_path();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Color profile</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Color profile</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getColor_profile();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Cursor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Cursor</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getCursor();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Enable background</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Enable background</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getEnable_background();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Fill</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Fill</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFill();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Fill opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Fill opacity</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFill_opacity();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Filter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Filter</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFilter();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Flood color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Flood color</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFlood_color();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Flood opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Flood opacity</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFlood_opacity();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Font family</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Font family</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFont_family();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Font size</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Font size</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFont_size();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Font size adjust</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Font size adjust</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getFont_size_adjust();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Glyph orientation horizontal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Glyph orientation horizontal</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getGlyph_orientation_horizontal();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Glyph orientation vertical</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Glyph orientation vertical</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getGlyph_orientation_vertical();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Kerning</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Kerning</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getKerning();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Letter spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Letter spacing</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getLetter_spacing();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Lighting color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Lighting color</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getLighting_color();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Marker end</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Marker end</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getMarker_end();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Marker mid</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Marker mid</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getMarker_mid();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Marker start</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Marker start</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getMarker_start();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Masks</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Masks</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getMasks();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Opacity</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getOpacity();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stop color</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stop color</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStop_color();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stop opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stop opacity</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStop_opacity();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stroke</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stroke</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStroke();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stroke dasharray</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stroke dasharray</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStroke_dasharray();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stroke dashoffset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stroke dashoffset</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStroke_dashoffset();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stroke miterlimit</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stroke miterlimit</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStroke_miterlimit();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stroke opacity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stroke opacity</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStroke_opacity();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Stroke width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Stroke width</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getStroke_width();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Text decoration</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Text decoration</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getText_decoration();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Word spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Word spacing</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getWord_spacing();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Coordinate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Coordinate</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getCoordinate();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>View Box</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>View Box</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getViewBox();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Preserve Aspect Ratio</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Preserve Aspect Ratio</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getPreserveAspectRatio();

	/**
	 * Returns the meta object for data type '{@link java.lang.Double <em>Number</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Number</em>'.
	 * @see java.lang.Double
	 * @model instanceClass="java.lang.Double"
	 * @generated
	 */
	EDataType getNumber();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Transform</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Transform</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getTransform();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Path Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Path Data</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getPathData();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>List Of Points</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>List Of Points</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getListOfPoints();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>List Of Lengths</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>List Of Lengths</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getListOfLengths();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>List Of Numbers</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>List Of Numbers</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getListOfNumbers();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>List Of Coordinates</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>List Of Coordinates</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getListOfCoordinates();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Name</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getName_();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Number Optional Number</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Number Optional Number</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getNumberOptionalNumber();

	/**
	 * Returns the meta object for data type '{@link java.lang.String <em>Transform List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for data type '<em>Transform List</em>'.
	 * @see java.lang.String
	 * @model instanceClass="java.lang.String"
	 * @generated
	 */
	EDataType getTransformList();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	SvgFactory getSvgFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ContentElement <em>Content Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ContentElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getContentElement()
		 * @generated
		 */
		EClass CONTENT_ELEMENT = eINSTANCE.getContentElement();

		/**
		 * The meta object literal for the '<em><b>Children</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CONTENT_ELEMENT__CHILDREN = eINSTANCE.getContentElement_Children();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ContainerElement <em>Container Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ContainerElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getContainerElement()
		 * @generated
		 */
		EClass CONTAINER_ELEMENT = eINSTANCE.getContainerElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.StructuralElement <em>Structural Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.StructuralElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStructuralElement()
		 * @generated
		 */
		EClass STRUCTURAL_ELEMENT = eINSTANCE.getStructuralElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.SvgElement <em>Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.SvgElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgElement()
		 * @generated
		 */
		EClass SVG_ELEMENT = eINSTANCE.getSvgElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.DescriptiveElement <em>Descriptive Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.DescriptiveElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDescriptiveElement()
		 * @generated
		 */
		EClass DESCRIPTIVE_ELEMENT = eINSTANCE.getDescriptiveElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.GraphicsElement <em>Graphics Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.GraphicsElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGraphicsElement()
		 * @generated
		 */
		EClass GRAPHICS_ELEMENT = eINSTANCE.getGraphicsElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.GraphicsReferencingElement <em>Graphics Referencing Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.GraphicsReferencingElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGraphicsReferencingElement()
		 * @generated
		 */
		EClass GRAPHICS_REFERENCING_ELEMENT = eINSTANCE.getGraphicsReferencingElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ShapeElement <em>Shape Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ShapeElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getShapeElement()
		 * @generated
		 */
		EClass SHAPE_ELEMENT = eINSTANCE.getShapeElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.BasicShapeElement <em>Basic Shape Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.BasicShapeElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getBasicShapeElement()
		 * @generated
		 */
		EClass BASIC_SHAPE_ELEMENT = eINSTANCE.getBasicShapeElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.TextContentElement <em>Text Content Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.TextContentElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTextContentElement()
		 * @generated
		 */
		EClass TEXT_CONTENT_ELEMENT = eINSTANCE.getTextContentElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.TextContentChildElement <em>Text Content Child Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.TextContentChildElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTextContentChildElement()
		 * @generated
		 */
		EClass TEXT_CONTENT_CHILD_ELEMENT = eINSTANCE.getTextContentChildElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.GradientElement <em>Gradient Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.GradientElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGradientElement()
		 * @generated
		 */
		EClass GRADIENT_ELEMENT = eINSTANCE.getGradientElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.LightSourceElement <em>Light Source Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.LightSourceElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLightSourceElement()
		 * @generated
		 */
		EClass LIGHT_SOURCE_ELEMENT = eINSTANCE.getLightSourceElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveElement <em>Filter Primitive Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveElement
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilterPrimitiveElement()
		 * @generated
		 */
		EClass FILTER_PRIMITIVE_ELEMENT = eINSTANCE.getFilterPrimitiveElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.AnimationElementImpl <em>Animation Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.AnimationElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getAnimationElement()
		 * @generated
		 */
		EClass ANIMATION_ELEMENT = eINSTANCE.getAnimationElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.____ENUMS____Impl <em>ENUMS </em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.____ENUMS____Impl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____ENUMS____()
		 * @generated
		 */
		EClass _ENUMS_ = eINSTANCE.get____ENUMS____();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.____DATATYPES____Impl <em>DATATYPES </em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.____DATATYPES____Impl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____DATATYPES____()
		 * @generated
		 */
		EClass _DATATYPES_ = eINSTANCE.get____DATATYPES____();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.____ATTRIBUTES____Impl <em>ATTRIBUTES </em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.____ATTRIBUTES____Impl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____ATTRIBUTES____()
		 * @generated
		 */
		EClass _ATTRIBUTES_ = eINSTANCE.get____ATTRIBUTES____();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes <em>Conditional Processing Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ConditionalProcessingAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getConditionalProcessingAttributes()
		 * @generated
		 */
		EClass CONDITIONAL_PROCESSING_ATTRIBUTES = eINSTANCE.getConditionalProcessingAttributes();

		/**
		 * The meta object literal for the '<em><b>Required Features</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONDITIONAL_PROCESSING_ATTRIBUTES__REQUIRED_FEATURES = eINSTANCE.getConditionalProcessingAttributes_RequiredFeatures();

		/**
		 * The meta object literal for the '<em><b>Required Extensions</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONDITIONAL_PROCESSING_ATTRIBUTES__REQUIRED_EXTENSIONS = eINSTANCE.getConditionalProcessingAttributes_RequiredExtensions();

		/**
		 * The meta object literal for the '<em><b>System Language</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CONDITIONAL_PROCESSING_ATTRIBUTES__SYSTEM_LANGUAGE = eINSTANCE.getConditionalProcessingAttributes_SystemLanguage();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.CoreAttributes <em>Core Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.CoreAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCoreAttributes()
		 * @generated
		 */
		EClass CORE_ATTRIBUTES = eINSTANCE.getCoreAttributes();

		/**
		 * The meta object literal for the '<em><b>Id</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CORE_ATTRIBUTES__ID = eINSTANCE.getCoreAttributes_Id();

		/**
		 * The meta object literal for the '<em><b>Xml base</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CORE_ATTRIBUTES__XML_BASE = eINSTANCE.getCoreAttributes_Xml__base();

		/**
		 * The meta object literal for the '<em><b>Xml lang</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CORE_ATTRIBUTES__XML_LANG = eINSTANCE.getCoreAttributes_Xml__lang();

		/**
		 * The meta object literal for the '<em><b>Xml space</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute CORE_ATTRIBUTES__XML_SPACE = eINSTANCE.getCoreAttributes_Xml__space();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.DocumentEventAttributes <em>Document Event Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.DocumentEventAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDocumentEventAttributes()
		 * @generated
		 */
		EClass DOCUMENT_EVENT_ATTRIBUTES = eINSTANCE.getDocumentEventAttributes();

		/**
		 * The meta object literal for the '<em><b>Onunload</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_EVENT_ATTRIBUTES__ONUNLOAD = eINSTANCE.getDocumentEventAttributes_Onunload();

		/**
		 * The meta object literal for the '<em><b>Onabort</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_EVENT_ATTRIBUTES__ONABORT = eINSTANCE.getDocumentEventAttributes_Onabort();

		/**
		 * The meta object literal for the '<em><b>Onerror</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_EVENT_ATTRIBUTES__ONERROR = eINSTANCE.getDocumentEventAttributes_Onerror();

		/**
		 * The meta object literal for the '<em><b>Onresize</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_EVENT_ATTRIBUTES__ONRESIZE = eINSTANCE.getDocumentEventAttributes_Onresize();

		/**
		 * The meta object literal for the '<em><b>Onscroll</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_EVENT_ATTRIBUTES__ONSCROLL = eINSTANCE.getDocumentEventAttributes_Onscroll();

		/**
		 * The meta object literal for the '<em><b>Onzoom</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute DOCUMENT_EVENT_ATTRIBUTES__ONZOOM = eINSTANCE.getDocumentEventAttributes_Onzoom();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes <em>Graphical Event Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.GraphicalEventAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGraphicalEventAttributes()
		 * @generated
		 */
		EClass GRAPHICAL_EVENT_ATTRIBUTES = eINSTANCE.getGraphicalEventAttributes();

		/**
		 * The meta object literal for the '<em><b>Onfocusin</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONFOCUSIN = eINSTANCE.getGraphicalEventAttributes_Onfocusin();

		/**
		 * The meta object literal for the '<em><b>Onfocusout</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONFOCUSOUT = eINSTANCE.getGraphicalEventAttributes_Onfocusout();

		/**
		 * The meta object literal for the '<em><b>Onactivate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONACTIVATE = eINSTANCE.getGraphicalEventAttributes_Onactivate();

		/**
		 * The meta object literal for the '<em><b>Onclick</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONCLICK = eINSTANCE.getGraphicalEventAttributes_Onclick();

		/**
		 * The meta object literal for the '<em><b>Onmousedown</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEDOWN = eINSTANCE.getGraphicalEventAttributes_Onmousedown();

		/**
		 * The meta object literal for the '<em><b>Onmouseup</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEUP = eINSTANCE.getGraphicalEventAttributes_Onmouseup();

		/**
		 * The meta object literal for the '<em><b>Onmouseover</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEOVER = eINSTANCE.getGraphicalEventAttributes_Onmouseover();

		/**
		 * The meta object literal for the '<em><b>Onmousemove</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEMOVE = eINSTANCE.getGraphicalEventAttributes_Onmousemove();

		/**
		 * The meta object literal for the '<em><b>Onmouseout</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONMOUSEOUT = eINSTANCE.getGraphicalEventAttributes_Onmouseout();

		/**
		 * The meta object literal for the '<em><b>Onload</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute GRAPHICAL_EVENT_ATTRIBUTES__ONLOAD = eINSTANCE.getGraphicalEventAttributes_Onload();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.PresentationAttributes <em>Presentation Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.PresentationAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPresentationAttributes()
		 * @generated
		 */
		EClass PRESENTATION_ATTRIBUTES = eINSTANCE.getPresentationAttributes();

		/**
		 * The meta object literal for the '<em><b>Alignment baseline</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__ALIGNMENT_BASELINE = eINSTANCE.getPresentationAttributes_Alignment_baseline();

		/**
		 * The meta object literal for the '<em><b>Baseline shift</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__BASELINE_SHIFT = eINSTANCE.getPresentationAttributes_Baseline_shift();

		/**
		 * The meta object literal for the '<em><b>Clip</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__CLIP = eINSTANCE.getPresentationAttributes_Clip();

		/**
		 * The meta object literal for the '<em><b>Clip path</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__CLIP_PATH = eINSTANCE.getPresentationAttributes_Clip_path();

		/**
		 * The meta object literal for the '<em><b>Clip rule</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__CLIP_RULE = eINSTANCE.getPresentationAttributes_Clip_rule();

		/**
		 * The meta object literal for the '<em><b>Color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__COLOR = eINSTANCE.getPresentationAttributes_Color();

		/**
		 * The meta object literal for the '<em><b>Color interpolation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__COLOR_INTERPOLATION = eINSTANCE.getPresentationAttributes_Color_interpolation();

		/**
		 * The meta object literal for the '<em><b>Color interpolation filters</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__COLOR_INTERPOLATION_FILTERS = eINSTANCE.getPresentationAttributes_Color_interpolation_filters();

		/**
		 * The meta object literal for the '<em><b>Color profile</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__COLOR_PROFILE = eINSTANCE.getPresentationAttributes_Color_profile();

		/**
		 * The meta object literal for the '<em><b>Color rendering</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__COLOR_RENDERING = eINSTANCE.getPresentationAttributes_Color_rendering();

		/**
		 * The meta object literal for the '<em><b>Cursor</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__CURSOR = eINSTANCE.getPresentationAttributes_Cursor();

		/**
		 * The meta object literal for the '<em><b>Direction</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__DIRECTION = eINSTANCE.getPresentationAttributes_Direction();

		/**
		 * The meta object literal for the '<em><b>Display</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__DISPLAY = eINSTANCE.getPresentationAttributes_Display();

		/**
		 * The meta object literal for the '<em><b>Dominant baseline</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__DOMINANT_BASELINE = eINSTANCE.getPresentationAttributes_Dominant_baseline();

		/**
		 * The meta object literal for the '<em><b>Enable background</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__ENABLE_BACKGROUND = eINSTANCE.getPresentationAttributes_Enable_background();

		/**
		 * The meta object literal for the '<em><b>Fill</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FILL = eINSTANCE.getPresentationAttributes_Fill();

		/**
		 * The meta object literal for the '<em><b>Fill opacity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FILL_OPACITY = eINSTANCE.getPresentationAttributes_Fill_opacity();

		/**
		 * The meta object literal for the '<em><b>Fill rule</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FILL_RULE = eINSTANCE.getPresentationAttributes_Fill_rule();

		/**
		 * The meta object literal for the '<em><b>Filter</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FILTER = eINSTANCE.getPresentationAttributes_Filter();

		/**
		 * The meta object literal for the '<em><b>Flood color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FLOOD_COLOR = eINSTANCE.getPresentationAttributes_Flood_color();

		/**
		 * The meta object literal for the '<em><b>Flood opacity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FLOOD_OPACITY = eINSTANCE.getPresentationAttributes_Flood_opacity();

		/**
		 * The meta object literal for the '<em><b>Font family</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_FAMILY = eINSTANCE.getPresentationAttributes_Font_family();

		/**
		 * The meta object literal for the '<em><b>Font size</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_SIZE = eINSTANCE.getPresentationAttributes_Font_size();

		/**
		 * The meta object literal for the '<em><b>Font size adjust</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_SIZE_ADJUST = eINSTANCE.getPresentationAttributes_Font_size_adjust();

		/**
		 * The meta object literal for the '<em><b>Font stretch</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_STRETCH = eINSTANCE.getPresentationAttributes_Font_stretch();

		/**
		 * The meta object literal for the '<em><b>Font style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_STYLE = eINSTANCE.getPresentationAttributes_Font_style();

		/**
		 * The meta object literal for the '<em><b>Font variant</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_VARIANT = eINSTANCE.getPresentationAttributes_Font_variant();

		/**
		 * The meta object literal for the '<em><b>Font weight</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__FONT_WEIGHT = eINSTANCE.getPresentationAttributes_Font_weight();

		/**
		 * The meta object literal for the '<em><b>Glyph orientation horizontal</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__GLYPH_ORIENTATION_HORIZONTAL = eINSTANCE.getPresentationAttributes_Glyph_orientation_horizontal();

		/**
		 * The meta object literal for the '<em><b>Glyph orientation vertical</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__GLYPH_ORIENTATION_VERTICAL = eINSTANCE.getPresentationAttributes_Glyph_orientation_vertical();

		/**
		 * The meta object literal for the '<em><b>Image rendering</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__IMAGE_RENDERING = eINSTANCE.getPresentationAttributes_Image_rendering();

		/**
		 * The meta object literal for the '<em><b>Kerning</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__KERNING = eINSTANCE.getPresentationAttributes_Kerning();

		/**
		 * The meta object literal for the '<em><b>Letter spacing</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__LETTER_SPACING = eINSTANCE.getPresentationAttributes_Letter_spacing();

		/**
		 * The meta object literal for the '<em><b>Lighting color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__LIGHTING_COLOR = eINSTANCE.getPresentationAttributes_Lighting_color();

		/**
		 * The meta object literal for the '<em><b>Marker end</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__MARKER_END = eINSTANCE.getPresentationAttributes_Marker_end();

		/**
		 * The meta object literal for the '<em><b>Marker mid</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__MARKER_MID = eINSTANCE.getPresentationAttributes_Marker_mid();

		/**
		 * The meta object literal for the '<em><b>Marker start</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__MARKER_START = eINSTANCE.getPresentationAttributes_Marker_start();

		/**
		 * The meta object literal for the '<em><b>Masks</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__MASKS = eINSTANCE.getPresentationAttributes_Masks();

		/**
		 * The meta object literal for the '<em><b>Opacity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__OPACITY = eINSTANCE.getPresentationAttributes_Opacity();

		/**
		 * The meta object literal for the '<em><b>Overflow</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__OVERFLOW = eINSTANCE.getPresentationAttributes_Overflow();

		/**
		 * The meta object literal for the '<em><b>Pointer events</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__POINTER_EVENTS = eINSTANCE.getPresentationAttributes_Pointer_events();

		/**
		 * The meta object literal for the '<em><b>Shape rendering</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__SHAPE_RENDERING = eINSTANCE.getPresentationAttributes_Shape_rendering();

		/**
		 * The meta object literal for the '<em><b>Stop color</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STOP_COLOR = eINSTANCE.getPresentationAttributes_Stop_color();

		/**
		 * The meta object literal for the '<em><b>Stop opacity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STOP_OPACITY = eINSTANCE.getPresentationAttributes_Stop_opacity();

		/**
		 * The meta object literal for the '<em><b>Stroke</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE = eINSTANCE.getPresentationAttributes_Stroke();

		/**
		 * The meta object literal for the '<em><b>Stroke dasharray</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_DASHARRAY = eINSTANCE.getPresentationAttributes_Stroke_dasharray();

		/**
		 * The meta object literal for the '<em><b>Stroke dashoffset</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_DASHOFFSET = eINSTANCE.getPresentationAttributes_Stroke_dashoffset();

		/**
		 * The meta object literal for the '<em><b>Stroke linecap</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_LINECAP = eINSTANCE.getPresentationAttributes_Stroke_linecap();

		/**
		 * The meta object literal for the '<em><b>Stroke linejoin</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_LINEJOIN = eINSTANCE.getPresentationAttributes_Stroke_linejoin();

		/**
		 * The meta object literal for the '<em><b>Stroke miterlimit</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_MITERLIMIT = eINSTANCE.getPresentationAttributes_Stroke_miterlimit();

		/**
		 * The meta object literal for the '<em><b>Stroke opacity</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_OPACITY = eINSTANCE.getPresentationAttributes_Stroke_opacity();

		/**
		 * The meta object literal for the '<em><b>Stroke width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__STROKE_WIDTH = eINSTANCE.getPresentationAttributes_Stroke_width();

		/**
		 * The meta object literal for the '<em><b>Text anchor</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__TEXT_ANCHOR = eINSTANCE.getPresentationAttributes_Text_anchor();

		/**
		 * The meta object literal for the '<em><b>Text decoration</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__TEXT_DECORATION = eINSTANCE.getPresentationAttributes_Text_decoration();

		/**
		 * The meta object literal for the '<em><b>Text rendering</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__TEXT_RENDERING = eINSTANCE.getPresentationAttributes_Text_rendering();

		/**
		 * The meta object literal for the '<em><b>Unicode bidi</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__UNICODE_BIDI = eINSTANCE.getPresentationAttributes_Unicode_bidi();

		/**
		 * The meta object literal for the '<em><b>Visibility</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__VISIBILITY = eINSTANCE.getPresentationAttributes_Visibility();

		/**
		 * The meta object literal for the '<em><b>Word spacing</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__WORD_SPACING = eINSTANCE.getPresentationAttributes_Word_spacing();

		/**
		 * The meta object literal for the '<em><b>Writing mode</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PRESENTATION_ATTRIBUTES__WRITING_MODE = eINSTANCE.getPresentationAttributes_Writing_mode();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.XLinkAttributes <em>XLink Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.XLinkAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getXLinkAttributes()
		 * @generated
		 */
		EClass XLINK_ATTRIBUTES = eINSTANCE.getXLinkAttributes();

		/**
		 * The meta object literal for the '<em><b>Xlink href</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_HREF = eINSTANCE.getXLinkAttributes_Xlink__href();

		/**
		 * The meta object literal for the '<em><b>Xlink show</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_SHOW = eINSTANCE.getXLinkAttributes_Xlink__show();

		/**
		 * The meta object literal for the '<em><b>Xlink actuate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_ACTUATE = eINSTANCE.getXLinkAttributes_Xlink__actuate();

		/**
		 * The meta object literal for the '<em><b>Xlink type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_TYPE = eINSTANCE.getXLinkAttributes_Xlink__type();

		/**
		 * The meta object literal for the '<em><b>Xlink role</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_ROLE = eINSTANCE.getXLinkAttributes_Xlink__role();

		/**
		 * The meta object literal for the '<em><b>Xlink arcrole</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_ARCROLE = eINSTANCE.getXLinkAttributes_Xlink__arcrole();

		/**
		 * The meta object literal for the '<em><b>Xlink title</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XLINK_ATTRIBUTES__XLINK_TITLE = eINSTANCE.getXLinkAttributes_Xlink__title();

		/**
		 * The meta object literal for the '<em><b>Resolved Instance</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XLINK_ATTRIBUTES__RESOLVED_INSTANCE = eINSTANCE.getXLinkAttributes_ResolvedInstance();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes <em>Filter Primitive Attributes</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.FilterPrimitiveAttributes
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilterPrimitiveAttributes()
		 * @generated
		 */
		EClass FILTER_PRIMITIVE_ATTRIBUTES = eINSTANCE.getFilterPrimitiveAttributes();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILTER_PRIMITIVE_ATTRIBUTES__X = eINSTANCE.getFilterPrimitiveAttributes_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILTER_PRIMITIVE_ATTRIBUTES__Y = eINSTANCE.getFilterPrimitiveAttributes_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILTER_PRIMITIVE_ATTRIBUTES__WIDTH = eINSTANCE.getFilterPrimitiveAttributes_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILTER_PRIMITIVE_ATTRIBUTES__HEIGHT = eINSTANCE.getFilterPrimitiveAttributes_Height();

		/**
		 * The meta object literal for the '<em><b>Result</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILTER_PRIMITIVE_ATTRIBUTES__RESULT = eINSTANCE.getFilterPrimitiveAttributes_Result();

		/**
		 * The meta object literal for the '<em><b>In</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FILTER_PRIMITIVE_ATTRIBUTES__IN = eINSTANCE.getFilterPrimitiveAttributes_In();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.____ELEMENTES____Impl <em>ELEMENTES </em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.____ELEMENTES____Impl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#get____ELEMENTES____()
		 * @generated
		 */
		EClass _ELEMENTES_ = eINSTANCE.get____ELEMENTES____();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgSvgElementImpl <em>Svg Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgSvgElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgSvgElement()
		 * @generated
		 */
		EClass SVG_SVG_ELEMENT = eINSTANCE.getSvgSvgElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__CLASS = eINSTANCE.getSvgSvgElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__STYLE = eINSTANCE.getSvgSvgElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgSvgElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__X = eINSTANCE.getSvgSvgElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__Y = eINSTANCE.getSvgSvgElement_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__WIDTH = eINSTANCE.getSvgSvgElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__HEIGHT = eINSTANCE.getSvgSvgElement_Height();

		/**
		 * The meta object literal for the '<em><b>View Box</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__VIEW_BOX = eINSTANCE.getSvgSvgElement_ViewBox();

		/**
		 * The meta object literal for the '<em><b>Preserve Aspect Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__PRESERVE_ASPECT_RATIO = eINSTANCE.getSvgSvgElement_PreserveAspectRatio();

		/**
		 * The meta object literal for the '<em><b>Zoom And Pan</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__ZOOM_AND_PAN = eINSTANCE.getSvgSvgElement_ZoomAndPan();

		/**
		 * The meta object literal for the '<em><b>Version</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__VERSION = eINSTANCE.getSvgSvgElement_Version();

		/**
		 * The meta object literal for the '<em><b>Base Profile</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__BASE_PROFILE = eINSTANCE.getSvgSvgElement_BaseProfile();

		/**
		 * The meta object literal for the '<em><b>Content Script Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__CONTENT_SCRIPT_TYPE = eINSTANCE.getSvgSvgElement_ContentScriptType();

		/**
		 * The meta object literal for the '<em><b>Content Style Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__CONTENT_STYLE_TYPE = eINSTANCE.getSvgSvgElement_ContentStyleType();

		/**
		 * The meta object literal for the '<em><b>Style Sheet</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SVG_ELEMENT__STYLE_SHEET = eINSTANCE.getSvgSvgElement_StyleSheet();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgGElementImpl <em>GElement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgGElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgGElement()
		 * @generated
		 */
		EClass SVG_GELEMENT = eINSTANCE.getSvgGElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_GELEMENT__CLASS = eINSTANCE.getSvgGElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_GELEMENT__STYLE = eINSTANCE.getSvgGElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_GELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgGElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_GELEMENT__TRANSFORM = eINSTANCE.getSvgGElement_Transform();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_GELEMENT__X = eINSTANCE.getSvgGElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_GELEMENT__Y = eINSTANCE.getSvgGElement_Y();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgDefsElementImpl <em>Defs Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgDefsElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgDefsElement()
		 * @generated
		 */
		EClass SVG_DEFS_ELEMENT = eINSTANCE.getSvgDefsElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_DEFS_ELEMENT__CLASS = eINSTANCE.getSvgDefsElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_DEFS_ELEMENT__STYLE = eINSTANCE.getSvgDefsElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_DEFS_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgDefsElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_DEFS_ELEMENT__TRANSFORM = eINSTANCE.getSvgDefsElement_Transform();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgDescElementImpl <em>Desc Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgDescElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgDescElement()
		 * @generated
		 */
		EClass SVG_DESC_ELEMENT = eINSTANCE.getSvgDescElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_DESC_ELEMENT__CLASS = eINSTANCE.getSvgDescElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_DESC_ELEMENT__STYLE = eINSTANCE.getSvgDescElement_Style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTitleElementImpl <em>Title Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTitleElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTitleElement()
		 * @generated
		 */
		EClass SVG_TITLE_ELEMENT = eINSTANCE.getSvgTitleElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TITLE_ELEMENT__CLASS = eINSTANCE.getSvgTitleElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TITLE_ELEMENT__STYLE = eINSTANCE.getSvgTitleElement_Style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgSymbolElementImpl <em>Symbol Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgSymbolElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgSymbolElement()
		 * @generated
		 */
		EClass SVG_SYMBOL_ELEMENT = eINSTANCE.getSvgSymbolElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SYMBOL_ELEMENT__CLASS = eINSTANCE.getSvgSymbolElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SYMBOL_ELEMENT__STYLE = eINSTANCE.getSvgSymbolElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SYMBOL_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgSymbolElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>View Box</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SYMBOL_ELEMENT__VIEW_BOX = eINSTANCE.getSvgSymbolElement_ViewBox();

		/**
		 * The meta object literal for the '<em><b>Preserve Aspect Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SYMBOL_ELEMENT__PRESERVE_ASPECT_RATIO = eINSTANCE.getSvgSymbolElement_PreserveAspectRatio();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgUseElementImpl <em>Use Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgUseElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgUseElement()
		 * @generated
		 */
		EClass SVG_USE_ELEMENT = eINSTANCE.getSvgUseElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__CLASS = eINSTANCE.getSvgUseElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__STYLE = eINSTANCE.getSvgUseElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgUseElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__TRANSFORM = eINSTANCE.getSvgUseElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__WIDTH = eINSTANCE.getSvgUseElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__HEIGHT = eINSTANCE.getSvgUseElement_Height();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__X = eINSTANCE.getSvgUseElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_USE_ELEMENT__Y = eINSTANCE.getSvgUseElement_Y();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgImageElementImpl <em>Image Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgImageElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgImageElement()
		 * @generated
		 */
		EClass SVG_IMAGE_ELEMENT = eINSTANCE.getSvgImageElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__CLASS = eINSTANCE.getSvgImageElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__STYLE = eINSTANCE.getSvgImageElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgImageElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Preserve Aspect Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__PRESERVE_ASPECT_RATIO = eINSTANCE.getSvgImageElement_PreserveAspectRatio();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__TRANSFORM = eINSTANCE.getSvgImageElement_Transform();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__X = eINSTANCE.getSvgImageElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__Y = eINSTANCE.getSvgImageElement_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__WIDTH = eINSTANCE.getSvgImageElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_IMAGE_ELEMENT__HEIGHT = eINSTANCE.getSvgImageElement_Height();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgSwitchElementImpl <em>Switch Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgSwitchElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgSwitchElement()
		 * @generated
		 */
		EClass SVG_SWITCH_ELEMENT = eINSTANCE.getSvgSwitchElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SWITCH_ELEMENT__CLASS = eINSTANCE.getSvgSwitchElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SWITCH_ELEMENT__STYLE = eINSTANCE.getSvgSwitchElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SWITCH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgSwitchElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_SWITCH_ELEMENT__TRANSFORM = eINSTANCE.getSvgSwitchElement_Transform();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPathElementImpl <em>Path Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPathElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPathElement()
		 * @generated
		 */
		EClass SVG_PATH_ELEMENT = eINSTANCE.getSvgPathElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATH_ELEMENT__CLASS = eINSTANCE.getSvgPathElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATH_ELEMENT__STYLE = eINSTANCE.getSvgPathElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgPathElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATH_ELEMENT__TRANSFORM = eINSTANCE.getSvgPathElement_Transform();

		/**
		 * The meta object literal for the '<em><b>D</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATH_ELEMENT__D = eINSTANCE.getSvgPathElement_D();

		/**
		 * The meta object literal for the '<em><b>Path Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATH_ELEMENT__PATH_LENGTH = eINSTANCE.getSvgPathElement_PathLength();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgRectElementImpl <em>Rect Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgRectElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgRectElement()
		 * @generated
		 */
		EClass SVG_RECT_ELEMENT = eINSTANCE.getSvgRectElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__CLASS = eINSTANCE.getSvgRectElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__STYLE = eINSTANCE.getSvgRectElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgRectElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__TRANSFORM = eINSTANCE.getSvgRectElement_Transform();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__X = eINSTANCE.getSvgRectElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__Y = eINSTANCE.getSvgRectElement_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__WIDTH = eINSTANCE.getSvgRectElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__HEIGHT = eINSTANCE.getSvgRectElement_Height();

		/**
		 * The meta object literal for the '<em><b>Rx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__RX = eINSTANCE.getSvgRectElement_Rx();

		/**
		 * The meta object literal for the '<em><b>Ry</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RECT_ELEMENT__RY = eINSTANCE.getSvgRectElement_Ry();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgCircleElementImpl <em>Circle Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgCircleElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgCircleElement()
		 * @generated
		 */
		EClass SVG_CIRCLE_ELEMENT = eINSTANCE.getSvgCircleElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__CLASS = eINSTANCE.getSvgCircleElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__STYLE = eINSTANCE.getSvgCircleElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgCircleElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__TRANSFORM = eINSTANCE.getSvgCircleElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Cx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__CX = eINSTANCE.getSvgCircleElement_Cx();

		/**
		 * The meta object literal for the '<em><b>Cy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__CY = eINSTANCE.getSvgCircleElement_Cy();

		/**
		 * The meta object literal for the '<em><b>R</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CIRCLE_ELEMENT__R = eINSTANCE.getSvgCircleElement_R();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgEllipseElementImpl <em>Ellipse Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgEllipseElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgEllipseElement()
		 * @generated
		 */
		EClass SVG_ELLIPSE_ELEMENT = eINSTANCE.getSvgEllipseElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__CLASS = eINSTANCE.getSvgEllipseElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__STYLE = eINSTANCE.getSvgEllipseElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgEllipseElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__TRANSFORM = eINSTANCE.getSvgEllipseElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Cx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__CX = eINSTANCE.getSvgEllipseElement_Cx();

		/**
		 * The meta object literal for the '<em><b>Cy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__CY = eINSTANCE.getSvgEllipseElement_Cy();

		/**
		 * The meta object literal for the '<em><b>Rx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__RX = eINSTANCE.getSvgEllipseElement_Rx();

		/**
		 * The meta object literal for the '<em><b>Ry</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ELLIPSE_ELEMENT__RY = eINSTANCE.getSvgEllipseElement_Ry();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgLineElementImpl <em>Line Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgLineElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgLineElement()
		 * @generated
		 */
		EClass SVG_LINE_ELEMENT = eINSTANCE.getSvgLineElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__CLASS = eINSTANCE.getSvgLineElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__STYLE = eINSTANCE.getSvgLineElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgLineElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__TRANSFORM = eINSTANCE.getSvgLineElement_Transform();

		/**
		 * The meta object literal for the '<em><b>X1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__X1 = eINSTANCE.getSvgLineElement_X1();

		/**
		 * The meta object literal for the '<em><b>Y1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__Y1 = eINSTANCE.getSvgLineElement_Y1();

		/**
		 * The meta object literal for the '<em><b>X2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__X2 = eINSTANCE.getSvgLineElement_X2();

		/**
		 * The meta object literal for the '<em><b>Y2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINE_ELEMENT__Y2 = eINSTANCE.getSvgLineElement_Y2();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPolylineElementImpl <em>Polyline Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPolylineElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPolylineElement()
		 * @generated
		 */
		EClass SVG_POLYLINE_ELEMENT = eINSTANCE.getSvgPolylineElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYLINE_ELEMENT__CLASS = eINSTANCE.getSvgPolylineElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYLINE_ELEMENT__STYLE = eINSTANCE.getSvgPolylineElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYLINE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgPolylineElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYLINE_ELEMENT__TRANSFORM = eINSTANCE.getSvgPolylineElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Points</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYLINE_ELEMENT__POINTS = eINSTANCE.getSvgPolylineElement_Points();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPolygonElementImpl <em>Polygon Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPolygonElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPolygonElement()
		 * @generated
		 */
		EClass SVG_POLYGON_ELEMENT = eINSTANCE.getSvgPolygonElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYGON_ELEMENT__CLASS = eINSTANCE.getSvgPolygonElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYGON_ELEMENT__STYLE = eINSTANCE.getSvgPolygonElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYGON_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgPolygonElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYGON_ELEMENT__TRANSFORM = eINSTANCE.getSvgPolygonElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Points</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_POLYGON_ELEMENT__POINTS = eINSTANCE.getSvgPolygonElement_Points();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTextElementImpl <em>Text Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTextElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTextElement()
		 * @generated
		 */
		EClass SVG_TEXT_ELEMENT = eINSTANCE.getSvgTextElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__CLASS = eINSTANCE.getSvgTextElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__STYLE = eINSTANCE.getSvgTextElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgTextElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__TRANSFORM = eINSTANCE.getSvgTextElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Length Adjust</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__LENGTH_ADJUST = eINSTANCE.getSvgTextElement_LengthAdjust();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__X = eINSTANCE.getSvgTextElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__Y = eINSTANCE.getSvgTextElement_Y();

		/**
		 * The meta object literal for the '<em><b>Dx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__DX = eINSTANCE.getSvgTextElement_Dx();

		/**
		 * The meta object literal for the '<em><b>Dy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__DY = eINSTANCE.getSvgTextElement_Dy();

		/**
		 * The meta object literal for the '<em><b>Rotate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__ROTATE = eINSTANCE.getSvgTextElement_Rotate();

		/**
		 * The meta object literal for the '<em><b>Text Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_ELEMENT__TEXT_LENGTH = eINSTANCE.getSvgTextElement_TextLength();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTspanElementImpl <em>Tspan Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTspanElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTspanElement()
		 * @generated
		 */
		EClass SVG_TSPAN_ELEMENT = eINSTANCE.getSvgTspanElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__CLASS = eINSTANCE.getSvgTspanElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__STYLE = eINSTANCE.getSvgTspanElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgTspanElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__X = eINSTANCE.getSvgTspanElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__Y = eINSTANCE.getSvgTspanElement_Y();

		/**
		 * The meta object literal for the '<em><b>Dx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__DX = eINSTANCE.getSvgTspanElement_Dx();

		/**
		 * The meta object literal for the '<em><b>Dy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__DY = eINSTANCE.getSvgTspanElement_Dy();

		/**
		 * The meta object literal for the '<em><b>Rotate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__ROTATE = eINSTANCE.getSvgTspanElement_Rotate();

		/**
		 * The meta object literal for the '<em><b>Text Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__TEXT_LENGTH = eINSTANCE.getSvgTspanElement_TextLength();

		/**
		 * The meta object literal for the '<em><b>Length Adjust</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TSPAN_ELEMENT__LENGTH_ADJUST = eINSTANCE.getSvgTspanElement_LengthAdjust();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTrefElementImpl <em>Tref Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTrefElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTrefElement()
		 * @generated
		 */
		EClass SVG_TREF_ELEMENT = eINSTANCE.getSvgTrefElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TREF_ELEMENT__CLASS = eINSTANCE.getSvgTrefElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TREF_ELEMENT__STYLE = eINSTANCE.getSvgTrefElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TREF_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgTrefElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgTextPathElementImpl <em>Text Path Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgTextPathElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgTextPathElement()
		 * @generated
		 */
		EClass SVG_TEXT_PATH_ELEMENT = eINSTANCE.getSvgTextPathElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_PATH_ELEMENT__CLASS = eINSTANCE.getSvgTextPathElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_PATH_ELEMENT__STYLE = eINSTANCE.getSvgTextPathElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_PATH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgTextPathElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Start Offset</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_PATH_ELEMENT__START_OFFSET = eINSTANCE.getSvgTextPathElement_StartOffset();

		/**
		 * The meta object literal for the '<em><b>Method</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_PATH_ELEMENT__METHOD = eINSTANCE.getSvgTextPathElement_Method();

		/**
		 * The meta object literal for the '<em><b>Spacing</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_TEXT_PATH_ELEMENT__SPACING = eINSTANCE.getSvgTextPathElement_Spacing();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphElementImpl <em>Alt Glyph Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphElement()
		 * @generated
		 */
		EClass SVG_ALT_GLYPH_ELEMENT = eINSTANCE.getSvgAltGlyphElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__CLASS = eINSTANCE.getSvgAltGlyphElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__STYLE = eINSTANCE.getSvgAltGlyphElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgAltGlyphElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__X = eINSTANCE.getSvgAltGlyphElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__Y = eINSTANCE.getSvgAltGlyphElement_Y();

		/**
		 * The meta object literal for the '<em><b>Dx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__DX = eINSTANCE.getSvgAltGlyphElement_Dx();

		/**
		 * The meta object literal for the '<em><b>Dy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__DY = eINSTANCE.getSvgAltGlyphElement_Dy();

		/**
		 * The meta object literal for the '<em><b>Glyph Ref</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__GLYPH_REF = eINSTANCE.getSvgAltGlyphElement_GlyphRef();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__FORMAT = eINSTANCE.getSvgAltGlyphElement_Format();

		/**
		 * The meta object literal for the '<em><b>Rotate</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_ELEMENT__ROTATE = eINSTANCE.getSvgAltGlyphElement_Rotate();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphDefElementImpl <em>Alt Glyph Def Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphDefElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphDefElement()
		 * @generated
		 */
		EClass SVG_ALT_GLYPH_DEF_ELEMENT = eINSTANCE.getSvgAltGlyphDefElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphItemElementImpl <em>Alt Glyph Item Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphItemElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphItemElement()
		 * @generated
		 */
		EClass SVG_ALT_GLYPH_ITEM_ELEMENT = eINSTANCE.getSvgAltGlyphItemElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphRefElementImpl <em>Alt Glyph Ref Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAltGlyphRefElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAltGlyphRefElement()
		 * @generated
		 */
		EClass SVG_ALT_GLYPH_REF_ELEMENT = eINSTANCE.getSvgAltGlyphRefElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__CLASS = eINSTANCE.getSvgAltGlyphRefElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__STYLE = eINSTANCE.getSvgAltGlyphRefElement_Style();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__X = eINSTANCE.getSvgAltGlyphRefElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__Y = eINSTANCE.getSvgAltGlyphRefElement_Y();

		/**
		 * The meta object literal for the '<em><b>Dx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__DX = eINSTANCE.getSvgAltGlyphRefElement_Dx();

		/**
		 * The meta object literal for the '<em><b>Dy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__DY = eINSTANCE.getSvgAltGlyphRefElement_Dy();

		/**
		 * The meta object literal for the '<em><b>Glyph Ref</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__GLYPH_REF = eINSTANCE.getSvgAltGlyphRefElement_GlyphRef();

		/**
		 * The meta object literal for the '<em><b>Format</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_ALT_GLYPH_REF_ELEMENT__FORMAT = eINSTANCE.getSvgAltGlyphRefElement_Format();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgMarkerElementImpl <em>Marker Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgMarkerElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgMarkerElement()
		 * @generated
		 */
		EClass SVG_MARKER_ELEMENT = eINSTANCE.getSvgMarkerElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__CLASS = eINSTANCE.getSvgMarkerElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__STYLE = eINSTANCE.getSvgMarkerElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgMarkerElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>View Box</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__VIEW_BOX = eINSTANCE.getSvgMarkerElement_ViewBox();

		/**
		 * The meta object literal for the '<em><b>Preserve Aspect Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__PRESERVE_ASPECT_RATIO = eINSTANCE.getSvgMarkerElement_PreserveAspectRatio();

		/**
		 * The meta object literal for the '<em><b>Ref X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__REF_X = eINSTANCE.getSvgMarkerElement_RefX();

		/**
		 * The meta object literal for the '<em><b>Ref Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__REF_Y = eINSTANCE.getSvgMarkerElement_RefY();

		/**
		 * The meta object literal for the '<em><b>Marker Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__MARKER_UNITS = eINSTANCE.getSvgMarkerElement_MarkerUnits();

		/**
		 * The meta object literal for the '<em><b>Marker Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__MARKER_WIDTH = eINSTANCE.getSvgMarkerElement_MarkerWidth();

		/**
		 * The meta object literal for the '<em><b>Marker Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__MARKER_HEIGHT = eINSTANCE.getSvgMarkerElement_MarkerHeight();

		/**
		 * The meta object literal for the '<em><b>Orient</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MARKER_ELEMENT__ORIENT = eINSTANCE.getSvgMarkerElement_Orient();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgColorProfileElementImpl <em>Color Profile Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgColorProfileElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgColorProfileElement()
		 * @generated
		 */
		EClass SVG_COLOR_PROFILE_ELEMENT = eINSTANCE.getSvgColorProfileElement();

		/**
		 * The meta object literal for the '<em><b>Local</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_COLOR_PROFILE_ELEMENT__LOCAL = eINSTANCE.getSvgColorProfileElement_Local();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_COLOR_PROFILE_ELEMENT__NAME = eINSTANCE.getSvgColorProfileElement_Name();

		/**
		 * The meta object literal for the '<em><b>Rendering intent</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_COLOR_PROFILE_ELEMENT__RENDERING_INTENT = eINSTANCE.getSvgColorProfileElement_Rendering_intent();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgLinearGradientElementImpl <em>Linear Gradient Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgLinearGradientElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgLinearGradientElement()
		 * @generated
		 */
		EClass SVG_LINEAR_GRADIENT_ELEMENT = eINSTANCE.getSvgLinearGradientElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__CLASS = eINSTANCE.getSvgLinearGradientElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__STYLE = eINSTANCE.getSvgLinearGradientElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgLinearGradientElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>X1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__X1 = eINSTANCE.getSvgLinearGradientElement_X1();

		/**
		 * The meta object literal for the '<em><b>Y1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__Y1 = eINSTANCE.getSvgLinearGradientElement_Y1();

		/**
		 * The meta object literal for the '<em><b>X2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__X2 = eINSTANCE.getSvgLinearGradientElement_X2();

		/**
		 * The meta object literal for the '<em><b>Y2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__Y2 = eINSTANCE.getSvgLinearGradientElement_Y2();

		/**
		 * The meta object literal for the '<em><b>Gradient Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__GRADIENT_UNITS = eINSTANCE.getSvgLinearGradientElement_GradientUnits();

		/**
		 * The meta object literal for the '<em><b>Spread Method</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__SPREAD_METHOD = eINSTANCE.getSvgLinearGradientElement_SpreadMethod();

		/**
		 * The meta object literal for the '<em><b>Gradient Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_LINEAR_GRADIENT_ELEMENT__GRADIENT_TRANSFORM = eINSTANCE.getSvgLinearGradientElement_GradientTransform();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgRadialGradientElementImpl <em>Radial Gradient Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgRadialGradientElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgRadialGradientElement()
		 * @generated
		 */
		EClass SVG_RADIAL_GRADIENT_ELEMENT = eINSTANCE.getSvgRadialGradientElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__CLASS = eINSTANCE.getSvgRadialGradientElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__STYLE = eINSTANCE.getSvgRadialGradientElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgRadialGradientElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Cx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__CX = eINSTANCE.getSvgRadialGradientElement_Cx();

		/**
		 * The meta object literal for the '<em><b>Cy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__CY = eINSTANCE.getSvgRadialGradientElement_Cy();

		/**
		 * The meta object literal for the '<em><b>R</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__R = eINSTANCE.getSvgRadialGradientElement_R();

		/**
		 * The meta object literal for the '<em><b>Fx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__FX = eINSTANCE.getSvgRadialGradientElement_Fx();

		/**
		 * The meta object literal for the '<em><b>Fy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__FY = eINSTANCE.getSvgRadialGradientElement_Fy();

		/**
		 * The meta object literal for the '<em><b>Spread Method</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__SPREAD_METHOD = eINSTANCE.getSvgRadialGradientElement_SpreadMethod();

		/**
		 * The meta object literal for the '<em><b>Gradient Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__GRADIENT_UNITS = eINSTANCE.getSvgRadialGradientElement_GradientUnits();

		/**
		 * The meta object literal for the '<em><b>Gradient Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_RADIAL_GRADIENT_ELEMENT__GRADIENT_TRANSFORM = eINSTANCE.getSvgRadialGradientElement_GradientTransform();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgStopElementImpl <em>Stop Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgStopElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgStopElement()
		 * @generated
		 */
		EClass SVG_STOP_ELEMENT = eINSTANCE.getSvgStopElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_STOP_ELEMENT__CLASS = eINSTANCE.getSvgStopElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_STOP_ELEMENT__STYLE = eINSTANCE.getSvgStopElement_Style();

		/**
		 * The meta object literal for the '<em><b>Offset</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_STOP_ELEMENT__OFFSET = eINSTANCE.getSvgStopElement_Offset();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgPatternElementImpl <em>Pattern Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPatternElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgPatternElement()
		 * @generated
		 */
		EClass SVG_PATTERN_ELEMENT = eINSTANCE.getSvgPatternElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__CLASS = eINSTANCE.getSvgPatternElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__STYLE = eINSTANCE.getSvgPatternElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgPatternElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>View Box</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__VIEW_BOX = eINSTANCE.getSvgPatternElement_ViewBox();

		/**
		 * The meta object literal for the '<em><b>Preserve Aspect Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__PRESERVE_ASPECT_RATIO = eINSTANCE.getSvgPatternElement_PreserveAspectRatio();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__X = eINSTANCE.getSvgPatternElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__Y = eINSTANCE.getSvgPatternElement_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__WIDTH = eINSTANCE.getSvgPatternElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__HEIGHT = eINSTANCE.getSvgPatternElement_Height();

		/**
		 * The meta object literal for the '<em><b>Pattern Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__PATTERN_UNITS = eINSTANCE.getSvgPatternElement_PatternUnits();

		/**
		 * The meta object literal for the '<em><b>Pattern Content Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__PATTERN_CONTENT_UNITS = eINSTANCE.getSvgPatternElement_PatternContentUnits();

		/**
		 * The meta object literal for the '<em><b>Pattern Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_PATTERN_ELEMENT__PATTERN_TRANSFORM = eINSTANCE.getSvgPatternElement_PatternTransform();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgClipPathElementImpl <em>Clip Path Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgClipPathElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgClipPathElement()
		 * @generated
		 */
		EClass SVG_CLIP_PATH_ELEMENT = eINSTANCE.getSvgClipPathElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CLIP_PATH_ELEMENT__CLASS = eINSTANCE.getSvgClipPathElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CLIP_PATH_ELEMENT__STYLE = eINSTANCE.getSvgClipPathElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CLIP_PATH_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgClipPathElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Transform</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CLIP_PATH_ELEMENT__TRANSFORM = eINSTANCE.getSvgClipPathElement_Transform();

		/**
		 * The meta object literal for the '<em><b>Clip Path Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_CLIP_PATH_ELEMENT__CLIP_PATH_UNITS = eINSTANCE.getSvgClipPathElement_ClipPathUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgMaskElementImpl <em>Mask Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgMaskElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgMaskElement()
		 * @generated
		 */
		EClass SVG_MASK_ELEMENT = eINSTANCE.getSvgMaskElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__CLASS = eINSTANCE.getSvgMaskElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__STYLE = eINSTANCE.getSvgMaskElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgMaskElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__X = eINSTANCE.getSvgMaskElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__Y = eINSTANCE.getSvgMaskElement_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__WIDTH = eINSTANCE.getSvgMaskElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__HEIGHT = eINSTANCE.getSvgMaskElement_Height();

		/**
		 * The meta object literal for the '<em><b>Mask Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__MASK_UNITS = eINSTANCE.getSvgMaskElement_MaskUnits();

		/**
		 * The meta object literal for the '<em><b>Mask Content Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_MASK_ELEMENT__MASK_CONTENT_UNITS = eINSTANCE.getSvgMaskElement_MaskContentUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFilterElementImpl <em>Filter Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFilterElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFilterElement()
		 * @generated
		 */
		EClass SVG_FILTER_ELEMENT = eINSTANCE.getSvgFilterElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__CLASS = eINSTANCE.getSvgFilterElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__STYLE = eINSTANCE.getSvgFilterElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgFilterElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__X = eINSTANCE.getSvgFilterElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__Y = eINSTANCE.getSvgFilterElement_Y();

		/**
		 * The meta object literal for the '<em><b>Width</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__WIDTH = eINSTANCE.getSvgFilterElement_Width();

		/**
		 * The meta object literal for the '<em><b>Height</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__HEIGHT = eINSTANCE.getSvgFilterElement_Height();

		/**
		 * The meta object literal for the '<em><b>Filter Res</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__FILTER_RES = eINSTANCE.getSvgFilterElement_FilterRes();

		/**
		 * The meta object literal for the '<em><b>Filter Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__FILTER_UNITS = eINSTANCE.getSvgFilterElement_FilterUnits();

		/**
		 * The meta object literal for the '<em><b>Primitive Units</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FILTER_ELEMENT__PRIMITIVE_UNITS = eINSTANCE.getSvgFilterElement_PrimitiveUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeDistantLightElementImpl <em>Fe Distant Light Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeDistantLightElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeDistantLightElement()
		 * @generated
		 */
		EClass SVG_FE_DISTANT_LIGHT_ELEMENT = eINSTANCE.getSvgFeDistantLightElement();

		/**
		 * The meta object literal for the '<em><b>Azimuth</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISTANT_LIGHT_ELEMENT__AZIMUTH = eINSTANCE.getSvgFeDistantLightElement_Azimuth();

		/**
		 * The meta object literal for the '<em><b>Elevation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISTANT_LIGHT_ELEMENT__ELEVATION = eINSTANCE.getSvgFeDistantLightElement_Elevation();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFePointLightElementImpl <em>Fe Point Light Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFePointLightElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFePointLightElement()
		 * @generated
		 */
		EClass SVG_FE_POINT_LIGHT_ELEMENT = eINSTANCE.getSvgFePointLightElement();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_POINT_LIGHT_ELEMENT__X = eINSTANCE.getSvgFePointLightElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_POINT_LIGHT_ELEMENT__Y = eINSTANCE.getSvgFePointLightElement_Y();

		/**
		 * The meta object literal for the '<em><b>Z</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_POINT_LIGHT_ELEMENT__Z = eINSTANCE.getSvgFePointLightElement_Z();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeSpotLightElementImpl <em>Fe Spot Light Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeSpotLightElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeSpotLightElement()
		 * @generated
		 */
		EClass SVG_FE_SPOT_LIGHT_ELEMENT = eINSTANCE.getSvgFeSpotLightElement();

		/**
		 * The meta object literal for the '<em><b>X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__X = eINSTANCE.getSvgFeSpotLightElement_X();

		/**
		 * The meta object literal for the '<em><b>Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__Y = eINSTANCE.getSvgFeSpotLightElement_Y();

		/**
		 * The meta object literal for the '<em><b>Z</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__Z = eINSTANCE.getSvgFeSpotLightElement_Z();

		/**
		 * The meta object literal for the '<em><b>Points At X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__POINTS_AT_X = eINSTANCE.getSvgFeSpotLightElement_PointsAtX();

		/**
		 * The meta object literal for the '<em><b>Points At Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__POINTS_AT_Y = eINSTANCE.getSvgFeSpotLightElement_PointsAtY();

		/**
		 * The meta object literal for the '<em><b>Points At Z</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__POINTS_AT_Z = eINSTANCE.getSvgFeSpotLightElement_PointsAtZ();

		/**
		 * The meta object literal for the '<em><b>Specular Exponent</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__SPECULAR_EXPONENT = eINSTANCE.getSvgFeSpotLightElement_SpecularExponent();

		/**
		 * The meta object literal for the '<em><b>Limiting Cone Angle</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPOT_LIGHT_ELEMENT__LIMITING_CONE_ANGLE = eINSTANCE.getSvgFeSpotLightElement_LimitingConeAngle();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeBlendElementImpl <em>Fe Blend Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeBlendElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeBlendElement()
		 * @generated
		 */
		EClass SVG_FE_BLEND_ELEMENT = eINSTANCE.getSvgFeBlendElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_BLEND_ELEMENT__CLASS = eINSTANCE.getSvgFeBlendElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_BLEND_ELEMENT__STYLE = eINSTANCE.getSvgFeBlendElement_Style();

		/**
		 * The meta object literal for the '<em><b>In2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_BLEND_ELEMENT__IN2 = eINSTANCE.getSvgFeBlendElement_In2();

		/**
		 * The meta object literal for the '<em><b>Mode</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_BLEND_ELEMENT__MODE = eINSTANCE.getSvgFeBlendElement_Mode();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeColorMatrixElementImpl <em>Fe Color Matrix Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeColorMatrixElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeColorMatrixElement()
		 * @generated
		 */
		EClass SVG_FE_COLOR_MATRIX_ELEMENT = eINSTANCE.getSvgFeColorMatrixElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COLOR_MATRIX_ELEMENT__CLASS = eINSTANCE.getSvgFeColorMatrixElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COLOR_MATRIX_ELEMENT__STYLE = eINSTANCE.getSvgFeColorMatrixElement_Style();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COLOR_MATRIX_ELEMENT__TYPE = eINSTANCE.getSvgFeColorMatrixElement_Type();

		/**
		 * The meta object literal for the '<em><b>Values</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COLOR_MATRIX_ELEMENT__VALUES = eINSTANCE.getSvgFeColorMatrixElement_Values();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeComponentTransferElementImpl <em>Fe Component Transfer Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeComponentTransferElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeComponentTransferElement()
		 * @generated
		 */
		EClass SVG_FE_COMPONENT_TRANSFER_ELEMENT = eINSTANCE.getSvgFeComponentTransferElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPONENT_TRANSFER_ELEMENT__CLASS = eINSTANCE.getSvgFeComponentTransferElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPONENT_TRANSFER_ELEMENT__STYLE = eINSTANCE.getSvgFeComponentTransferElement_Style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncRElementImpl <em>Fe Func RElement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncRElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncRElement()
		 * @generated
		 */
		EClass SVG_FE_FUNC_RELEMENT = eINSTANCE.getSvgFeFuncRElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncGElementImpl <em>Fe Func GElement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncGElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncGElement()
		 * @generated
		 */
		EClass SVG_FE_FUNC_GELEMENT = eINSTANCE.getSvgFeFuncGElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncBElementImpl <em>Fe Func BElement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncBElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncBElement()
		 * @generated
		 */
		EClass SVG_FE_FUNC_BELEMENT = eINSTANCE.getSvgFeFuncBElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncAElementImpl <em>Fe Func AElement</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFuncAElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFuncAElement()
		 * @generated
		 */
		EClass SVG_FE_FUNC_AELEMENT = eINSTANCE.getSvgFeFuncAElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeCompositeElementImpl <em>Fe Composite Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeCompositeElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeCompositeElement()
		 * @generated
		 */
		EClass SVG_FE_COMPOSITE_ELEMENT = eINSTANCE.getSvgFeCompositeElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__CLASS = eINSTANCE.getSvgFeCompositeElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__STYLE = eINSTANCE.getSvgFeCompositeElement_Style();

		/**
		 * The meta object literal for the '<em><b>In2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__IN2 = eINSTANCE.getSvgFeCompositeElement_In2();

		/**
		 * The meta object literal for the '<em><b>Operator</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__OPERATOR = eINSTANCE.getSvgFeCompositeElement_Operator();

		/**
		 * The meta object literal for the '<em><b>K1</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__K1 = eINSTANCE.getSvgFeCompositeElement_K1();

		/**
		 * The meta object literal for the '<em><b>K2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__K2 = eINSTANCE.getSvgFeCompositeElement_K2();

		/**
		 * The meta object literal for the '<em><b>K3</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__K3 = eINSTANCE.getSvgFeCompositeElement_K3();

		/**
		 * The meta object literal for the '<em><b>K4</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_COMPOSITE_ELEMENT__K4 = eINSTANCE.getSvgFeCompositeElement_K4();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeConvolveMatrixElementImpl <em>Fe Convolve Matrix Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeConvolveMatrixElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeConvolveMatrixElement()
		 * @generated
		 */
		EClass SVG_FE_CONVOLVE_MATRIX_ELEMENT = eINSTANCE.getSvgFeConvolveMatrixElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__CLASS = eINSTANCE.getSvgFeConvolveMatrixElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__STYLE = eINSTANCE.getSvgFeConvolveMatrixElement_Style();

		/**
		 * The meta object literal for the '<em><b>Order</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__ORDER = eINSTANCE.getSvgFeConvolveMatrixElement_Order();

		/**
		 * The meta object literal for the '<em><b>Kernel Matrix</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__KERNEL_MATRIX = eINSTANCE.getSvgFeConvolveMatrixElement_KernelMatrix();

		/**
		 * The meta object literal for the '<em><b>Divisor</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__DIVISOR = eINSTANCE.getSvgFeConvolveMatrixElement_Divisor();

		/**
		 * The meta object literal for the '<em><b>Bias</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__BIAS = eINSTANCE.getSvgFeConvolveMatrixElement_Bias();

		/**
		 * The meta object literal for the '<em><b>Target X</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__TARGET_X = eINSTANCE.getSvgFeConvolveMatrixElement_TargetX();

		/**
		 * The meta object literal for the '<em><b>Target Y</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__TARGET_Y = eINSTANCE.getSvgFeConvolveMatrixElement_TargetY();

		/**
		 * The meta object literal for the '<em><b>Edge Mode</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__EDGE_MODE = eINSTANCE.getSvgFeConvolveMatrixElement_EdgeMode();

		/**
		 * The meta object literal for the '<em><b>Kernel Unit Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__KERNEL_UNIT_LENGTH = eINSTANCE.getSvgFeConvolveMatrixElement_KernelUnitLength();

		/**
		 * The meta object literal for the '<em><b>Preserve Alpha</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_CONVOLVE_MATRIX_ELEMENT__PRESERVE_ALPHA = eINSTANCE.getSvgFeConvolveMatrixElement_PreserveAlpha();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeDiffuseLightingElementImpl <em>Fe Diffuse Lighting Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeDiffuseLightingElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeDiffuseLightingElement()
		 * @generated
		 */
		EClass SVG_FE_DIFFUSE_LIGHTING_ELEMENT = eINSTANCE.getSvgFeDiffuseLightingElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DIFFUSE_LIGHTING_ELEMENT__CLASS = eINSTANCE.getSvgFeDiffuseLightingElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DIFFUSE_LIGHTING_ELEMENT__STYLE = eINSTANCE.getSvgFeDiffuseLightingElement_Style();

		/**
		 * The meta object literal for the '<em><b>Surface Scale</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DIFFUSE_LIGHTING_ELEMENT__SURFACE_SCALE = eINSTANCE.getSvgFeDiffuseLightingElement_SurfaceScale();

		/**
		 * The meta object literal for the '<em><b>Diffuse Constant</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DIFFUSE_LIGHTING_ELEMENT__DIFFUSE_CONSTANT = eINSTANCE.getSvgFeDiffuseLightingElement_DiffuseConstant();

		/**
		 * The meta object literal for the '<em><b>Kernel Unit Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DIFFUSE_LIGHTING_ELEMENT__KERNEL_UNIT_LENGTH = eINSTANCE.getSvgFeDiffuseLightingElement_KernelUnitLength();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeDisplacementMapElementImpl <em>Fe Displacement Map Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeDisplacementMapElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeDisplacementMapElement()
		 * @generated
		 */
		EClass SVG_FE_DISPLACEMENT_MAP_ELEMENT = eINSTANCE.getSvgFeDisplacementMapElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISPLACEMENT_MAP_ELEMENT__CLASS = eINSTANCE.getSvgFeDisplacementMapElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISPLACEMENT_MAP_ELEMENT__STYLE = eINSTANCE.getSvgFeDisplacementMapElement_Style();

		/**
		 * The meta object literal for the '<em><b>In2</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISPLACEMENT_MAP_ELEMENT__IN2 = eINSTANCE.getSvgFeDisplacementMapElement_In2();

		/**
		 * The meta object literal for the '<em><b>Scale</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISPLACEMENT_MAP_ELEMENT__SCALE = eINSTANCE.getSvgFeDisplacementMapElement_Scale();

		/**
		 * The meta object literal for the '<em><b>XChannel Selector</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISPLACEMENT_MAP_ELEMENT__XCHANNEL_SELECTOR = eINSTANCE.getSvgFeDisplacementMapElement_XChannelSelector();

		/**
		 * The meta object literal for the '<em><b>YChannel Selector</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_DISPLACEMENT_MAP_ELEMENT__YCHANNEL_SELECTOR = eINSTANCE.getSvgFeDisplacementMapElement_YChannelSelector();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeFloodElementImpl <em>Fe Flood Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeFloodElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeFloodElement()
		 * @generated
		 */
		EClass SVG_FE_FLOOD_ELEMENT = eINSTANCE.getSvgFeFloodElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_FLOOD_ELEMENT__CLASS = eINSTANCE.getSvgFeFloodElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_FLOOD_ELEMENT__STYLE = eINSTANCE.getSvgFeFloodElement_Style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeGaussianBlurElementImpl <em>Fe Gaussian Blur Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeGaussianBlurElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeGaussianBlurElement()
		 * @generated
		 */
		EClass SVG_FE_GAUSSIAN_BLUR_ELEMENT = eINSTANCE.getSvgFeGaussianBlurElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_GAUSSIAN_BLUR_ELEMENT__CLASS = eINSTANCE.getSvgFeGaussianBlurElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_GAUSSIAN_BLUR_ELEMENT__STYLE = eINSTANCE.getSvgFeGaussianBlurElement_Style();

		/**
		 * The meta object literal for the '<em><b>Std Deviation</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_GAUSSIAN_BLUR_ELEMENT__STD_DEVIATION = eINSTANCE.getSvgFeGaussianBlurElement_StdDeviation();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeImageElementImpl <em>Fe Image Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeImageElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeImageElement()
		 * @generated
		 */
		EClass SVG_FE_IMAGE_ELEMENT = eINSTANCE.getSvgFeImageElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_IMAGE_ELEMENT__CLASS = eINSTANCE.getSvgFeImageElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_IMAGE_ELEMENT__STYLE = eINSTANCE.getSvgFeImageElement_Style();

		/**
		 * The meta object literal for the '<em><b>External Resources Required</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_IMAGE_ELEMENT__EXTERNAL_RESOURCES_REQUIRED = eINSTANCE.getSvgFeImageElement_ExternalResourcesRequired();

		/**
		 * The meta object literal for the '<em><b>Preserve Aspect Ratio</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_IMAGE_ELEMENT__PRESERVE_ASPECT_RATIO = eINSTANCE.getSvgFeImageElement_PreserveAspectRatio();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeElementImpl <em>Fe Merge Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeMergeElement()
		 * @generated
		 */
		EClass SVG_FE_MERGE_ELEMENT = eINSTANCE.getSvgFeMergeElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_MERGE_ELEMENT__CLASS = eINSTANCE.getSvgFeMergeElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_MERGE_ELEMENT__STYLE = eINSTANCE.getSvgFeMergeElement_Style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeNodeElementImpl <em>Fe Merge Node Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeMergeNodeElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeMergeNodeElement()
		 * @generated
		 */
		EClass SVG_FE_MERGE_NODE_ELEMENT = eINSTANCE.getSvgFeMergeNodeElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeMorphologyElementImpl <em>Fe Morphology Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeMorphologyElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeMorphologyElement()
		 * @generated
		 */
		EClass SVG_FE_MORPHOLOGY_ELEMENT = eINSTANCE.getSvgFeMorphologyElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_MORPHOLOGY_ELEMENT__CLASS = eINSTANCE.getSvgFeMorphologyElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_MORPHOLOGY_ELEMENT__STYLE = eINSTANCE.getSvgFeMorphologyElement_Style();

		/**
		 * The meta object literal for the '<em><b>Operator</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_MORPHOLOGY_ELEMENT__OPERATOR = eINSTANCE.getSvgFeMorphologyElement_Operator();

		/**
		 * The meta object literal for the '<em><b>Radius</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_MORPHOLOGY_ELEMENT__RADIUS = eINSTANCE.getSvgFeMorphologyElement_Radius();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeOffsetElementImpl <em>Fe Offset Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeOffsetElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeOffsetElement()
		 * @generated
		 */
		EClass SVG_FE_OFFSET_ELEMENT = eINSTANCE.getSvgFeOffsetElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_OFFSET_ELEMENT__CLASS = eINSTANCE.getSvgFeOffsetElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_OFFSET_ELEMENT__STYLE = eINSTANCE.getSvgFeOffsetElement_Style();

		/**
		 * The meta object literal for the '<em><b>Dx</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_OFFSET_ELEMENT__DX = eINSTANCE.getSvgFeOffsetElement_Dx();

		/**
		 * The meta object literal for the '<em><b>Dy</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_OFFSET_ELEMENT__DY = eINSTANCE.getSvgFeOffsetElement_Dy();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeSpecularLightingElementImpl <em>Fe Specular Lighting Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeSpecularLightingElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeSpecularLightingElement()
		 * @generated
		 */
		EClass SVG_FE_SPECULAR_LIGHTING_ELEMENT = eINSTANCE.getSvgFeSpecularLightingElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPECULAR_LIGHTING_ELEMENT__CLASS = eINSTANCE.getSvgFeSpecularLightingElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPECULAR_LIGHTING_ELEMENT__STYLE = eINSTANCE.getSvgFeSpecularLightingElement_Style();

		/**
		 * The meta object literal for the '<em><b>Surface Scale</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPECULAR_LIGHTING_ELEMENT__SURFACE_SCALE = eINSTANCE.getSvgFeSpecularLightingElement_SurfaceScale();

		/**
		 * The meta object literal for the '<em><b>Specular Constant</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPECULAR_LIGHTING_ELEMENT__SPECULAR_CONSTANT = eINSTANCE.getSvgFeSpecularLightingElement_SpecularConstant();

		/**
		 * The meta object literal for the '<em><b>Specular Exponent</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPECULAR_LIGHTING_ELEMENT__SPECULAR_EXPONENT = eINSTANCE.getSvgFeSpecularLightingElement_SpecularExponent();

		/**
		 * The meta object literal for the '<em><b>Kernel Unit Length</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_SPECULAR_LIGHTING_ELEMENT__KERNEL_UNIT_LENGTH = eINSTANCE.getSvgFeSpecularLightingElement_KernelUnitLength();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeTileElementImpl <em>Fe Tile Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeTileElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeTileElement()
		 * @generated
		 */
		EClass SVG_FE_TILE_ELEMENT = eINSTANCE.getSvgFeTileElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TILE_ELEMENT__CLASS = eINSTANCE.getSvgFeTileElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TILE_ELEMENT__STYLE = eINSTANCE.getSvgFeTileElement_Style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgFeTurbulenceElementImpl <em>Fe Turbulence Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgFeTurbulenceElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgFeTurbulenceElement()
		 * @generated
		 */
		EClass SVG_FE_TURBULENCE_ELEMENT = eINSTANCE.getSvgFeTurbulenceElement();

		/**
		 * The meta object literal for the '<em><b>Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__CLASS = eINSTANCE.getSvgFeTurbulenceElement_Class();

		/**
		 * The meta object literal for the '<em><b>Style</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__STYLE = eINSTANCE.getSvgFeTurbulenceElement_Style();

		/**
		 * The meta object literal for the '<em><b>Base Frequency</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__BASE_FREQUENCY = eINSTANCE.getSvgFeTurbulenceElement_BaseFrequency();

		/**
		 * The meta object literal for the '<em><b>Num Octaves</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__NUM_OCTAVES = eINSTANCE.getSvgFeTurbulenceElement_NumOctaves();

		/**
		 * The meta object literal for the '<em><b>Seed</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__SEED = eINSTANCE.getSvgFeTurbulenceElement_Seed();

		/**
		 * The meta object literal for the '<em><b>Stitch Tiles</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__STITCH_TILES = eINSTANCE.getSvgFeTurbulenceElement_StitchTiles();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SVG_FE_TURBULENCE_ELEMENT__TYPE = eINSTANCE.getSvgFeTurbulenceElement_Type();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgAnimateElementImpl <em>Animate Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgAnimateElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgAnimateElement()
		 * @generated
		 */
		EClass SVG_ANIMATE_ELEMENT = eINSTANCE.getSvgAnimateElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.impl.SvgMetadataElementImpl <em>Metadata Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgMetadataElementImpl
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSvgMetadataElement()
		 * @generated
		 */
		EClass SVG_METADATA_ELEMENT = eINSTANCE.getSvgMetadataElement();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Alignment_baseline <em>Alignment baseline</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Alignment_baseline
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getAlignment_baseline()
		 * @generated
		 */
		EEnum ALIGNMENT_BASELINE = eINSTANCE.getAlignment_baseline();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Clip_rule <em>Clip rule</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Clip_rule
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClip_rule()
		 * @generated
		 */
		EEnum CLIP_RULE = eINSTANCE.getClip_rule();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Color_interpolation <em>Color interpolation</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Color_interpolation
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_interpolation()
		 * @generated
		 */
		EEnum COLOR_INTERPOLATION = eINSTANCE.getColor_interpolation();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Color_interpolation_filters <em>Color interpolation filters</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Color_interpolation_filters
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_interpolation_filters()
		 * @generated
		 */
		EEnum COLOR_INTERPOLATION_FILTERS = eINSTANCE.getColor_interpolation_filters();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Color_rendering <em>Color rendering</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Color_rendering
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_rendering()
		 * @generated
		 */
		EEnum COLOR_RENDERING = eINSTANCE.getColor_rendering();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Direction <em>Direction</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Direction
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDirection()
		 * @generated
		 */
		EEnum DIRECTION = eINSTANCE.getDirection();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Display <em>Display</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Display
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDisplay()
		 * @generated
		 */
		EEnum DISPLAY = eINSTANCE.getDisplay();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Dominant_baseline <em>Dominant baseline</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Dominant_baseline
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getDominant_baseline()
		 * @generated
		 */
		EEnum DOMINANT_BASELINE = eINSTANCE.getDominant_baseline();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Fill_rule <em>Fill rule</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Fill_rule
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFill_rule()
		 * @generated
		 */
		EEnum FILL_RULE = eINSTANCE.getFill_rule();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Font_stretch <em>Font stretch</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Font_stretch
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_stretch()
		 * @generated
		 */
		EEnum FONT_STRETCH = eINSTANCE.getFont_stretch();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Font_style <em>Font style</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Font_style
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_style()
		 * @generated
		 */
		EEnum FONT_STYLE = eINSTANCE.getFont_style();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Font_variant <em>Font variant</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Font_variant
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_variant()
		 * @generated
		 */
		EEnum FONT_VARIANT = eINSTANCE.getFont_variant();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Font_weight <em>Font weight</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Font_weight
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_weight()
		 * @generated
		 */
		EEnum FONT_WEIGHT = eINSTANCE.getFont_weight();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Image_rendering <em>Image rendering</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Image_rendering
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getImage_rendering()
		 * @generated
		 */
		EEnum IMAGE_RENDERING = eINSTANCE.getImage_rendering();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Overflow <em>Overflow</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Overflow
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getOverflow()
		 * @generated
		 */
		EEnum OVERFLOW = eINSTANCE.getOverflow();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Pointer_events <em>Pointer events</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Pointer_events
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPointer_events()
		 * @generated
		 */
		EEnum POINTER_EVENTS = eINSTANCE.getPointer_events();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Shape_rendering <em>Shape rendering</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Shape_rendering
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getShape_rendering()
		 * @generated
		 */
		EEnum SHAPE_RENDERING = eINSTANCE.getShape_rendering();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Stroke_linecap <em>Stroke linecap</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Stroke_linecap
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_linecap()
		 * @generated
		 */
		EEnum STROKE_LINECAP = eINSTANCE.getStroke_linecap();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Stroke_linejoin <em>Stroke linejoin</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Stroke_linejoin
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_linejoin()
		 * @generated
		 */
		EEnum STROKE_LINEJOIN = eINSTANCE.getStroke_linejoin();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Text_anchor <em>Text anchor</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Text_anchor
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getText_anchor()
		 * @generated
		 */
		EEnum TEXT_ANCHOR = eINSTANCE.getText_anchor();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Text_rendering <em>Text rendering</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Text_rendering
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getText_rendering()
		 * @generated
		 */
		EEnum TEXT_RENDERING = eINSTANCE.getText_rendering();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Unicode_bidi <em>Unicode bidi</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Unicode_bidi
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getUnicode_bidi()
		 * @generated
		 */
		EEnum UNICODE_BIDI = eINSTANCE.getUnicode_bidi();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Visibility <em>Visibility</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Visibility
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getVisibility()
		 * @generated
		 */
		EEnum VISIBILITY = eINSTANCE.getVisibility();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Writing_mode <em>Writing mode</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Writing_mode
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getWriting_mode()
		 * @generated
		 */
		EEnum WRITING_MODE = eINSTANCE.getWriting_mode();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ZoomAndPan <em>Zoom And Pan</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ZoomAndPan
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getZoomAndPan()
		 * @generated
		 */
		EEnum ZOOM_AND_PAN = eINSTANCE.getZoomAndPan();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.LengthAdjust <em>Length Adjust</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.LengthAdjust
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLengthAdjust()
		 * @generated
		 */
		EEnum LENGTH_ADJUST = eINSTANCE.getLengthAdjust();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Method <em>Method</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Method
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMethod()
		 * @generated
		 */
		EEnum METHOD = eINSTANCE.getMethod();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Spacing <em>Spacing</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Spacing
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSpacing()
		 * @generated
		 */
		EEnum SPACING = eINSTANCE.getSpacing();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.MarkerUnits <em>Marker Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.MarkerUnits
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarkerUnits()
		 * @generated
		 */
		EEnum MARKER_UNITS = eINSTANCE.getMarkerUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.Rendering_intent <em>Rendering intent</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.Rendering_intent
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getRendering_intent()
		 * @generated
		 */
		EEnum RENDERING_INTENT = eINSTANCE.getRendering_intent();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.GradientUnits <em>Gradient Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.GradientUnits
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGradientUnits()
		 * @generated
		 */
		EEnum GRADIENT_UNITS = eINSTANCE.getGradientUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.SpreadMethod <em>Spread Method</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.SpreadMethod
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getSpreadMethod()
		 * @generated
		 */
		EEnum SPREAD_METHOD = eINSTANCE.getSpreadMethod();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.PatternUnits <em>Pattern Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.PatternUnits
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPatternUnits()
		 * @generated
		 */
		EEnum PATTERN_UNITS = eINSTANCE.getPatternUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ClipPathUnits <em>Clip Path Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ClipPathUnits
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClipPathUnits()
		 * @generated
		 */
		EEnum CLIP_PATH_UNITS = eINSTANCE.getClipPathUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.MaskUnits <em>Mask Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.MaskUnits
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMaskUnits()
		 * @generated
		 */
		EEnum MASK_UNITS = eINSTANCE.getMaskUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.FilterUnits <em>Filter Units</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.FilterUnits
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilterUnits()
		 * @generated
		 */
		EEnum FILTER_UNITS = eINSTANCE.getFilterUnits();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.BlendMode <em>Blend Mode</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.BlendMode
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getBlendMode()
		 * @generated
		 */
		EEnum BLEND_MODE = eINSTANCE.getBlendMode();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ColorMatrixType <em>Color Matrix Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ColorMatrixType
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColorMatrixType()
		 * @generated
		 */
		EEnum COLOR_MATRIX_TYPE = eINSTANCE.getColorMatrixType();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.CompositeOperator <em>Composite Operator</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.CompositeOperator
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCompositeOperator()
		 * @generated
		 */
		EEnum COMPOSITE_OPERATOR = eINSTANCE.getCompositeOperator();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ConvolveMatrixEdgeMode <em>Convolve Matrix Edge Mode</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ConvolveMatrixEdgeMode
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getConvolveMatrixEdgeMode()
		 * @generated
		 */
		EEnum CONVOLVE_MATRIX_EDGE_MODE = eINSTANCE.getConvolveMatrixEdgeMode();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.ChannelSelector <em>Channel Selector</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.ChannelSelector
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getChannelSelector()
		 * @generated
		 */
		EEnum CHANNEL_SELECTOR = eINSTANCE.getChannelSelector();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.MorphologyOperator <em>Morphology Operator</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.MorphologyOperator
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMorphologyOperator()
		 * @generated
		 */
		EEnum MORPHOLOGY_OPERATOR = eINSTANCE.getMorphologyOperator();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.StitchTiles <em>Stitch Tiles</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.StitchTiles
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStitchTiles()
		 * @generated
		 */
		EEnum STITCH_TILES = eINSTANCE.getStitchTiles();

		/**
		 * The meta object literal for the '{@link org.eclipse.fx.formats.svg.svg.TurbulenceType <em>Turbulence Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.eclipse.fx.formats.svg.svg.TurbulenceType
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTurbulenceType()
		 * @generated
		 */
		EEnum TURBULENCE_TYPE = eINSTANCE.getTurbulenceType();

		/**
		 * The meta object literal for the '<em>Length</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLength()
		 * @generated
		 */
		EDataType LENGTH = eINSTANCE.getLength();

		/**
		 * The meta object literal for the '<em>Angle</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getAngle()
		 * @generated
		 */
		EDataType ANGLE = eINSTANCE.getAngle();

		/**
		 * The meta object literal for the '<em>Percentage</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPercentage()
		 * @generated
		 */
		EDataType PERCENTAGE = eINSTANCE.getPercentage();

		/**
		 * The meta object literal for the '<em>Shape</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getShape()
		 * @generated
		 */
		EDataType SHAPE = eINSTANCE.getShape();

		/**
		 * The meta object literal for the '<em>Funciri</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFunciri()
		 * @generated
		 */
		EDataType FUNCIRI = eINSTANCE.getFunciri();

		/**
		 * The meta object literal for the '<em>Color</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor()
		 * @generated
		 */
		EDataType COLOR = eINSTANCE.getColor();

		/**
		 * The meta object literal for the '<em>Paint</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPaint()
		 * @generated
		 */
		EDataType PAINT = eINSTANCE.getPaint();

		/**
		 * The meta object literal for the '<em>Opacity value</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getOpacity_value()
		 * @generated
		 */
		EDataType OPACITY_VALUE = eINSTANCE.getOpacity_value();

		/**
		 * The meta object literal for the '<em>Baseline shift</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getBaseline_shift()
		 * @generated
		 */
		EDataType BASELINE_SHIFT = eINSTANCE.getBaseline_shift();

		/**
		 * The meta object literal for the '<em>Clip</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClip()
		 * @generated
		 */
		EDataType CLIP = eINSTANCE.getClip();

		/**
		 * The meta object literal for the '<em>Clip path</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getClip_path()
		 * @generated
		 */
		EDataType CLIP_PATH = eINSTANCE.getClip_path();

		/**
		 * The meta object literal for the '<em>Color profile</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getColor_profile()
		 * @generated
		 */
		EDataType COLOR_PROFILE = eINSTANCE.getColor_profile();

		/**
		 * The meta object literal for the '<em>Cursor</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCursor()
		 * @generated
		 */
		EDataType CURSOR = eINSTANCE.getCursor();

		/**
		 * The meta object literal for the '<em>Enable background</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getEnable_background()
		 * @generated
		 */
		EDataType ENABLE_BACKGROUND = eINSTANCE.getEnable_background();

		/**
		 * The meta object literal for the '<em>Fill</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFill()
		 * @generated
		 */
		EDataType FILL = eINSTANCE.getFill();

		/**
		 * The meta object literal for the '<em>Fill opacity</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFill_opacity()
		 * @generated
		 */
		EDataType FILL_OPACITY = eINSTANCE.getFill_opacity();

		/**
		 * The meta object literal for the '<em>Filter</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFilter()
		 * @generated
		 */
		EDataType FILTER = eINSTANCE.getFilter();

		/**
		 * The meta object literal for the '<em>Flood color</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFlood_color()
		 * @generated
		 */
		EDataType FLOOD_COLOR = eINSTANCE.getFlood_color();

		/**
		 * The meta object literal for the '<em>Flood opacity</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFlood_opacity()
		 * @generated
		 */
		EDataType FLOOD_OPACITY = eINSTANCE.getFlood_opacity();

		/**
		 * The meta object literal for the '<em>Font family</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_family()
		 * @generated
		 */
		EDataType FONT_FAMILY = eINSTANCE.getFont_family();

		/**
		 * The meta object literal for the '<em>Font size</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_size()
		 * @generated
		 */
		EDataType FONT_SIZE = eINSTANCE.getFont_size();

		/**
		 * The meta object literal for the '<em>Font size adjust</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getFont_size_adjust()
		 * @generated
		 */
		EDataType FONT_SIZE_ADJUST = eINSTANCE.getFont_size_adjust();

		/**
		 * The meta object literal for the '<em>Glyph orientation horizontal</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGlyph_orientation_horizontal()
		 * @generated
		 */
		EDataType GLYPH_ORIENTATION_HORIZONTAL = eINSTANCE.getGlyph_orientation_horizontal();

		/**
		 * The meta object literal for the '<em>Glyph orientation vertical</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getGlyph_orientation_vertical()
		 * @generated
		 */
		EDataType GLYPH_ORIENTATION_VERTICAL = eINSTANCE.getGlyph_orientation_vertical();

		/**
		 * The meta object literal for the '<em>Kerning</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getKerning()
		 * @generated
		 */
		EDataType KERNING = eINSTANCE.getKerning();

		/**
		 * The meta object literal for the '<em>Letter spacing</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLetter_spacing()
		 * @generated
		 */
		EDataType LETTER_SPACING = eINSTANCE.getLetter_spacing();

		/**
		 * The meta object literal for the '<em>Lighting color</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getLighting_color()
		 * @generated
		 */
		EDataType LIGHTING_COLOR = eINSTANCE.getLighting_color();

		/**
		 * The meta object literal for the '<em>Marker end</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarker_end()
		 * @generated
		 */
		EDataType MARKER_END = eINSTANCE.getMarker_end();

		/**
		 * The meta object literal for the '<em>Marker mid</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarker_mid()
		 * @generated
		 */
		EDataType MARKER_MID = eINSTANCE.getMarker_mid();

		/**
		 * The meta object literal for the '<em>Marker start</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMarker_start()
		 * @generated
		 */
		EDataType MARKER_START = eINSTANCE.getMarker_start();

		/**
		 * The meta object literal for the '<em>Masks</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getMasks()
		 * @generated
		 */
		EDataType MASKS = eINSTANCE.getMasks();

		/**
		 * The meta object literal for the '<em>Opacity</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getOpacity()
		 * @generated
		 */
		EDataType OPACITY = eINSTANCE.getOpacity();

		/**
		 * The meta object literal for the '<em>Stop color</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStop_color()
		 * @generated
		 */
		EDataType STOP_COLOR = eINSTANCE.getStop_color();

		/**
		 * The meta object literal for the '<em>Stop opacity</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStop_opacity()
		 * @generated
		 */
		EDataType STOP_OPACITY = eINSTANCE.getStop_opacity();

		/**
		 * The meta object literal for the '<em>Stroke</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke()
		 * @generated
		 */
		EDataType STROKE = eINSTANCE.getStroke();

		/**
		 * The meta object literal for the '<em>Stroke dasharray</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_dasharray()
		 * @generated
		 */
		EDataType STROKE_DASHARRAY = eINSTANCE.getStroke_dasharray();

		/**
		 * The meta object literal for the '<em>Stroke dashoffset</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_dashoffset()
		 * @generated
		 */
		EDataType STROKE_DASHOFFSET = eINSTANCE.getStroke_dashoffset();

		/**
		 * The meta object literal for the '<em>Stroke miterlimit</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_miterlimit()
		 * @generated
		 */
		EDataType STROKE_MITERLIMIT = eINSTANCE.getStroke_miterlimit();

		/**
		 * The meta object literal for the '<em>Stroke opacity</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_opacity()
		 * @generated
		 */
		EDataType STROKE_OPACITY = eINSTANCE.getStroke_opacity();

		/**
		 * The meta object literal for the '<em>Stroke width</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getStroke_width()
		 * @generated
		 */
		EDataType STROKE_WIDTH = eINSTANCE.getStroke_width();

		/**
		 * The meta object literal for the '<em>Text decoration</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getText_decoration()
		 * @generated
		 */
		EDataType TEXT_DECORATION = eINSTANCE.getText_decoration();

		/**
		 * The meta object literal for the '<em>Word spacing</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getWord_spacing()
		 * @generated
		 */
		EDataType WORD_SPACING = eINSTANCE.getWord_spacing();

		/**
		 * The meta object literal for the '<em>Coordinate</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getCoordinate()
		 * @generated
		 */
		EDataType COORDINATE = eINSTANCE.getCoordinate();

		/**
		 * The meta object literal for the '<em>View Box</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getViewBox()
		 * @generated
		 */
		EDataType VIEW_BOX = eINSTANCE.getViewBox();

		/**
		 * The meta object literal for the '<em>Preserve Aspect Ratio</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPreserveAspectRatio()
		 * @generated
		 */
		EDataType PRESERVE_ASPECT_RATIO = eINSTANCE.getPreserveAspectRatio();

		/**
		 * The meta object literal for the '<em>Number</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.Double
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getNumber()
		 * @generated
		 */
		EDataType NUMBER = eINSTANCE.getNumber();

		/**
		 * The meta object literal for the '<em>Transform</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTransform()
		 * @generated
		 */
		EDataType TRANSFORM = eINSTANCE.getTransform();

		/**
		 * The meta object literal for the '<em>Path Data</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getPathData()
		 * @generated
		 */
		EDataType PATH_DATA = eINSTANCE.getPathData();

		/**
		 * The meta object literal for the '<em>List Of Points</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfPoints()
		 * @generated
		 */
		EDataType LIST_OF_POINTS = eINSTANCE.getListOfPoints();

		/**
		 * The meta object literal for the '<em>List Of Lengths</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfLengths()
		 * @generated
		 */
		EDataType LIST_OF_LENGTHS = eINSTANCE.getListOfLengths();

		/**
		 * The meta object literal for the '<em>List Of Numbers</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfNumbers()
		 * @generated
		 */
		EDataType LIST_OF_NUMBERS = eINSTANCE.getListOfNumbers();

		/**
		 * The meta object literal for the '<em>List Of Coordinates</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getListOfCoordinates()
		 * @generated
		 */
		EDataType LIST_OF_COORDINATES = eINSTANCE.getListOfCoordinates();

		/**
		 * The meta object literal for the '<em>Name</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getName_()
		 * @generated
		 */
		EDataType NAME = eINSTANCE.getName_();

		/**
		 * The meta object literal for the '<em>Number Optional Number</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getNumberOptionalNumber()
		 * @generated
		 */
		EDataType NUMBER_OPTIONAL_NUMBER = eINSTANCE.getNumberOptionalNumber();

		/**
		 * The meta object literal for the '<em>Transform List</em>' data type.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see java.lang.String
		 * @see org.eclipse.fx.formats.svg.svg.impl.SvgPackageImpl#getTransformList()
		 * @generated
		 */
		EDataType TRANSFORM_LIST = eINSTANCE.getTransformList();

	}

} //SvgPackage
